/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 61 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_TCP_CFG ((struct rpki_tr_tcp_config *) RPKI_CFG->tr_config.spec)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;
static uint this_srt_aspa_max;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;
static struct cli_config *this_cli_config;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 61 "conf/gen_parser.m4"

#line 1040 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    IMP = 268,
    PO = 269,
    PC = 270,
    NUM = 271,
    ENUM_TOKEN = 272,
    IP4 = 273,
    IP6 = 274,
    VPN_RD = 275,
    CF_SYM_KNOWN = 276,
    CF_SYM_UNDEFINED = 277,
    CF_SYM_METHOD_BARE = 278,
    CF_SYM_METHOD_ARGS = 279,
    TEXT = 280,
    BYTETEXT = 281,
    PREFIX_DUMMY = 282,
    NMA = 283,
    DEFINE = 284,
    ON = 285,
    OFF = 286,
    YES = 287,
    NO = 288,
    S = 289,
    MS = 290,
    US = 291,
    PORT = 292,
    VPN = 293,
    MPLS = 294,
    FROM = 295,
    MAX = 296,
    AS = 297,
    FLOW4 = 298,
    FLOW6 = 299,
    DST = 300,
    SRC = 301,
    PROTO = 302,
    NEXT = 303,
    HEADER = 304,
    DPORT = 305,
    SPORT = 306,
    ICMP = 307,
    TYPE = 308,
    CODE = 309,
    TCP = 310,
    FLAGS = 311,
    LENGTH = 312,
    DSCP = 313,
    DONT_FRAGMENT = 314,
    IS_FRAGMENT = 315,
    FIRST_FRAGMENT = 316,
    LAST_FRAGMENT = 317,
    FRAGMENT = 318,
    LABEL = 319,
    OFFSET = 320,
    QUIT = 321,
    EXIT = 322,
    HELP = 323,
    IN = 324,
    FUNCTION = 325,
    PRINT = 326,
    PRINTN = 327,
    UNSET = 328,
    RETURN = 329,
    ACCEPT = 330,
    REJECT = 331,
    ERROR = 332,
    INT = 333,
    BOOL = 334,
    IP = 335,
    PREFIX = 336,
    RD = 337,
    PAIR = 338,
    QUAD = 339,
    EC = 340,
    LC = 341,
    ENUM = 342,
    SET = 343,
    STRING = 344,
    BYTESTRING = 345,
    BGPMASK = 346,
    BGPPATH = 347,
    CLIST = 348,
    ECLIST = 349,
    LCLIST = 350,
    IF = 351,
    THEN = 352,
    ELSE = 353,
    CASE = 354,
    FOR = 355,
    DO = 356,
    TRUE = 357,
    FALSE = 358,
    RT = 359,
    RO = 360,
    UNKNOWN = 361,
    GENERIC = 362,
    GW = 363,
    NET = 364,
    SOURCE = 365,
    SCOPE = 366,
    DEST = 367,
    IFNAME = 368,
    IFINDEX = 369,
    WEIGHT = 370,
    GW_MPLS = 371,
    GW_MPLS_STACK = 372,
    ONLINK = 373,
    PREFERENCE = 374,
    ROA_CHECK = 375,
    ASPA_CHECK = 376,
    DEFINED = 377,
    ADD = 378,
    DELETE = 379,
    RESET = 380,
    PREPEND = 381,
    EMPTY = 382,
    FILTER = 383,
    WHERE = 384,
    EVAL = 385,
    ATTRIBUTE = 386,
    FROM_HEX = 387,
    BT_ASSERT = 388,
    BT_TEST_SUITE = 389,
    BT_CHECK_ASSIGN = 390,
    BT_TEST_SAME = 391,
    FORMAT = 392,
    ROUTER = 393,
    ID = 394,
    HOSTNAME = 395,
    PROTOCOL = 396,
    TEMPLATE = 397,
    DISABLED = 398,
    DEBUG = 399,
    ALL = 400,
    DIRECT = 401,
    INTERFACE = 402,
    IMPORT = 403,
    EXPORT = 404,
    NONE = 405,
    VRF = 406,
    DEFAULT = 407,
    TABLE = 408,
    TABLES = 409,
    STATES = 410,
    ROUTES = 411,
    FILTERS = 412,
    IPV4 = 413,
    IPV6 = 414,
    VPN4 = 415,
    VPN6 = 416,
    ROA4 = 417,
    ROA6 = 418,
    SADR = 419,
    ASPA = 420,
    RECEIVE = 421,
    LIMIT = 422,
    ACTION = 423,
    WARN = 424,
    BLOCK = 425,
    RESTART = 426,
    DISABLE = 427,
    KEEP = 428,
    FILTERED = 429,
    RPKI = 430,
    PASSWORD = 431,
    KEY = 432,
    PASSIVE = 433,
    TO = 434,
    EVENTS = 435,
    PACKETS = 436,
    PROTOCOLS = 437,
    CHANNELS = 438,
    INTERFACES = 439,
    ALGORITHM = 440,
    KEYED = 441,
    HMAC = 442,
    MD5 = 443,
    SHA1 = 444,
    SHA256 = 445,
    SHA384 = 446,
    SHA512 = 447,
    BLAKE2S128 = 448,
    BLAKE2S256 = 449,
    BLAKE2B256 = 450,
    BLAKE2B512 = 451,
    PRIMARY = 452,
    STATS = 453,
    COUNT = 454,
    COMMANDS = 455,
    PREEXPORT = 456,
    NOEXPORT = 457,
    EXPORTED = 458,
    GENERATE = 459,
    BGP = 460,
    PASSWORDS = 461,
    DESCRIPTION = 462,
    RELOAD = 463,
    OUT = 464,
    MRTDUMP = 465,
    MESSAGES = 466,
    RESTRICT = 467,
    MEMORY = 468,
    IGP_METRIC = 469,
    CLASS = 470,
    TIMEFORMAT = 471,
    ISO = 472,
    SHORT = 473,
    LONG = 474,
    ROUTE = 475,
    BASE = 476,
    LOG = 477,
    GRACEFUL = 478,
    WAIT = 479,
    CHECK = 480,
    LINK = 481,
    SORTED = 482,
    TRIE = 483,
    MIN = 484,
    SETTLE = 485,
    TIME = 486,
    GC = 487,
    THRESHOLD = 488,
    PERIOD = 489,
    MPLS_LABEL = 490,
    MPLS_POLICY = 491,
    MPLS_CLASS = 492,
    ASPA_PROVIDERS = 493,
    IPV4_MC = 494,
    IPV4_MPLS = 495,
    IPV6_MC = 496,
    IPV6_MPLS = 497,
    IPV6_SADR = 498,
    VPN4_MC = 499,
    VPN4_MPLS = 500,
    VPN6_MC = 501,
    VPN6_MPLS = 502,
    PRI = 503,
    SEC = 504,
    NET_TYPE = 505,
    RTS = 506,
    RTD = 507,
    ROA = 508,
    AF = 509,
    SHOW = 510,
    STATUS = 511,
    SUMMARY = 512,
    SYMBOLS = 513,
    DUMP = 514,
    RESOURCES = 515,
    SOCKETS = 516,
    NEIGHBORS = 517,
    ATTRIBUTES = 518,
    ECHO = 519,
    ENABLE = 520,
    DOMAIN = 521,
    RANGE = 522,
    STATIC = 523,
    DYNAMIC = 524,
    START = 525,
    POLICY = 526,
    AGGREGATE = 527,
    RANGES = 528,
    AGGREGATOR = 529,
    PEER = 530,
    MERGE = 531,
    BY = 532,
    BFD = 533,
    IDLE = 534,
    RX = 535,
    TX = 536,
    INTERVAL = 537,
    MULTIPLIER = 538,
    MULTIHOP = 539,
    NEIGHBOR = 540,
    DEV = 541,
    LOCAL = 542,
    AUTHENTICATION = 543,
    SIMPLE = 544,
    METICULOUS = 545,
    STRICT = 546,
    BIND = 547,
    ZERO = 548,
    UDP6 = 549,
    CHECKSUM = 550,
    SESSIONS = 551,
    BABEL = 552,
    METRIC = 553,
    RXCOST = 554,
    HELLO = 555,
    UPDATE = 556,
    WIRED = 557,
    WIRELESS = 558,
    BUFFER = 559,
    PRIORITY = 560,
    HOP = 561,
    BABEL_METRIC = 562,
    ENTRIES = 563,
    RANDOMIZE = 564,
    MAC = 565,
    PERMISSIVE = 566,
    EXTENDED = 567,
    TUNNEL = 568,
    RTT = 569,
    DECAY = 570,
    SEND = 571,
    TIMESTAMPS = 572,
    COST = 573,
    DELAY = 574,
    HOLD = 575,
    CONNECT = 576,
    RETRY = 577,
    KEEPALIVE = 578,
    STARTUP = 579,
    VIA = 580,
    SELF = 581,
    PATH = 582,
    FORGET = 583,
    AFTER = 584,
    BGP_PATH = 585,
    BGP_LOCAL_PREF = 586,
    BGP_MED = 587,
    BGP_ORIGIN = 588,
    BGP_NEXT_HOP = 589,
    BGP_ATOMIC_AGGR = 590,
    BGP_AGGREGATOR = 591,
    BGP_COMMUNITY = 592,
    BGP_EXT_COMMUNITY = 593,
    BGP_LARGE_COMMUNITY = 594,
    ADDRESS = 595,
    RR = 596,
    RS = 597,
    CLIENT = 598,
    CLUSTER = 599,
    AS4 = 600,
    ADVERTISE = 601,
    CAPABILITIES = 602,
    PREFER = 603,
    OLDER = 604,
    MISSING = 605,
    LLADDR = 606,
    DROP = 607,
    IGNORE = 608,
    ENHANCED = 609,
    REFRESH = 610,
    INTERPRET = 611,
    COMMUNITIES = 612,
    BGP_ORIGINATOR_ID = 613,
    BGP_CLUSTER_LIST = 614,
    IGP = 615,
    GATEWAY = 616,
    RECURSIVE = 617,
    MED = 618,
    TTL = 619,
    SECURITY = 620,
    DETERMINISTIC = 621,
    SECONDARY = 622,
    ALLOW = 623,
    PATHS = 624,
    AWARE = 625,
    SETKEY = 626,
    CONFEDERATION = 627,
    MEMBER = 628,
    MULTICAST = 629,
    LIVED = 630,
    STALE = 631,
    IBGP = 632,
    EBGP = 633,
    MANDATORY = 634,
    INTERNAL = 635,
    EXTERNAL = 636,
    SETS = 637,
    NAME = 638,
    DIGITS = 639,
    BGP_AIGP = 640,
    AIGP = 641,
    ORIGINATE = 642,
    ENFORCE = 643,
    FIRST = 644,
    FREE = 645,
    VALIDATE = 646,
    ROLE = 647,
    ROLES = 648,
    PROVIDER = 649,
    CUSTOMER = 650,
    RS_SERVER = 651,
    RS_CLIENT = 652,
    REQUIRE = 653,
    BGP_OTC = 654,
    GLOBAL = 655,
    CEASE = 656,
    HIT = 657,
    ADMINISTRATIVE = 658,
    SHUTDOWN = 659,
    CONFIGURATION = 660,
    CHANGE = 661,
    DECONFIGURED = 662,
    CONNECTION = 663,
    REJECTED = 664,
    COLLISION = 665,
    OF = 666,
    ASPA_CHECK_UPSTREAM = 667,
    ASPA_CHECK_DOWNSTREAM = 668,
    L3VPN = 669,
    TARGET = 670,
    DISTINGUISHER = 671,
    MRT = 672,
    FILENAME = 673,
    ALWAYS = 674,
    V2 = 675,
    V3 = 676,
    OSPF = 677,
    OSPF_METRIC1 = 678,
    OSPF_METRIC2 = 679,
    OSPF_TAG = 680,
    OSPF_ROUTER_ID = 681,
    AREA = 682,
    RFC1583COMPAT = 683,
    STUB = 684,
    TICK = 685,
    COST2 = 686,
    RETRANSMIT = 687,
    TRANSMIT = 688,
    DEAD = 689,
    BROADCAST = 690,
    BCAST = 691,
    NONBROADCAST = 692,
    NBMA = 693,
    POINTOPOINT = 694,
    PTP = 695,
    POINTOMULTIPOINT = 696,
    PTMP = 697,
    CRYPTOGRAPHIC = 698,
    ELIGIBLE = 699,
    POLL = 700,
    NETWORKS = 701,
    HIDDEN = 702,
    VIRTUAL = 703,
    ONLY = 704,
    LARGE = 705,
    NORMAL = 706,
    STUBNET = 707,
    TAG = 708,
    LSADB = 709,
    ECMP = 710,
    NSSA = 711,
    TRANSLATOR = 712,
    STABILITY = 713,
    LSID = 714,
    INSTANCE = 715,
    REAL = 716,
    NETMASK = 717,
    LSA = 718,
    SUPPRESSION = 719,
    RFC5838 = 720,
    PE = 721,
    TOPOLOGY = 722,
    STATE = 723,
    PERF = 724,
    EXP = 725,
    REPEAT = 726,
    MODE = 727,
    PIPE = 728,
    RADV = 729,
    RA = 730,
    SOLICITED = 731,
    UNICAST = 732,
    MANAGED = 733,
    OTHER = 734,
    CONFIG = 735,
    LINGER = 736,
    MTU = 737,
    REACHABLE = 738,
    RETRANS = 739,
    TIMER = 740,
    CURRENT = 741,
    VALID = 742,
    PREFERRED = 743,
    MULT = 744,
    LIFETIME = 745,
    SKIP = 746,
    AUTONOMOUS = 747,
    RDNSS = 748,
    DNSSL = 749,
    NS = 750,
    TRIGGER = 751,
    SENSITIVE = 752,
    LOW = 753,
    MEDIUM = 754,
    HIGH = 755,
    PROPAGATE = 756,
    RA_PREFERENCE = 757,
    RA_LIFETIME = 758,
    CUSTOM = 759,
    OPTION = 760,
    VALUE = 761,
    NG = 762,
    RIP = 763,
    INFINITY = 764,
    TIMEOUT = 765,
    GARBAGE = 766,
    VERSION = 767,
    SPLIT = 768,
    HORIZON = 769,
    POISON = 770,
    REVERSE = 771,
    PLAINTEXT = 772,
    DEMAND = 773,
    CIRCUIT = 774,
    RIP_METRIC = 775,
    RIP_TAG = 776,
    REMOTE = 777,
    BIRD = 778,
    PRIVATE = 779,
    PUBLIC = 780,
    SSH = 781,
    TRANSPORT = 782,
    USER = 783,
    EXPIRE = 784,
    PROHIBIT = 785,
    BLACKHOLE = 786,
    UNREACHABLE = 787,
    TRANSIT = 788,
    PROVIDERS = 789,
    KERNEL = 790,
    NETLINK = 791,
    KRT_PREFSRC = 792,
    KRT_REALM = 793,
    KRT_SCOPE = 794,
    KRT_MTU = 795,
    KRT_WINDOW = 796,
    KRT_RTT = 797,
    KRT_RTTVAR = 798,
    KRT_SSTHRESH = 799,
    KRT_CWND = 800,
    KRT_ADVMSS = 801,
    KRT_REORDERING = 802,
    KRT_HOPLIMIT = 803,
    KRT_INITCWND = 804,
    KRT_RTO_MIN = 805,
    KRT_INITRWND = 806,
    KRT_QUICKACK = 807,
    KRT_CONGCTL = 808,
    KRT_FASTOPEN_NO_COOKIE = 809,
    KRT_LOCK_MTU = 810,
    KRT_LOCK_WINDOW = 811,
    KRT_LOCK_RTT = 812,
    KRT_LOCK_RTTVAR = 813,
    KRT_LOCK_SSTHRESH = 814,
    KRT_LOCK_CWND = 815,
    KRT_LOCK_ADVMSS = 816,
    KRT_LOCK_REORDERING = 817,
    KRT_LOCK_HOPLIMIT = 818,
    KRT_LOCK_INITCWND = 819,
    KRT_LOCK_RTO_MIN = 820,
    KRT_LOCK_INITRWND = 821,
    KRT_LOCK_QUICKACK = 822,
    KRT_LOCK_CONGCTL = 823,
    KRT_LOCK_FASTOPEN_NO_COOKIE = 824,
    KRT_FEATURE_ECN = 825,
    KRT_FEATURE_ALLFRAG = 826,
    KRT_SSTRESH = 827,
    KRT_LOCK_SSTRESH = 828,
    SYSLOG = 829,
    STDERR = 830,
    UDP = 831,
    CLI = 832,
    TRACE = 833,
    INFO = 834,
    WARNING = 835,
    AUTH = 836,
    FATAL = 837,
    BUG = 838,
    LATENCY = 839,
    WATCHDOG = 840,
    THREADS = 841,
    CONFIGURE = 842,
    SOFT = 843,
    CONFIRM = 844,
    UNDO = 845,
    DOWN = 846,
    PERSIST = 847,
    SCAN = 848,
    LEARN = 849,
    DEVICE = 850,
    KRT_SOURCE = 851,
    KRT_METRIC = 852
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 56 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  vpn_rd rd;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  struct keyword *kw;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  struct f_arg *fa;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct mpls_show_ranges_cmd *msrc;
  struct bfd_show_sessions_cmd *bssc;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat tf;
  struct timeformat *tfp;
  mpls_label_stack *mls;
  const struct adata *bs;
  struct aggr_item_node *ai;

#line 1729 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1746 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  82
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   12480

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  619
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  513
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2241
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3651

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   852

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
     610,   611,    35,    33,   612,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   615,   609,
      29,    28,    30,   618,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   616,     2,   617,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   613,     2,   614,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,   149,   150,   153,   155,   158,   163,   166,   174,
     175,   176,   182,   183,   184,   187,   187,   187,   188,   193,
     194,   195,   196,   197,   198,   205,   206,   207,   214,   215,
     222,   228,   238,   251,   270,   276,   282,   290,   298,   304,
     310,   310,   311,   311,   312,   312,   315,   316,   317,   318,
     319,   320,   321,   328,   329,   337,   338,   346,   347,   355,
     356,   364,   365,   366,   367,   368,   378,   386,   387,   396,
     404,   405,   412,   413,   417,   418,   419,   420,   427,   435,
     436,   440,   441,   442,   450,   451,   452,    37,    38,    39,
      40,    41,    42,    43,    44,    48,    49,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    65,    66,    67,
      70,    71,    75,    79,    83,    84,    88,    92,   101,   102,
     106,   110,   114,   121,   122,   126,   127,   128,   129,   133,
     136,   139,   145,   149,   150,   151,   155,   159,   165,   166,
     167,   170,   172,   175,   177,   181,   188,   189,   191,   197,
     203,   203,     9,     9,    10,    10,    11,    11,   400,   402,
     402,   415,   417,   420,   421,   425,   427,   438,   440,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   492,   496,   497,
     506,   507,   515,   516,   523,   524,   527,   530,   534,   534,
     547,   554,   560,   563,   567,   563,   594,   595,   598,   598,
     600,   600,   602,   610,   611,   628,   629,   642,   643,   644,
     645,   646,   654,   655,   664,   668,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   685,   686,   687,   688,
     692,   693,   694,   698,   699,   700,   701,   702,   703,   704,
     705,   710,   711,   712,   713,   714,   718,   719,   720,   721,
     722,   726,   727,   731,   732,   736,   737,   741,   742,   743,
     744,   752,   753,   756,   757,   764,   774,   775,   779,   783,
     784,   785,   786,   790,   791,   792,   793,   794,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   812,   813,
     817,   818,   819,   820,   826,   827,   828,   831,   847,   856,
     875,   876,   877,   878,   879,   880,   881,   882,   883,   884,
     885,   886,   887,   888,   891,   891,   893,   896,   896,   901,
     906,   914,   915,   916,   917,   918,   919,   920,   921,   922,
     923,   924,   925,   926,   927,   928,   929,   930,   932,   933,
     934,   936,   938,   940,   942,   943,   944,   945,   947,   948,
     949,   950,   952,   953,   954,   956,   958,   959,   963,   967,
     968,   969,   973,   977,   984,   985,   989,   992,   995,   998,
    1004,  1006,   998,  1011,  1023,  1039,  1042,  1047,  1050,  1059,
    1062,  1065,  1068,  1069,  1072,  1072,  1078,  1079,  1083,  1088,
    1101,  1102,   167,   170,   171,   175,   176,   177,   178,   188,
     190,   192,   194,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   213,   214,   220,   222,   224,   229,   231,
     235,   236,   237,   242,   243,   244,   245,   248,   250,   253,
     255,   261,   264,   265,   269,   275,   279,   289,   299,   301,
     302,   303,   304,   305,   306,   307,   311,   317,   322,   323,
     324,   325,   326,   327,   328,   329,   334,   335,   338,   340,
     343,   345,   349,   356,   359,   362,   363,   364,   365,   369,
     370,   371,   372,   373,   377,   378,   382,   385,   386,   387,
     388,   393,   396,   400,   401,   402,   403,   407,   408,   409,
     410,   411,   412,   413,   414,   421,   429,   430,   434,   435,
     439,   444,   445,   449,   451,   459,   463,   464,   469,   471,
     478,   479,   480,   481,   482,   486,   494,   500,   501,   502,
     506,   507,   511,   512,   513,   514,   515,   516,   522,   523,
     524,   528,   529,   533,   534,   540,   544,   545,   548,   550,
     554,   555,   558,   558,   560,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   600,   606,
     612,   612,   615,   615,   618,   618,   621,   621,   625,   626,
     629,   629,   632,   632,   636,   636,   657,   663,   669,   675,
     682,   688,   695,   700,   705,   710,   715,   719,   723,   727,
     737,   744,   753,   757,   764,   768,   769,   770,   771,   775,
     779,   783,   797,   798,   799,   800,   803,   804,   805,   806,
     811,   812,   813,   814,   815,   816,   817,   818,   819,   820,
     821,   822,   823,   824,   825,   826,   827,   828,   829,   830,
     831,   835,   845,   845,   855,   858,   859,   860,   861,   862,
     863,   867,   867,   869,   869,   871,   871,   873,   873,   875,
     875,   877,   877,   879,   879,   881,   881,   883,   883,   886,
     886,   890,   890,   896,   897,   898,   902,   903,   909,   909,
     911,   911,   913,   913,   915,   915,   917,   917,   919,   919,
     923,   923,   936,   937,   941,   941,   944,   944,   948,   948,
     958,   959,   960,   964,   965,   966,   969,   971,   973,   974,
     975,    31,    33,    35,    38,    41,    43,    46,    48,    51,
      54,    56,    67,    68,    71,    73,    76,    78,    82,    95,
      97,   117,   118,   119,   120,   124,   125,   126,   127,   128,
     129,   132,   134,   137,   139,   142,   142,   147,   153,   176,
     184,   194,   194,    29,    31,    41,    42,    43,    44,    74,
      74,    84,    84,    85,    89,    90,   101,   106,   120,   125,
      36,    38,    48,    49,    50,    51,    52,    53,    54,    57,
      59,    63,    67,    68,    69,    70,    74,    78,    82,    96,
     116,   117,   118,   119,   120,   121,   122,   123,   127,   128,
     129,   130,   131,   132,   135,   137,   140,   142,   146,   149,
     154,   155,   156,   160,   161,   165,   166,   169,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   201,   203,   207,
     210,   230,   236,   236,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    33,    35,    43,    44,    45,    46,
      49,    51,    55,    59,    80,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   173,   175,   178,   180,   185,   187,   191,   191,   194,
     194,   197,   197,   200,   200,    48,    50,    84,    86,    87,
      90,    92,    93,    94,    95,   100,   101,   105,   106,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   122,   123,
     124,   125,   126,   130,   131,   132,   133,   134,   135,   139,
     140,   146,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   223,
     223,   224,   225,   226,   227,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   245,   271,   272,
     273,   275,   275,   275,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     318,   330,   332,   335,   337,   341,   348,   351,   353,   355,
     357,   359,   361,   363,   365,   367,   369,   371,   373,   375,
     377,   380,   397,   408,    49,    52,    65,    67,    74,    75,
      76,    77,    78,    79,    80,    81,    84,    86,    90,    94,
      95,    26,    28,    34,    35,    36,    37,    38,    39,    40,
      41,    44,    46,    50,    53,    53,    62,    63,    64,    65,
      66,    67,   212,   215,   216,   217,   220,   236,   237,   241,
     242,   246,   255,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   275,   290,
     293,   295,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   308,   309,   309,   310,   311,   312,   316,   317,
     321,   329,   331,   335,   336,   337,   341,   342,   345,   347,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   363,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   423,   425,   428,   430,   438,   440,   441,   444,   446,
     450,   451,   454,   464,   486,   488,   492,   492,   495,   497,
     500,   502,   506,   509,   510,   511,   512,   515,   515,   518,
     518,   521,   521,   526,   526,   529,   529,   534,   534,   537,
     537,   541,   541,   558,   561,   562,   563,   564,   565,   566,
     567,   568,    24,    26,    40,    41,    42,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    23,    26,    25,
      40,    41,    42,    43,    53,    55,    68,    69,    70,    71,
      72,    72,    73,    73,    74,    75,    76,    79,    81,    85,
      89,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   128,   132,   133,   134,   135,   136,   137,   137,
     138,   138,   139,   140,   141,   142,   146,   147,   148,   151,
     189,   191,   194,   196,   200,   203,   215,   216,   217,   218,
     222,   229,   237,   239,   242,   244,   248,   252,   262,   267,
     268,   269,   273,   285,   287,   291,   292,   296,   309,   314,
     315,   316,   320,   332,   334,   338,   339,   344,   345,   349,
     350,   353,   354,    47,    50,    51,    54,    68,    69,    70,
      71,    72,    73,    76,    78,    82,    86,   111,   141,   142,
     143,   144,   145,   146,   147,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   174,   175,   176,   177,   180,
     182,   185,   187,   191,   194,   195,   199,   199,   202,   202,
      43,    45,    54,    56,    58,    62,    63,    64,    65,    66,
      67,    68,    69,    75,    81,    87,    88,    92,    99,   100,
     103,   105,   123,   124,   128,   134,   136,   139,   141,   145,
     146,   147,   151,   157,   167,   169,   173,   174,   175,   179,
      56,    58,    65,    66,    67,    68,    69,    70,    78,    82,
      87,    92,    95,    98,   103,   107,   115,   116,   119,   121,
     124,   124,   137,   138,   142,   147,   148,   149,   150,   151,
     152,   153,   153,   158,   167,   180,   180,   183,   192,   194,
     197,   199,   203,   203,    31,    34,    35,    36,    39,    40,
      41,    43,    44,    45,    46,    47,    48,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    63,    64,    65,
      66,    67,    68,    70,    71,    72,    73,    74,    76,    77,
      78,    79,    80,    82,    83,    32,    34,    36,    38,    45,
      46,    49,    51,    55,    65,    66,    67,    75,    85,    86,
      90,    91,    95,    96,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   112,   115,   116,   126,   128,   134,   134,
     136,   144,   146,   149,   152,   153,   154,   155,   163,   163,
     166,   166,   173,   173,   176,   176,   179,   179,   182,   182,
     185,   185,   190,   190,   195,   196,   200,   201,   202,    43,
      45,    50,    51,    54,    55,    59,    60,    65,    66,    70,
      71,    72,    73,    77,    84,    85,    96,    98,   101,   102,
     105,   106,   107,   114,   121,   124,   126,   129,   131,   135,
     138,   139
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "IMP", "PO", "PC",
  "NUM", "ENUM_TOKEN", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN",
  "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE", "CF_SYM_METHOD_ARGS", "TEXT",
  "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES",
  "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "MAX", "AS",
  "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT",
  "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP", "IN", "FUNCTION",
  "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT",
  "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "ENUM", "SET",
  "STRING", "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST",
  "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE",
  "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST",
  "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK",
  "PREFERENCE", "ROA_CHECK", "ASPA_CHECK", "DEFINED", "ADD", "DELETE",
  "RESET", "PREPEND", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE",
  "FROM_HEX", "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN",
  "BT_TEST_SAME", "FORMAT", "ROUTER", "ID", "HOSTNAME", "PROTOCOL",
  "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT", "INTERFACE", "IMPORT",
  "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE", "TABLES", "STATES",
  "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6",
  "SADR", "ASPA", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256", "BLAKE2B512",
  "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT", "NOEXPORT",
  "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD",
  "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC",
  "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG",
  "GRACEFUL", "WAIT", "CHECK", "LINK", "SORTED", "TRIE", "MIN", "SETTLE",
  "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL", "MPLS_POLICY",
  "MPLS_CLASS", "ASPA_PROVIDERS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC",
  "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS",
  "PRI", "SEC", "NET_TYPE", "RTS", "RTD", "ROA", "AF", "SHOW", "STATUS",
  "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS", "NEIGHBORS",
  "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN", "RANGE", "STATIC", "DYNAMIC",
  "START", "POLICY", "AGGREGATE", "RANGES", "AGGREGATOR", "PEER", "MERGE",
  "BY", "BFD", "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP",
  "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS",
  "STRICT", "BIND", "ZERO", "UDP6", "CHECKSUM", "SESSIONS", "BABEL",
  "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER",
  "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC",
  "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT", "DECAY", "SEND", "TIMESTAMPS",
  "COST", "DELAY", "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "PATH", "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF",
  "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR",
  "BGP_AGGREGATOR", "BGP_COMMUNITY", "BGP_EXT_COMMUNITY",
  "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS", "CLIENT", "CLUSTER", "AS4",
  "ADVERTISE", "CAPABILITIES", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "ENHANCED", "REFRESH", "INTERPRET", "COMMUNITIES",
  "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE",
  "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS",
  "AWARE", "SETKEY", "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED",
  "STALE", "IBGP", "EBGP", "MANDATORY", "INTERNAL", "EXTERNAL", "SETS",
  "NAME", "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "ENFORCE", "FIRST",
  "FREE", "VALIDATE", "ROLE", "ROLES", "PROVIDER", "CUSTOMER", "RS_SERVER",
  "RS_CLIENT", "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT",
  "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED",
  "CONNECTION", "REJECTED", "COLLISION", "OF", "ASPA_CHECK_UPSTREAM",
  "ASPA_CHECK_DOWNSTREAM", "L3VPN", "TARGET", "DISTINGUISHER", "MRT",
  "FILENAME", "ALWAYS", "V2", "V3", "OSPF", "OSPF_METRIC1", "OSPF_METRIC2",
  "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK",
  "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "TRIGGER", "SENSITIVE", "LOW",
  "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM",
  "OPTION", "VALUE", "NG", "RIP", "INFINITY", "TIMEOUT", "GARBAGE",
  "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "PLAINTEXT",
  "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "PROHIBIT",
  "BLACKHOLE", "UNREACHABLE", "TRANSIT", "PROVIDERS", "KERNEL", "NETLINK",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE",
  "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "CLI", "TRACE", "INFO", "WARNING", "AUTH", "FATAL",
  "BUG", "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM",
  "UNDO", "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE",
  "KRT_METRIC", "';'", "'('", "')'", "','", "'{'", "'}'", "':'", "'['",
  "']'", "'?'", "$accept", "KEYWORD", "enum_type", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_aspa_", "net_ip_", "net_vpn_", "net_roa_",
  "net_", "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "function_type",
  "filter_body", "filter", "$@2", "where_filter", "function_body",
  "function_def", "$@3", "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var",
  "cmd_prep", "cmds_int", "fipa", "set_atom0", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "ec_items", "set_items", "switch_items", "fprefix",
  "fprefix_set", "switch_body", "bgp_path_expr", "bgp_path",
  "bgp_path_tail", "constant", "constructor", "var_list_r", "var_list",
  "function_call", "symbol_value", "static_attr", "term_dot_method", "$@6",
  "method_name_cont", "$@7", "term", "term_bs", "break_command", "var",
  "for_var", "cmd", "$@8", "$@9", "$@10", "$@11", "get_cf_position",
  "lvalue", "rtrid", "idval", "hostname_override", "gr_opts",
  "net_type_base", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_base", "timeformat_which", "timeformat_spec",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD",
  "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args",
  "cmd_MRTDUMP", "cmd_RESTRICT", "cmd_TIMEFORMAT", "proto_patt",
  "proto_patt2", "dynamic_attr", "mpls_domain", "mpls_domain_start",
  "mpls_domain_opt", "mpls_domain_opts", "mpls_domain_opt_list",
  "mpls_domain_end", "mpls_range", "mpls_range_start", "mpls_range_opt",
  "mpls_range_opts", "mpls_range_opt_list", "mpls_range_end",
  "mpls_channel", "mpls_channel_start", "mpls_label_policy",
  "mpls_channel_opt", "mpls_channel_opts", "mpls_channel_opt_list",
  "mpls_channel_end", "$@12", "show_mpls_ranges_args",
  "cmd_SHOW_MPLS_RANGES", "aggregator_proto_start",
  "aggregator_proto_item", "$@13", "aggregator_proto_opts",
  "aggregator_proto", "aggr_list", "aggr_item", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "bfd_item", "bfd_items",
  "bfd_opts_start", "bfd_opts_end", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_tcp_opts_list",
  "rpki_transport_tcp_opts", "rpki_transport_tcp_item",
  "rpki_transport_tcp_check", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "$@25", "stat_aspa_provider", "stat_aspa_providers",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_udp_host",
  "log_udp_port", "log_mask", "log_mask_list", "log_cat", "mrtdump_base",
  "cli", "cli_opts", "cli_opts_begin", "cli_opts_block", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,    43,    45,    42,    47,    37,    33,    46,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   819,   820,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   835,   836,   837,   838,   839,   840,   841,   842,   843,
     844,   845,   846,   847,   848,   849,   850,   851,   852,    59,
      40,    41,    44,   123,   125,    58,    91,    93,    63
};
# endif

#define YYPACT_NINF -3088

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-3088)))

#define YYTABLE_NINF -1579

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-1579)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     197,  4398,   387,    90,   487,   554,   574,  8081,   731,  1214,
    1214,  1300,  1214,   616,   381,   272,  2082,  1683,   128,  1214,
     -16,   284,   704, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, 10027,   478, -3088, -3088, 10027, 10027,
    8081,  4236,   154,   167,   657,  1076, -3088, -3088,   724, -3088,
     489, -3088, -3088, -3088, -3088, -3088,   842,  1111, -3088,   676,
    1076,   -88,   481, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088,   679, -3088,   682,  3716,
   -3088, -3088, -3088, 10615,  3245, -3088,   273, 10615, -3088, 10615,
   -3088, 10615, -3088, 10615,  4710, 10615, -3088, 10615, -3088, 10615,
    2926, 10615,  3636,   316,  2907, 10615, -3088, 10615, -3088, 10615,
   -3088, 10615,  3157,  2674, -3088, -3088, -3088, -3088, 10615, 10615,
    1862, -3088, -3088, -3088,   147, -3088, -3088,   792,   911,   308,
   -3088, -3088, -3088,   827,   210,  8081,   998, -3088,   418,   443,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088,   474,   496,   534,   562,   581,
     589,   595,   658,   668,  1083, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088,   701,   728, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  4173,   200,   740,  1308,  1327, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  4526, -3088, -3088,  1365, -3088, -3088,   330,  1217,   330,
   -3088,  1387,  1387,  1214,  1214,  1417,   332, -3088,   481,   358,
    1436,  1446,  1162,  1309,   174,  1452, -3088,  1455, -3088,  1448,
    1194,   938,  1045,    87,  1323,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076, -3088, -3088,  1168,  1492,  1387, -3088, -3088,
    1491,  1538,  1491,  1557,  1573,  1029, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
    1551, 10027, -3088, -3088,  3262, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  2186, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088,   481, -3088, 11203,  1600,  1600,   347, -3088, -3088,
     973,   330,   330,   330,   481,   850, -3088,   332,  1040, -3088,
   -3088, -3088, -3088,   381,   458,  1427, -3088,   481,   481, -3088,
    8081,  1070, -3088, 10027, -3088,  1063, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088,   522, -3088, -3088, -3088,  1167,
   -3088, -3088, -3088, -3088,  1671,  1646,  1089,  1574,  1079,   330,
   -3088,   962,  1076,   332,  1474, -3088, -3088,  1105,  1116,  1141,
    1154, -3088, -3088,  1152,  1156,  1161,  1164, -3088, -3088, -3088,
     470,  1430,  1174,  1773,   870,    37,    70,   190,   215,   427,
    1076,  1079,  1431,  1619,  1582,   648,   763,  1429,  1510,   361,
      57,   919,   413,  1549,  1534,  1625,   799,  1635,  1540,  1631,
    1279,  1536,  1794,  1079,  1593,  1592,  1653,  1656,  1598,  1610,
     609,  1079,    85,  1590,  1691,  1196, -3088,  1389,  1403,  1421,
   -3088,  1433,  1419,  1435,  1439,  1440,  1567, -3088,  1867,  1662,
     110,  1079,  1907,   481,  1079,  1908,  1079, -3088,  1672, -3088,
    1116, -3088,  1459,  1456, -3088,  1458,  1079,   203,  2060,   118,
    2062,  1547, -3088,  1470, -3088,  1472, -3088,   481,  1695,  1869,
    2061,  1906,  1866,  1923, -3088,  1479,  1483,  1480,  1487,  1489,
    1493,  2054,  1868,  1946, -3088,  1502,  1516,  1521,  1123,  1499,
    1951,  1754,   481,  1977,  1844,  1079,  1901,   783, -3088, -3088,
   -3088, -3088,  1539, -3088,  1556,  1531,  1532, -3088,  1924, -3088,
   -3088,  1559,    92,   147,   147,  8081,   251,   147, -3088,   147,
    2154, -3088,  2175, -3088,  2176,   792,  2157, -3088, -3088,  2161,
     681,  2162,  2158, -3088, -3088, -3088,  2061,  2061,  8081,  8081,
    8081,  8081,  8081,  8081,  8081, -3088,  2061,  2061, -3088, -3088,
    2182, -3088,  1587,   164, -3088, -3088,  2157, -3088,  3602, -3088,
   -3088, -3088, -3088,   156, -3088, -3088,  2198, -3088, -3088, -3088,
   -3088,  -327, -3088,    65,  8081,  2190,  2193, -3088,  8081,  8081,
    8081,  8081,  8081,  8081,  8081,  8081,  8081,  8081,  8081,  8081,
    8081,  8081, -3088,  3501, -3088, -3088,  1702, -3088, -3088, -3088,
   -3088,  2208,  2215,  2226,  2238, -3088, -3088, -3088,   386,  2239,
    2220,  1706,  1733, -3088, -3088, -3088, -3088, -3088,  1351,  2244,
   -3088,  2245, -3088,  4766, -3088,  1675, -3088,  2249, -3088,  1448,
    1448,  1448,  1448,  1448,  1448, -3088,   610,   709,  2250,  1448,
    1448,  1076,  2251,  2254,  2255,  2256,  2257,  2259,  2262,  2263,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,   124,
   -3088, -3088,  2264,  2265,  1651,  2270, -3088,  1029, -3088, -3088,
     481,  2273,  8081, -3088,  1674, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088,  4262,   245,  1673,
    1669,  1676, -3088, -3088, -3088, -3088,  8081,  1677, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088,   481, -3088, -3088,
    1680, -3088,  1682,  1891, -3088,   883,   481,   -75,   481, -3088,
     518,  1552, -3088, -3088,   550, -3088, -3088, -3088, -3088, -3088,
   -3088, 10615, -3088, -3088,  2271, -3088,   110, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  1079, -3088, -3088, -3088, -3088, -3088,
       4, -3088, -3088, -3088, -3088, -3088,  2051,  2063,  1231, -3088,
    1693,   481,   481, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  1079,    -3,  1694,  1698,  -131,   348,  1079,  2068,  2069,
    1938,  2090,  1079,  2085,   549,  2075,  1714,  1717,  1716, -3088,
    1719, -3088, -3088, -3088,  1363,  2293,   645,  1030,  2293,    21,
    1079,  2091,   481,  2092,  2093,   481,  2094,  1079,  1079,  2188,
    1079,  1079,  1735,  1079,  1079,  1079,  1079,  1079,  1079,  1955,
    2299,  1079,  1079,  1744,  1079,  1745,  2302,  1079,  1079,  1970,
    1991,  2178,  2136,  1079,  2132,  1079, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088,  1079,   856,  1079, -3088,
   -3088,  1079, -3088,  2189,   481, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,   481,   481, -3088,  2352,  2354, -3088, -3088,
   -3088, -3088, -3088, -3088,  1600,  8081, -3088, -3088,   286,  2187,
   -3088, -3088,   286, -3088, -3088, -3088,   286,  1079,  2061, -3088,
   -3088, -3088, -3088, -3088, -3088,   911,   308, -3088, -3088, -3088,
    1079,  2061, -3088, -3088, -3088, -3088,  1443, -3088,  1231, -3088,
   -3088, -3088, -3088, -3088,  1527,  2037, -3088,  1767,  1079,  1079,
   -3088,   481,  2064, -3088,   481, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,   481, -3088,  2361, -3088, -3088, -3088,
     593, -3088, -3088,   147,   422, -3088, -3088, -3088, -3088,  2329,
    2367, -3088,  2248,  2355, -3088, -3088, -3088,  1181,  1784,   640,
     310,   322,   385,   417,   715,   750,  1777,  1786, -3088,  8081,
   -3088,  8081,  1790,    42,  1793,   762, -3088, -3088,  2391,   457,
     497, -3088,   308, -3088,  1797,  1800,  3262,  2359,  2360,  2959,
    2959,  2959,  3396,  3396,  2959,  2959,  2959,  2959,  2959,  1486,
    1486,  2158,  2158, 11872, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088,   626, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
     880, -3088, -3088, -3088, -3088, -3088, -3088, -3088,   732,  2411,
   -3088, -3088, -3088,  2054,  1131,  1600,  1600, -3088,  2252,  2258,
     747, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
    2394, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  2535,
    1387,  1387,  1387,  1387,  1387,  1387,  2604,  1448,  1387,  1448,
    1387, -3088,  1387,  1387,  2420, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  1168, -3088, -3088, -3088, -3088,  1600,  1377,
    1076, -3088, -3088,  2422, -3088, -3088,   605,  1816,  2415,  2692,
   -3088, -3088, 11203, -3088,  1076,  1600, -3088,  1823,   803, -3088,
   -3088, -3088, -3088,  1076, -3088, -3088, -3088, -3088, -3088,  8081,
   -3088,  2386,  1076, -3088, -3088,  1168,  1826,  1828, -3088, -3088,
   -3088, -3088, -3088, -3088,   685, -3088, -3088, -3088,  2404, -3088,
    1827,  1832,  1150, -3088,  2166, -3088,  1836, -3088,  1833,  2734,
    2160,  2349,   481,   481,  1843, -3088,  1848,  1851,  1858,  1079,
     451, -3088, -3088,  2279,  2227,   481,  1861,  1863,  1864,   481,
     481,  1079,  1079,  1865,  2105,   481,  1871,   481, -3088, -3088,
    2470, -3088, -3088, -3088, -3088, -3088, 10027, -3088,   481,   481,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  1872, -3088,
     481,   481, -3088,  1876,   481,  1877,   481,   481,  1878,   481,
    1879,  1880,   110,  1881,  1882, -3088,  1883,  1886,  1887,  1893,
    1897,  1899,  1079,   346,  1903,  1905, -3088,  1915, -3088,  1079,
    1917,  1918,  2243,  1079,  1079,  1079,  1919,  2134,  1920,  2523,
   -3088, -3088,  4083, -3088,  2706,  3370, -3088,   481, -3088, -3088,
   -3088, -3088,   481, -3088, -3088,  2982, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  3262, -3088,  2337, -3088,  1079, -3088, -3088,
   -3088,  1926,  2125,  1333,  2388,  2467,  1927,  1931, -3088,  2293,
    2494,  2529,  2530,   481,  1079,  1079,  2524,  1527,  8452, -3088,
   -3088,  2370, -3088,   481, -3088,  1827,  1939, -3088,   147, -3088,
   -3088,   147,  2536, -3088,  2531,  2532, -3088, -3088, -3088,  8081,
    8081, -3088,  8081,  8081,  8081,  8081, -3088, -3088, -3088, -3088,
     429,   176,  5226,  8081,  5797,  8081, -3088,  1956,  8081, -3088,
   -3088, -3088,  8081, -3088,  2547,  2553, -3088, -3088, -3088, -3088,
   -3088,  1702, -3088,   386, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,   792,   253,  1776, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  2550,  2550, -3088, -3088,  1365, -3088,
   -3088, -3088, -3088, -3088, -3088,  1076, -3088, -3088, -3088,  1076,
    1371,  2569,  2570,  2571,  2572,  2573,  2574, -3088, -3088,  2562,
     110, -3088, -3088, -3088,   110,   110,  1387,  2576,  1387,  2577,
    2578,  2580, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  4262,  4262, -3088,  8815, 11203,  1975,  1976,  1974,  1827,
   -3088, -3088, -3088,   991,  2579, -3088, -3088,   941, -3088, -3088,
     -59,  2347,   330,  1079,  1079,  2348,  1561, -3088,  1981, -3088,
    2575, -3088, -3088,   330, -3088, -3088,  1985, 10027, -3088, -3088,
   -3088,  2558,  2438,  2315, -3088, -3088, -3088,  1995, -3088, -3088,
   -3088,  1231,  2305,  2300, -3088, -3088,  2002, -3088,  2463, -3088,
   -3088, -3088,  2004,  2003,  2005, -3088, -3088, -3088, -3088,  2007,
     989, -3088,  2011,   889,   481,  2014, -3088, -3088, -3088,  2017,
    2018,  2022,  2024, -3088,  1079,  2025, -3088,  2026,  2027, -3088,
    2029,   755, -3088,   797, -3088, -3088, -3088,   235, -3088, -3088,
   -3088,  2030, -3088,  2034,  2035, -3088,  2038, -3088, -3088,  2040,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  2041, -3088,
    2042, -3088, -3088, -3088,  2043, -3088, -3088,  2454,  2045,  2048,
    2049, -3088,  1079, -3088,  1129,  1600, -3088, -3088,  2050, -3088,
    2343,  2281,  2181,  1788,  2276,  2499,  2482,  2607,   481,  2309,
    2510,   324,  1079,  1079,   965,  1079,   100, -3088, -3088,  2067,
    2657,  2268,  2269,  1385, -3088, -3088, -3088, -3088,  1116, -3088,
    2071,  1600,  1408,   481,  1076,  2554, -3088, -3088, -3088,  2080,
   -3088, -3088, -3088,  1033,  1079, -3088,   974, -3088,  2453,  1363,
   -3088,  1127, -3088,  2097, -3088,  2232, -3088,  1412, -3088, -3088,
   -3088,  1564, -3088, -3088, -3088,  1564,  2540,  2194, -3088, -3088,
   -3088,  2102, -3088,  1079,   481, -3088, -3088, -3088,  2103,   481,
    2191,  2195,  2362,  2533,  2667,  2533,   883,     0,  2533, -3088,
   -3088, -3088,  2114, -3088,   481, -3088, -3088, -3088, -3088,  2530,
   -3088, -3088,  2115, -3088, -3088,  2694, -3088, -3088, -3088, -3088,
    2693,  8081,  8081,  2121,  8081, -3088, -3088, -3088,  8081,  8081,
   -3088,  2123,  2124, -3088, -3088,    81,  2127,  2710,  8081, -3088,
    2701,  2713, -3088,   481, -3088, -3088, -3088, -3088, -3088, -3088,
    2707,  2708, -3088,  1415,  1664,   500,   514,  1041,  1106,  1503,
    1535,  8081, -3088,  8081,  1218,    47,  3262,  2133,  1232,    35,
    2135,  2728,   762,  3262, -3088, -3088,  2138, -3088, -3088,  2727,
     792,  2157,  1365, -3088, -3088, -3088, -3088,   792,  2157, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  2747, -3088,  2752, -3088, -3088, -3088, 11203,
    2658, -3088, 11203,  2145, -3088, -3088,  8815, -3088, -3088,  2153,
   -3088, -3088,  2751, -3088, -3088, -3088, -3088,  2164,  2527, -3088,
   -3088, -3088,  2528,   481,   481, -3088,  1509,  1371, -3088, -3088,
   -3088, -3088, -3088,    29, -3088,  9456,  2061, -3088, -3088,  1009,
   -3088, -3088,  2163, -3088,   199, -3088,  1079,  2471, -3088, -3088,
   -3088,  2629, -3088,   481, -3088, -3088,  2602,  2369,  2384, -3088,
      55,  2392,  1405,  1001, -3088, -3088,  2196,  2199,  2201, -3088,
   -3088, -3088, -3088, -3088,  2202, -3088, -3088, -3088,  2945, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  1079, -3088, -3088, -3088,  2203,   573,   884, -3088, -3088,
     969,   555,  1079,  1079,   -21,  2061,  1079,  2497, -3088,   843,
    2061, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  2435,  2757,
   -3088, -3088,   305,   305,   305,  2797, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  2480, -3088, -3088, -3088,   481,   481,  1079,
   -3088,  2206,   481, -3088,  2207,   110, -3088, -3088,  2209,   481,
   -3088, -3088,   481,  2211, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  2212, -3088, -3088, -3088,   129,    40, -3088,  1079,  2762,
   -3088, -3088, -3088,  2643, -3088, -3088, -3088,   481,   481,  1231,
   -3088,   481,  2759,   481, -3088,  2783, -3088, -3088, -3088,   481,
   -3088, -3088,  2694,  2529,  2817,   445,   584,  3521,  2087,  3957,
     126,  3603, -3088, -3088,  2221,  8815,  8081, -3088,  8081,   686,
   -3088,  8081, -3088,  -357,  2818,  2804, -3088, -3088, -3088, -3088,
    2779, -3088, -3088,  1782,  2773, -3088, -3088, -3088, -3088, -3088,
   -3088,   271,  2811,  2811,  1237,  2253, -3088,   271,  2811,  2811,
    1564,  2260,  8081,  8081, -3088, -3088, -3088, -3088,  1596,  1608,
   -3088,  2816,  8081, -3088,  6368, -3088,  2819,  8081,  2845,  6939,
    7510,  2267,  8081, -3088, -3088, -3088,   992, -3088, -3088,    36,
   -3088, -3088, -3088,  2246, -3088,   481,   481, -3088, -3088, -3088,
     481,   481, -3088,  2261, -3088,  8081, -3088, -3088,  2241, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088,  2163, -3088, -3088,
   10027,  1076,  2560, -3088,  2568,  2272,  1079,  2275,  2450,  2600,
   -3088, -3088, -3088, -3088, -3088, -3088,   989, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  1079,  2274, -3088,  1563,  2581,   481,
     481,  1115, -3088, -3088, -3088, -3088,   585,  2277,  2282,  2288,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,   690,
     690,  1231,  2461, -3088, -3088, -3088, -3088, -3088,  2717,  2632,
   -3088, -3088,  1079, -3088, -3088, -3088, -3088, -3088,  1079,  2583,
    1629,  2291, -3088, -3088, -3088, -3088, -3088, -3088,  1079,  1827,
    2290, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  2292, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,   481,  2294,   481, -3088, -3088, -3088,
   -3088,  1079, -3088, -3088,  2296,  2297, -3088, -3088, -3088, -3088,
   -3088,  2303,  2307, -3088,  9093, -3088, -3088, 11203,  2824,  8081,
   11791, -3088, -3088,  2128,  2142, -3088, 11872,  2192,  1231, -3088,
    2304, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088,  2909,   481,  1846, -3088,  2310,
   -3088,    51,   481,  1715,    84, -3088, -3088, -3088, -3088,  1846,
      51,    84,  2843, -3088,  1852,  1890, -3088, -3088,  2314,  2318,
    1284,    48,  2319,  1297,  2321,  2322,    49,  2323,    54, -3088,
    2324, -3088, -3088,  8081, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  1902,  9456, -3088, -3088,  1649, -3088, -3088, -3088,  1231,
    2637,  1079, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
    1728,  2645,  2646,  2647, -3088, -3088, -3088,  1759, -3088,  2739,
   -3088, -3088, -3088, -3088,  8081, -3088, -3088, -3088, -3088,  1004,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
    1079,   481, -3088, -3088,  1079, -3088,   430, -3088,  2232, -3088,
   -3088,   103,   204,   646,  1114,   560, -3088, -3088, -3088, -3088,
   -3088,  2425, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  2334,
    2335,  2836,    99, -3088, -3088,  3262, -3088, -3088, -3088, -3088,
   -3088, -3088,  2339, -3088, -3088, -3088,   481, -3088, -3088,   481,
    1581,   481, -3088,  2811,  2811,  2910, -3088, -3088, -3088, -3088,
   -3088,  2811,  2811,  2933, -3088, -3088, -3088, -3088, -3088,  2915,
    8081, -3088, -3088, -3088,  2916,  8081, -3088,  8081,  2946, -3088,
    8081, -3088, -3088,  2204, -3088, -3088, -3088,  1079,  1705,  2666,
     481,   481,  1115, -3088, -3088,  2350, -3088,  1079, -3088, -3088,
    2083, -3088,  2346,  2353,   481,   481,   481, -3088, -3088,  1815,
    1971,  2939,   254,   481,  2939,  1453,   661,  2351, -3088, -3088,
   -3088,  2291, -3088, -3088,  4197, -3088, -3088, -3088,   342, -3088,
    1079,   481,  1079, -3088,  2364,   481,   227,   481,   481,  2644,
     270, -3088, -3088,  2368,  1079,  2477,  2481,  1079,  1079, -3088,
    2375,  3000, -3088,   363,  -125,   662,  2242, -3088,   -73, -3088,
     471, -3088, -3088,  9093, -3088, -3088, -3088,  2978, -3088, -3088,
   -3088, -3088,   717,  8081,  2385,  2374, -3088, -3088,  2310,   481,
   -3088,   481,   481,   481,  1715,  1715, -3088,  2389,  2397,  2398,
    2387,  2399,  2395,  2400, -3088, -3088,  2719,  2720,  2721, -3088,
   -3088, -3088, -3088, -3088,   481,  2699,  1053,   481,  2781,  2704,
     752,   114,   481,  2729,  2730,  2965,   590,  2697, -3088, -3088,
    2417, -3088,  1728, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
    2418,  2939,  2939,  2419,  2421,  1704,  1768, -3088, -3088, -3088,
   -3088,  2423,  2939,  2939, -3088, -3088,  1736,   481,  2792,  2557,
    2426,  1079,  2726,  1107,   240,  2586,   481,   481,   481,  2659,
    1079,   481,  2714,   362,   -93,   481,  2920,  2590, -3088, -3088,
    2444, -3088,   481,  2445, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,   481,   481, -3088, -3088, -3088,   481,
     481, -3088, -3088, -3088,  2582,   120,    -1,    72,  2564,  -151,
    2593,  1079,  2567,  2813,  2563,  2743,  2765,  2766,  2549, -3088,
    2473,   450,  1231, -3088,  2474,  3047,   450, -3088,  2476, -3088,
   -3088, -3088,   481,  1079,    66,  1079,  2761,  1272,   408,   481,
    2844,  1231,  2715,  2847,  2964,   -10,  2852,  2859,   664,  2584,
    2585,  2587, -3088, -3088,  2495,  1076,   696, -3088,  2496,  2594,
    2606,  1076, -3088,  2498, -3088, -3088,   278,   296, -3088,  3262,
    2501,  8081, -3088,  3067,  3070, -3088, -3088, -3088, -3088, -3088,
   -3088,  8081, -3088,  8081, -3088,   481,   481,   481, -3088,  1849,
   -3088, -3088, -3088, -3088,  1079,   481,   481,   481,   481,   481,
   -3088, -3088,  2786, -3088,   481,   481,  2794,   481,   481,   481,
     481,  1079, -3088, -3088,  1004,  2505,  2506,  1004,  1004, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  1004,
    2507,  2512, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088,  1079,  2660, -3088, -3088,   130,   481,   481, -3088,
   -3088, -3088, -3088,  1079, -3088, -3088, -3088,  1067, -3088, -3088,
     481,   481, -3088,  1079,  1079, -3088,   481,  1079, -3088, -3088,
   -3088, -3088, -3088,  2611,  2611,  2846,  2900, -3088,  1172,   481,
    1172,  2901,   481,   481,   481,  2853,  2661, -3088,  1079,   481,
     481,  2970,  1079,   129,  1079,    40,   102, -3088,   481, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
    1079,  1079, -3088,   481,   481,   481, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,   481, -3088,  1353,   481,   481, -3088, -3088,
     481,   481,  1079, -3088,  1079,  1079,  1079, -3088, -3088, -3088,
   -3088, -3088,  2966,  2969, -3088, -3088, -3088, -3088, -3088, -3088,
    3040, -3088,  2031,   481,   481,  2548,  2546, -3088, -3088, -3088,
    1231,  1231, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  1079, -3088, -3088, -3088, -3088, -3088, -3088,  1004,  1004,
   -3088, -3088, -3088,  1004,  1004, -3088,  1079,   209, -3088, -3088,
   -3088, -3088, -3088, -3088,  2705, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088,  1079, -3088, -3088,   481,   481, -3088, -3088, -3088,
   -3088,  2611, -3088,   481,  2611, -3088, -3088,   481,  1079, -3088,
   -3088, -3088,   481, -3088, -3088, -3088, -3088,   481,  1079, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088,  2709, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088,  1076,  1076,  9093,  2555,
   -3088, -3088, -3088,  8081, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  2711, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088,  2650, -3088, -3088, -3088, -3088,
   -3088, -3088,  2556, -3088,  2561,   662,  8081, -3088, -3088,  2565,
   -3088
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     574,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2204,     0,   573,   722,   724,   726,  1150,  1152,  1154,
    1156,  1160,  1162,  1164,  1222,  1231,  1233,  1235,  1237,  1239,
    1241,  1243,  1245,  1247,  1249,  1251,  1258,  1260,  1262,  1264,
    1266,  1268,  1270,  1274,  1276,  1278,  1331,  1412,  1467,  1469,
    1471,  1473,  1684,  1827,  1829,  1831,  1833,  1835,  1837,  1839,
    1841,  2016,  2018,  2102,  2188,  2190,  2192,  2194,  2196,  2198,
    2200,  2202,     1,   572,     0,   994,   990,   991,     0,     0,
       0,     0,     0,     0,     0,     0,  1012,  1013,     0,   983,
     984,   986,   987,   988,   989,   992,     0,     0,  2147,     0,
       0,     0,     0,   576,   575,   577,   728,   731,   733,   735,
     737,   772,   972,   979,   981,   993,     0,   995,   998,     0,
    1056,  1061,  1011,  1014,  1018,  1291,  1297,  1014,  1333,  1014,
    1350,  1014,  1424,  1014,  1018,  1014,  1654,  1014,  1671,  1014,
    1018,  1014,  1018,     0,  1018,  1014,  1874,  1014,  1963,  1014,
    2020,  1014,  1018,  1018,  2146,  2173,  2176,  2183,  1014,  1014,
    1018,   723,   725,   727,   857,   858,   869,   785,   786,   864,
     588,   861,   862,     0,     0,     0,     0,   880,     0,     0,
     883,   859,   860,   881,   882,   884,   885,   886,   887,   888,
     889,   891,   892,   893,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1286,  1288,  1289,  1290,  1287,
    1466,  1638,  1641,  1640,  1637,  1639,  1642,  1643,  1644,  1647,
    1649,  1645,  1646,  1648,  1650,     0,     0,  1823,  1824,  1825,
    1826,  1961,  1962,  2014,  2015,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2117,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2116,  2132,  2240,  2241,     0,     0,   879,   610,   611,   620,
     612,   613,   614,   615,   621,   622,   616,   617,   618,   865,
     720,   721,   619,   863,   873,   919,   920,   937,   918,   921,
     923,     0,   936,   922,  1280,  1282,  1281,     0,     0,     0,
    1280,   643,   643,     0,     0,     0,     0,  1277,  1067,     0,
       0,     0,     0,  1284,     0,     0,  1166,     0,  1224,  1159,
       0,     0,  1159,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1254,  1253,     0,  1256,   643,  1686,  2205,
    2204,     0,  2204,     0,     0,  2206,  2201,   586,   585,     2,
       3,     4,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   587,
       0,     0,   773,   729,   732,   739,   740,   741,   743,   742,
     744,   745,   746,   747,     0,   748,   749,   750,   751,   752,
     753,   754,     0,   755,     0,     0,     0,     0,   641,   640,
       0,     0,     0,     0,     0,   594,   985,     0,     0,  1064,
    1063,  1065,  1066,     0,     0,     0,  2180,     0,     0,   579,
       0,     0,   581,     0,   999,  1009,  1089,  2021,  1476,  2061,
    1334,  1351,  1425,  1657,  1672,  1693,  1853,  1868,  1875,  1964,
    2210,  2227,  1696,  1966,    13,  1015,     0,     0,   594,     0,
    1095,     0,     0,     0,     0,  1088,  1026,     0,  1040,     0,
       0,  1295,  1299,     0,     0,     0,     0,  1310,  1595,  1596,
       0,     0,     0,     0,     0,  1585,  1586,     0,     0,     0,
       0,   594,     0,     0,     0,     0,     0,     0,     0,   594,
       0,  1480,  1477,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   594,     0,     0,     0,     0,     0,     0,
       0,   594,     0,     0,     0,     0,  1475,     0,     0,  1323,
    1597,  1633,     0,     0,     0,     0,     0,   994,     0,     0,
       0,   594,     0,     0,   594,     0,   594,  1692,  1699,  1703,
    1040,  1704,     0,     0,  1717,     0,   594,     0,     0,     0,
       0,     0,  1852,     0,  1857,     0,  1870,     0,     0,     0,
       0,     0,     0,     0,  1867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2060,     0,     0,     0,  2085,  2100,
       0,     0,     0,     0,     0,   594,     0,   594,  2209,  2219,
    2217,  2218,     0,  2220,     0,     0,     0,  2233,     0,  2226,
    2230,     0,   857,   857,   857,     0,     0,   857,   879,   857,
       0,   846,     0,   601,     0,     0,     0,   604,   605,     0,
       0,     0,   916,   608,   715,   715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   609,     0,     0,   806,   807,
       0,   809,     0,     0,   787,   790,   786,   789,     0,   866,
     793,   610,   611,   837,   788,   792,   824,   821,   822,   823,
     833,     0,   841,     0,   874,     0,     0,  1250,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,  1098,  1097,     0,  1273,  1271,  1272,
     642,     0,     0,     0,     0,  1265,  1109,  1108,     0,     0,
       0,  1069,  1072,  1279,  2203,  1327,  1283,  1285,  1284,     0,
    1161,     0,  1153,     0,  1151,     0,  1158,     0,  1414,  1159,
    1159,  1159,  1159,  1159,  1159,  1843,  1159,  1159,     0,  1159,
    1159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2169,  2164,  2167,  2165,  2166,  2168,  2170,  2171,  2172,     0,
    2162,  1257,     0,     0,     0,     0,  2197,  2206,  2193,  2195,
    2207,     0,     0,  1293,     0,   762,   564,   567,   569,   562,
     563,   565,   566,   568,   570,   571,   757,     0,   756,     0,
       0,     0,   975,   977,   978,  1084,     0,     0,   980,  1059,
    1057,  1058,  1060,   590,   592,   591,   593,     0,   589,  2184,
       0,  2175,     0,  2150,  2155,     0,  2151,     0,     0,  2177,
       0,     0,  2187,  2186,     0,  2145,   997,  1007,   996,  1694,
    1695,  1014,  1965,  1016,     0,  1090,     0,  1019,  1020,  1075,
    1025,  1024,  1023,  1021,   594,  1091,  1038,  1042,  1092,  1093,
       0,  1292,  1341,  1359,  1430,  1503,     0,     0,     0,  1521,
       0,     0,     0,  1589,  1587,  1590,  1588,  1591,  1593,  1592,
    1594,   594,     0,     0,     0,     0,   594,   594,     0,     0,
       0,     0,   594,     0,     0,     0,     0,     0,     0,  1522,
       0,   595,   596,   597,     0,   598,     0,     0,   598,     0,
     594,     0,     0,     0,     0,     0,     0,   594,   594,     0,
     594,   594,     0,   594,   594,   594,   594,   594,   594,     0,
       0,   594,   594,     0,   594,     0,     0,   594,   594,     0,
       0,     0,     0,   594,     0,   594,  1504,  1506,  1321,  1325,
    1631,  1635,  1505,  1666,  1681,  1697,   594,   594,   594,  1718,
    1705,   594,  1715,  1712,     0,  1706,  1700,  1701,  1042,  1698,
    1720,  1854,  1864,     0,     0,  1863,     0,     0,  1860,  1865,
    1866,  1856,  1855,  1033,   768,     0,  1047,  1048,     0,     0,
    1046,  1028,     0,  1029,  1044,  1027,     0,   594,     0,  1871,
    1872,  1887,  1973,  2023,  2062,     0,     0,   630,   629,  2080,
     594,     0,  2063,  2064,  2065,  2087,     0,  2086,     0,  2090,
    2088,  2089,  2093,  2091,  2076,  2082,  2098,     0,   594,   594,
    2106,     0,     0,  2221,     0,  2214,  2213,  2223,  2104,  2212,
    2211,  2228,  1075,  2231,     0,  2229,     0,   849,   855,   853,
       0,   785,   786,   857,     0,   854,   856,   848,   600,   602,
       0,   924,     0,     0,   925,   716,   717,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   808,     0,
     901,     0,     0,     0,     0,   795,   838,   839,     0,     0,
       0,   867,     0,   868,   877,     0,   875,     0,     0,   913,
     911,   909,   906,   907,   908,   910,   912,   914,   915,   902,
     903,   904,   905,     0,  1217,  1215,  1216,  1200,  1203,  1207,
    1210,  1213,  1214,  1218,  1201,  1202,  1204,  1205,  1206,  1208,
    1209,  1211,  1212,  1219,  1220,  1221,  1102,  1103,  1104,  1106,
    1107,  1105,     0,  1100,  1263,  1259,  1267,  1269,  1113,  1114,
       0,  1111,  1275,  1068,  1070,  1071,  1073,  1074,     0,     0,
    1155,  1163,  1165,     0,     0,   768,     0,  1176,     0,  1197,
       0,  1178,  1177,  1182,  1183,  1196,  1198,  1199,  1167,  1175,
       0,  1223,  1230,  1227,  1226,  1228,  1229,  1225,  2103,     0,
     643,   643,   643,   643,   643,   643,     0,  1159,   643,  1159,
     643,  1828,   643,   643,     0,  1244,  1236,  1246,  1238,  1232,
    1234,  1240,  1242,     0,  1255,  1252,  1261,  1685,   768,     0,
       0,  1690,  2199,     0,  2208,  2189,     0,   758,   764,     0,
     730,   766,     0,   734,     0,     0,  1075,     0,     0,   973,
    2185,  2174,  1062,     0,  2154,   645,   646,   647,   644,     0,
    2157,  2158,     0,  2153,  2160,     0,     0,     0,  2179,  2181,
     582,   583,   584,   580,     0,  1869,  1017,  1022,  1078,  1081,
    1096,     0,     0,  1043,     0,  1298,     0,  1294,  1306,  1018,
    1018,  1018,     0,     0,     0,  1512,     0,     0,     0,   594,
     594,  1559,  1561,     0,     0,     0,     0,     0,     0,     0,
       0,   594,   594,     0,     0,     0,     0,     0,  1577,  1576,
    1409,  1579,  1523,   628,   627,  1480,     0,  1480,     0,     0,
    1483,  1484,  1509,  1498,  1499,  1500,  1501,  1502,     0,  1477,
       0,     0,  1507,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1558,     0,     0,     0,     0,
       0,     0,   594,     0,     0,     0,  1560,     0,  1516,   594,
       0,     0,     0,   594,   594,   594,     0,     0,     0,     0,
    1309,  1042,     0,  1636,  1018,  1018,  1707,     0,  1710,  1709,
    1714,  1708,     0,  1716,  1702,     0,  1862,  1861,  1858,  1859,
     767,  1045,   762,   770,  1055,  1049,  1031,   594,  1032,  1030,
    1035,     0,  1018,  1018,  1018,  2078,     0,     0,  2070,   598,
    2083,     0,     0,     0,   594,   594,     0,  2077,     0,  2068,
    2224,  2215,  2105,     0,  2222,  1083,  2237,  2232,   857,   847,
     851,   857,     0,   602,     0,     0,   711,   713,   932,     0,
       0,   917,     0,     0,     0,     0,   938,   935,  1653,  1652,
       0,     0,     0,     0,     0,     0,   791,     0,     0,   825,
     834,   842,     0,   878,     0,     0,   896,   897,   899,   895,
     900,     0,  1099,     0,  1110,  1332,  1329,  1330,  1328,  1157,
    1169,  1194,  1195,     0,  1191,  1192,  1193,  1187,  1185,  1186,
    1168,  1184,  1174,  1181,     0,     0,  1171,  1170,   588,  1179,
    1180,  1413,  1415,  1419,  1422,     0,  1420,  1421,  1423,     0,
       0,     0,     0,     0,     0,     0,     0,  1842,  1851,     0,
       0,  1846,  1849,  1844,     0,     0,   643,     0,   643,     0,
       0,     0,  1248,  2163,  1689,  1688,  1687,  1691,  2191,   578,
     760,     0,     0,   774,   776,     0,     0,     0,     0,  1085,
     974,   976,  2149,     0,     0,  2156,  2152,     0,  2148,   982,
       0,     0,     0,   594,   594,     0,     0,  1010,     0,  1079,
     643,  1075,  1094,     0,  1041,  1036,     0,     0,  1296,  1304,
    1308,     0,     0,     0,  1343,  1335,  1336,     0,  1366,  1368,
    1368,     0,     0,     0,  1361,  1352,     0,  1433,     0,  1432,
    1426,  1427,     0,     0,     0,  1535,  1534,  1533,  1584,     0,
       0,  1485,     0,   594,     0,     0,  1569,  1568,  1575,     0,
       0,     0,     0,  1548,   594,     0,  1524,     0,     0,  1407,
       0,     0,   599,     0,  1481,  1482,  1582,     0,  1478,  1479,
    1526,     0,  1518,     0,     0,  1539,     0,  1528,  1514,     0,
    1515,  1550,  1531,  1562,  1530,  1529,  1574,  1532,     0,  1563,
       0,  1565,  1566,  1517,     0,  1527,  1555,     0,     0,     0,
       0,  1553,   594,  1583,     0,     0,  1324,  1315,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   594,   594,   594,   594,     0,  1634,  1604,     0,
       0,     0,     0,     0,  1668,  1655,  1658,  1660,  1040,  1659,
       0,   768,     0,     0,     0,     0,  1683,  1677,  1673,     0,
    1711,  1713,  1813,     0,   594,  1733,   594,  1731,     0,     0,
    1723,   594,  1719,     0,  1737,  1814,   769,     0,  1054,  1034,
    1873,     0,  1890,  1880,  1882,     0,     0,     0,  1889,  1876,
    1877,     0,  1976,   594,     0,  1975,  1967,  1968,     0,     0,
       0,     0,     0,  2038,     0,  2038,     0,     0,  2038,  2022,
    2025,  2026,     0,  2029,     0,  2081,  2066,  2067,  2069,     0,
    2094,  2095,  2092,   636,   637,  2072,  2074,  2073,  2075,  2071,
     588,   874,   874,     0,     0,   939,   940,   941,     0,     0,
     949,     0,     0,   778,  2101,     0,     0,   970,   874,  2097,
       0,   971,  2099,     0,  2225,  2107,  2235,  2239,   850,   852,
       0,     0,   926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,     0,   795,     0,     0,     0,
       0,     0,     0,   876,   606,   607,     0,  1101,  1112,     0,
    1188,  1189,     0,  1172,  1173,  1417,  1418,   633,   634,   635,
     631,   632,  1416,  1474,  1468,  1470,  1472,  1832,  1830,  1847,
    1850,  1845,  1848,     0,  1834,     0,  1838,  2017,  2019,     0,
     765,   762,     0,     0,   782,   783,   777,   780,   781,     0,
    1651,   736,     0,   648,  2159,  2161,  2182,     0,     0,  1001,
    1000,  1002,     0,     0,     0,  1008,  1076,     0,  1080,  1082,
    1037,  1039,  1301,     0,  1300,     0,     0,  1339,  1342,  1353,
    1075,  1354,  1386,  1355,  1390,  1356,   594,     0,  1360,  1075,
    1428,     0,  1431,     0,  1542,  1544,     0,     0,     0,  1489,
       0,     0,     0,     0,  1487,  1545,     0,     0,     0,  1570,
    1519,  1540,  1546,  1549,     0,  1525,  1536,  1149,     0,  1580,
    1511,  1510,  1508,  1541,  1537,  1538,  1520,  1513,  1567,  1564,
    1581,   594,  1551,  1556,  1554,     0,     0,     0,  1316,  1322,
       0,   594,   594,   594,     0,     0,   594,     0,  1628,     0,
       0,  1611,  1612,  1613,  1609,  1627,  1626,  1614,     0,     0,
    1632,  1661,     0,     0,     0,     0,  1042,  1667,  1676,  1675,
    1674,  1679,  1678,     0,  1682,  1075,  1736,     0,     0,   594,
    1724,     0,     0,  1722,     0,     0,  1740,  1735,  1739,     0,
    1729,  1721,     0,  1747,  1050,  1051,  1052,  1053,   626,   625,
    1925,  1934,  1879,  1075,  1878,     0,     0,  1885,   594,     0,
    1888,  1075,  1972,  1969,  1971,  1974,  2040,     0,     0,     0,
    2039,     0,     0,     0,  2041,  2027,  2044,  2053,  2031,     0,
    2024,  2079,  2084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   968,   968,     0,   776,     0,   962,     0,     0,
     964,     0,  2216,     0,     0,     0,   669,   680,   681,   667,
       0,   670,   671,     0,     0,   674,   675,   679,   676,   718,
     677,     0,   693,   693,     0,     0,   719,     0,   693,   693,
       0,     0,     0,     0,   929,   930,   928,   931,     0,     0,
     804,     0,     0,   802,     0,   798,     0,     0,   796,     0,
       0,     0,   874,  1190,  1836,  1840,     0,   756,   775,     0,
     771,   784,   763,     0,  2178,     0,     0,  1005,  1006,  1077,
       0,     0,  1307,     0,  1347,     0,  1349,  1348,  1338,  1344,
    1337,   762,  1364,  1362,  1363,  1365,  1367,  1386,  1384,  1369,
       0,     0,  1393,  1357,     0,  1463,   594,     0,     0,     0,
    1492,  1493,  1491,  1495,  1494,  1496,     0,  1486,  1572,  1571,
    1573,  1547,  1122,  1123,   594,     0,  1404,     0,     0,     0,
       0,     0,  1410,  1406,  1115,  1117,     0,  1148,     0,     0,
    1552,  1318,  1319,  1317,  1312,  1314,  1311,  1313,  1320,   594,
     594,     0,     0,  1620,  1621,  1622,  1624,  1625,     0,     0,
    1630,  1615,   594,  1601,  1602,  1603,  1610,  1629,   594,     0,
       0,     0,  1669,  1663,  1664,  1665,  1662,  1656,   594,  1816,
    1820,  1726,  1727,  1725,  1801,  1728,  1801,  1761,  1741,  1730,
    1815,  1748,  1932,  1931,  1922,  1938,  1937,  1945,  1881,  1947,
    1948,  1955,  1883,  1886,     0,  2011,     0,  2037,  2036,  2030,
    2033,   594,  2032,  2028,  2045,     0,  2034,  2096,   638,   960,
     961,     0,     0,   954,     0,   843,   945,     0,     0,     0,
       0,   946,   779,     0,     0,   959,     0,     0,     0,  2238,
       0,   603,   927,   668,   672,   673,   678,   663,   661,   659,
     658,   660,   662,   657,   664,   686,     0,   703,   688,   684,
     694,   704,     0,     0,   705,   624,   623,   702,   712,   708,
     709,   710,   706,   714,     0,     0,   871,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   840,
       0,   759,   761,     0,   943,   738,  1004,  1003,  1303,  1302,
    1305,     0,     0,  1340,  1369,     0,  1389,  1391,  1392,     0,
    1395,   594,  1461,  1434,  1429,  1543,  1490,  1497,  1488,  1403,
    1118,     0,     0,     0,  1398,  1402,  1378,     0,  1379,     0,
    1405,  1411,   652,   651,     0,  1124,   653,   654,   655,  1125,
    1121,  1408,  1557,  1599,  1600,  1598,  1607,  1606,  1605,  1608,
     594,     0,  1618,  1623,   594,   831,     0,  1680,  1814,  1818,
    1822,     0,     0,     0,  1750,     0,  1936,  1920,  1919,  1943,
    1953,     0,  2009,  1977,  1970,  2035,  2047,  2052,  2054,     0,
       0,   947,     0,   944,   950,   968,   969,   970,   968,   971,
     953,   956,     0,   955,  2234,  2236,     0,   682,   666,   665,
       0,     0,   665,   693,   693,     0,   695,   696,   697,   698,
     699,   693,   693,     0,   933,   934,   819,   803,   801,     0,
       0,   799,   817,   797,     0,     0,   815,     0,   813,   812,
       0,   810,   898,     0,  1346,  1345,  1388,   594,     0,     0,
       0,     0,     0,  1387,  1377,     0,  1394,   594,  1397,  1358,
    1435,  1465,     0,     0,     0,     0,     0,  1380,  1381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1616,  1617,
    1619,     0,  1670,  1817,     0,  1734,  1804,  1802,  1805,  1732,
     594,     0,   594,  1738,     0,     0,     0,     0,     0,     0,
       0,  1746,  1760,     0,   594,     0,     0,   594,   594,  1935,
       0,     0,  1924,  1939,  1949,     0,     0,  2013,     0,  2042,
       0,   958,   957,     0,   778,   963,   794,   829,   826,   827,
     828,   835,     0,     0,     0,     0,   965,   687,   685,     0,
     689,     0,     0,     0,     0,     0,   707,     0,     0,     0,
       0,     0,     0,     0,   942,  1375,     0,     0,     0,  1370,
    1374,  1376,  1385,  1396,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1464,  1460,
       0,  1116,  1118,  1399,  1400,  1401,  1382,  1383,   656,   639,
       0,     0,     0,     0,     0,     0,     0,  1144,  1145,  1146,
    1147,     0,     0,     0,  1148,   832,     0,     0,     0,     0,
       0,   594,     0,     0,     0,     0,     0,     0,     0,     0,
     594,     0,     0,     0,     0,     0,     0,     0,  1821,  1800,
       0,  1806,     0,     0,  1744,  1745,  1743,  1742,  1754,  1757,
    1758,  1759,  1751,  1752,     0,     0,  1755,  1749,  1927,     0,
       0,  1926,  1928,  1933,     0,     0,     0,     0,     0,     0,
       0,   594,     0,     0,     0,     0,  1908,  1910,     0,  1923,
       0,     0,     0,  1942,     0,     0,     0,  1952,     0,   649,
    1884,   650,     0,   594,     0,   594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2012,  2004,     0,     0,     0,  2046,     0,     0,
       0,     0,  2059,     0,   948,   845,     0,     0,   778,   951,
       0,     0,   683,     0,     0,   690,   701,   700,   818,   800,
     816,     0,   814,     0,   811,     0,     0,     0,  1436,     0,
    1439,  1440,  1441,  1438,   594,     0,     0,     0,     0,     0,
    1446,  1452,  1453,  1437,     0,     0,     0,     0,     0,     0,
       0,   594,  1462,  1119,  1125,     0,     0,  1125,  1125,  1134,
    1135,  1136,  1137,  1138,  1139,  1140,  1141,  1142,  1143,  1125,
       0,     0,  1120,  1769,  1770,  1771,  1772,  1773,  1774,  1775,
    1776,  1766,   594,     0,  1808,  1799,     0,     0,     0,  1794,
    1788,  1789,  1790,   594,  1763,  1781,  1762,   594,  1783,  1765,
       0,     0,  1767,   594,   594,  1764,     0,   594,  1819,  1807,
    1803,  1753,  1756,  1959,  1959,     0,     0,  1907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1895,   594,     0,
       0,     0,   594,     0,   594,     0,     0,  1921,     0,  1957,
    1941,  1940,  1946,  1944,  1950,  1951,  1956,  1954,  1983,  1981,
     594,   594,  2002,     0,     0,     0,  1997,  2005,  2008,  2007,
    2006,  2003,  1978,     0,  1982,   594,     0,     0,  1979,  1980,
       0,     0,   594,  1984,   594,   594,   594,  2010,  2051,  2049,
    2050,  2048,     0,     0,  2058,  2043,  2055,   830,   836,   844,
       0,   966,     0,     0,     0,     0,     0,  1371,  1372,  1373,
       0,     0,  1448,  1444,  1445,  1087,  1086,  1447,  1454,  1442,
    1443,   594,  1456,  1455,  1458,  1457,  1459,  1130,  1125,  1125,
    1132,  1131,  1133,  1125,  1125,  1784,   594,     0,  1792,  1791,
    1793,  1796,  1795,  1782,     0,  1797,  1780,  1768,  1779,  1778,
    1785,  1777,   594,  1929,  1930,     0,     0,  1916,  1917,  1918,
    1903,  1959,  1904,     0,  1959,  1897,  1893,     0,   594,  1896,
    1898,  1899,     0,  1913,  1909,  1914,  1911,     0,   594,  1958,
    2001,  1988,  1995,  1996,  1998,  1990,     0,  1999,  1993,  1994,
    1991,  1992,  1985,  1986,  1987,  1989,     0,     0,     0,     0,
     692,   691,   805,     0,  1449,  1450,  1451,  1128,  1129,  1126,
    1127,  1786,  1787,  1810,  1809,  1798,  1960,  1892,  1905,  1901,
    1906,  1902,  1891,  1894,  1900,     0,  1915,  2000,  2057,  2056,
     952,   967,     0,  1811,     0,     0,     0,  1812,  1912,     0,
     820
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3088, -3088, -3088, -3088, -3088, -3088, -3088,  -104,  -947,   -72,
      -7,  2112, -1037, -1395, -3088,  -175,  -178,  1467,  1468,  1469,
   -3088, -3088, -3088, -3088,  -280, -3088, -3088,  -999, -3088, -2162,
   -1414, -1140,   727, -3088,   859, -1497,   -99,  -290,   874,  -464,
   -3088,   428,   166, -1788, -3088,   823,   825,   826,   828,   537,
     170,   178,   540, -1451, -1133,   541, -3088, -3088, -3088, -3088,
    2016, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088,   -89, -3088, -3088, -3088,
   -3088,  1267, -1429, -3088, -1223, -2332, -3088, -3088, -3088,   577,
   -2920, -3088, -3088,   779, -3088,  -276, -2821,  1580,  -116, -1958,
   -2666,  2930, -2498, -2643,  1585,  -110, -3088,  2053, -3088,  1591,
   -3088, -3088, -3088, -3088, -1092, -3088, -3088, -1035,   542, -1935,
    -171, -1577, -3088, -3088,   369, -3088,    53, -2718, -3088, -3088,
   -3088, -1918, -3088, -3088, -3088, -3088, -2440,   376, -3088, -1080,
   -3088, -3088,     3,  3077, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,   -57,  -111, -3088,  -133,  -491, -3088, -1075, -1481,  -134,
   -1139, -1093, -3088,   -85, -3088, -3088, -3088,  2283, -3088, -3088,
   -3088,  1117, -1365,  -920, -3088, -3088, -2741, -3088, -3088, -3088,
   -3088, -3088,  -306, -3088,  1219,   -25, -3088,  1216, -1748, -3088,
      41, -2707, -3088, -3088, -1288, -3088,    18, -3088, -3088, -3088,
   -3088, -3088,  -320, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -1334, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  1346,  1966,
   -1585, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  -143, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,   314,
   -3088, -3088, -3088, -3088, -3088, -3088,  1118,   321, -3088,   184,
   -3088,   530, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  1393,
    -209, -3088, -3088,   513, -3088, -3088, -3088, -3088, -3088, -3088,
     488, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088,  -517, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088,   461, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
     290, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,  -165, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088,    11,   -13, -3088, -3088, -3088, -3088,  -173,    -4, -3088,
   -3088, -3088, -3088,  -172,    -2, -3087, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088,  -874,   677, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  1720,
   -3088, -3088, -3088, -3088, -3088, -3088,   673, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088,  1494,  1554, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,  1380,  1992,
   -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088, -3088,
   -3088, -3088, -3088
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,   929,  1336,     2,     3,   114,   115,  1358,  1372,  1005,
     982,  2965,  2816,  1857,  1173,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,  2887,  2580,
    3096,  1549,  2402,  2324,  2325,  3200,   960,  1251,  1790,  3290,
    2955,  3291,  2876,  3020,  2650,  2651,  2652,  2653,  2654,  2877,
    2878,  2879,  2881,  2882,  3030,  2884,  2655,  2661,  2363,  2364,
    1605,  1976,  1977,   300,   301,   302,    23,    24,    25,    26,
     116,  1325,   117,   118,   119,   120,  2422,  2081,  1768,  1769,
    2083,  1770,  1931,  1932,  1530,  1771,   121,  1324,  2421,  2423,
    2624,  2625,  2424,  2425,  2426,   303,  1215,  1216,  3137,  1623,
    1217,  1624,  1218,  1219,  1220,  3141,  2976,  1221,  3142,  1222,
    1223,  3002,  1169,   304,  1170,   305,   306,  1634,  1635,   307,
     308,   309,   310,  1653,  2009,  2386,  2376,   312,  2348,  2427,
    2848,  2428,  2621,  3143,  3510,  2856,  2849,  2350,   122,  1347,
     123,   124,  1016,   126,   127,   128,   985,  2108,  1804,  1378,
     129,  1006,  1017,  1018,  2115,  2116,  1812,  1397,  1813,  1019,
    1535,  1531,  2278,  1936,   130,   131,   973,   330,  1808,  2448,
    2110,  1809,  1965,  1966,  1776,  1777,  3360,   132,   133,   134,
    1389,  1020,  1247,  1682,  1683,  1259,  1690,  1691,  2753,  2754,
    3072,  2755,  2756,  2757,  3087,  3211,  2960,  1851,    27,    28,
      29,    30,  1277,    31,    32,    33,  1273,  2030,  2031,  1720,
    1675,   317,    34,  1275,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,   356,  1312,    46,    47,    48,
      49,    50,    51,    52,   318,    53,    54,    55,   319,  1269,
     313,   135,   136,  1816,  1400,  1022,  1401,  1817,  1818,  2703,
    2453,  2120,  2454,  1078,  1079,  2768,  2218,  1909,  1489,  1910,
    1911,  1698,    56,   137,  2127,  2711,  1819,   138,  2708,  2709,
     139,  2136,  1820,   140,  2716,  2459,  2460,  2926,  3065,  2950,
    2925,  2719,  2461,  2463,  2722,  2930,  3068,  2465,  2758,  2498,
    2169,  2951,    57,  1729,   141,  2142,  1821,   142,  2469,  3071,
    3190,  3070,  2933,  2470,    58,    59,    60,    61,   143,  1449,
    1446,  2152,  2483,  2484,  1868,   144,  1438,  2170,  1080,  1081,
    2966,  2786,  2239,  1912,  1491,  1913,  1082,  2248,  2249,   145,
    2250,  1914,   146,  2793,   147,  2259,  1915,   148,    62,  1314,
    1002,   149,   150,  1507,  1100,  1101,  1102,  1103,  1104,  1925,
    2273,  2564,  2561,  2567,  2568,  2983,  3104,  2274,  2984,  3113,
    2275,  3240,  2981,  3097,  3098,  3243,  3547,  3644,  3624,  2555,
    2573,  2800,  2978,  3094,  2980,  2556,    63,    64,    65,    66,
      67,    68,    69,    70,  1736,   151,   152,  1115,   153,  1381,
     154,   155,  2291,  2585,  2586,  1942,   156,  2583,  3280,  3453,
    3455,  3570,  3122,  3121,  2988,  2584,  2581,  3120,  2986,  2985,
    2813,  2582,  2817,  2989,  3284,  3462,  3123,  2818,  2821,  2990,
    3288,  3466,  3124,  2822,  3460,  3563,  1003,   157,  2298,  1943,
     158,  2591,  3127,  3314,  3481,  3126,  2993,  2592,    71,    72,
     159,   160,  1944,  2312,  2601,  2313,  2605,  2608,  2834,  2997,
    3128,  3318,  3129,  2835,  3130,  3323,  3505,   161,   162,  1564,
    1565,  2315,  1138,  1945,  1139,  1951,  2321,  2322,  2352,  1958,
    1567,    73,   163,  1152,   974,   164,  1784,  1793,  1367,  1791,
    2095,  1796,  1309,  1310,   165,   166,  1369,  1370,  2100,   167,
      74,    75,    76,    77,    78,    79,    80,    81,   365,  1321,
     168,  1577,  2354,  1153,  1154,   169,   170,  1161,  1582,  2860,
    2633,  2357,  1583
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     286,  1178,   954,  1171,  1177,  1213,   125,   968,   981,  1214,
    1499,   976,   930,  1249,  1445,  1448,   932,   933,  1114,  1137,
    1151,  1126,  1288,  2346,  1810,  1508,  1533,  1924,  1136,  1150,
    1855,  1373,  1252,  1077,  2375,  2377,  2379,  2380,  2958,  1099,
    2349,  1113,  2677,  1125,  2792,  2792,  2792,  1607,  1608,  1993,
    1719,  1135,  1149,  1869,  2672,  3040,  3047,  1616,  1617,  1160,
     311,  3050,  3018,  3022,  2913,  2819,  2606,  1313,  2010,  1870,
    1587,  1588,  1589,   979,  1871,  1595,  2008,  1596,   180,  1814,
    1023,  1794,  1024,   286,  1025,  1829,  1026,  1413,  1083,  2688,
    1084,  1761,  1085,    83,  1105,  3018,  3022,  2700,  1127,  1586,
    1128,   979,  1129,  1833,  1130,  3134,   180,  1212,  1162,  2626,
    1211,  1155,  1156,   180,  3315,  1204,  1205,  1591,  1592,  1207,
    1415,  1175,  1176,  2587,  1853,  1163,  1342,  1164,  1343,  3438,
      84,  1344,  1548,  1718,  1228,  1229,  1230,  1231,  1232,  1176,
      85,  2578,  2858,   934,    86,    87,   979,  1441,  1442,  2346,
    1443,   180,  3285,   125,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1162,  2436,  1242,  3587,  1168,   180,  1516,
     353,    88,  1228,  1229,  1230,  1231,  1232,  1270,   286,  3444,
    1163,  3136,  1164,  2850,  1228,  1229,  1230,  1231,  1232,  1626,
    1627,  2731,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,     1,  3440,  1242,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  2778,  3325,  1242,  1204,  1205,   177,  1206,
    1207,   180,  1175,  1176,  1260,  1853,  3316,  1441,  1442,    89,
    1443,    90,    91,  3073,  2538,    92,  2720,    93,  1182,    94,
    1417,    95,    96,    97,  1180,    98,  1292,  1293,  1294,  1295,
    1296,  1297,  1298,  1299,   358,  1513,  1834,  2859,  3423,    99,
     100,   101,   102,   103,   104,  1419,   105,  1204,  1205,  1591,
    1592,  1207,   180,   -60,  1548,  3361,  2032,   286,  1210,  2867,
    2868,  2869,  1289,  1870,   354,  1630,   979,   979,  1871,  1174,
    1631,   180,   180,  2975,  1204,  1205,  1591,  1592,  1207,  2870,
    2871,  2872,   979,  3470,  2389,  3201,  1807,   180,  1517,   359,
    2701,   106,  1204,  1205,  1591,  1592,  1207,   107,  1228,  1229,
    1230,  1231,  1232,   108,   109,   -60,  1175,  1176,  1934,  2074,
    1228,  1229,  1230,  1231,  1232,  3445,  3138,  1203,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  3564,  1181,  1242,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  3140,
    1290,  1242,   979,  1342,   979,  1343,  2779,   180,  1344,   180,
    3471,  1824,  1244,  2351,  1256,  3488,  3286,   979,   979,  2923,
    3424,  2347,   180,   180,  2873,  2874,  2040,    82,  3249,  1353,
    1354,  1355,  1356,  1228,  1229,  1230,  1231,  1232,  1345,  1941,
    3588,  3410,  1353,  1354,  1355,  1356,   328,  2958,  3509,  1830,
    1780,  2089,  1947,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1414,  2539,  1242,  1228,  1229,  1230,  1231,  1232,
    2219,  1441,  1442,   977,  1443,  3362,  3489,  1228,  1229,  1230,
    1231,  1232,  1271,  1514,  3202,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,   331,  1416,  1242,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,   979,   979,  1242,  1474,
    2732,   180,   180,  1204,  1205,  1591,  1592,  1207,   180,   958,
    3255,  2531,  3409,   959,  3629,  3073,  1245,  3631,  1257,  3287,
     171,  2346,  1353,  1354,  1355,  1356,  2721,   979,  2892,  2351,
    3439,  1970,   180,   978,  3139,  3136,  3136,  2347,  1228,  1229,
    1230,  1231,  1232,  1204,  1205,  1591,  1592,  1207,   180,  1949,
     360,  1950,  1228,  1229,  1230,  1231,  1232,  3250,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  2607,  1795,  1242,
    3411,  3317,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,   361,  1688,  1242,  2318,  2437,  3476,   172,  1228,  1229,
    1230,  1231,  1232,  2020,  3441,  3144,  1926,  1927,  3145,  3477,
     958,   979,  3421,  3442,   959,  1418,   180,   173,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1261,  1262,  1242,
    1835,  3548,  3549,  3215,   180,  1436,  1353,  1354,  1355,  1356,
    1420,  1228,  1229,  1230,  1231,  1232,   180,  3478,  1689,   329,
    2952,  2953,  3436,  1228,  1229,  1230,  1231,  1232,  1815,   327,
    2076,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1872,  1276,  1242,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  3367,  2702,  1242,  2914,  2678,  2679,  1228,  1229,
    1230,  1231,  1232,  2820,  1994,  1349,  1350,  1351,  2673,  3041,
    3048,  3138,  1469,  3023,   966,  3051,  1439,   980,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1632,   110,  1242,
     979,  3251,  1633,   180,  3140,   180,   111,   112,  3289,  3114,
    2346,  1224,  2257,  1858,  3412,   980,  3031,  2532,  1859,   113,
    2393,  2394,  1165,  1388,  1548,  1406,   979,   366,  1166,  1208,
    1167,   180,  3212,  3135,  2899,  1602,  2901,  3095,  1421,  2903,
    1346,  2906,  2908,  1228,  1229,  1230,  1231,  1232,   212,  1836,
    1276,  1353,  1354,  1355,  1356,  2015,  1753,  2101,  1754,  2845,
     980,   355,  2815,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,   314,   180,  1242,   931,   315,  1165,  1228,  1229,
    1230,  1231,  1232,  1166,   955,  1167,  1737,  1422,   180,  1628,
    1228,  1229,  1230,  1231,  1232,  1620,  1621,   956,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  2372,  2373,  1242,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,   979,
    3241,  1242,  2189,  1858,   180,   212,  3242,   957,  1859,  1407,
    1208,  1228,  1229,  1230,  1231,  1232,  1447,  1209,  3099,  1603,
    3356,  3357,  2548,  3622,  1353,  1354,  1355,  1356,  1172,  3139,
    3368,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    2102,  2351,  1242,   983,  2502,  1858,  2773,  2774,  1337,  2347,
    1859,  3213,  2761,  2762,   -60,  2566,   -60,  3499,   975,  1323,
    1352,  1208,  3479,   958,  3281,  1739,   979,   959,  1593,  3282,
    2707,   180,   979,  1371,  1371,  1366,  2358,   180,  2706,  2359,
     980,   980,  1339,   362,   363,   364,  1021,   316,  1998,   961,
    1214,  1353,  1354,  1355,  1356,  3500,   980,  1353,  1354,  1355,
    1356,  1785,  1786,  2036,  1787,   979,  1208,  1470,  1788,  2346,
     180,  1376,  1391,  1392,  3100,  2790,  3369,   962,   963,  3370,
     984,  2791,  1982,  2103,  2104,  2105,  3001,  2958,  2106,  1116,
    1353,  1354,  1355,  1356,  1983,   964,  3480,  1441,  1442,  1575,
    1443,  1423,  1360,  1246,  1845,  1258,  1440,  1174,  1340,  1341,
    3458,  1471,  1472,  1379,  1380,  2199,   980,  1346,   980,  1730,
    1731,  1732,  1733,  1734,  1735,  1179,  1738,  1740,  1475,  1742,
    1743,   980,   980,   286, -1578,  3101,  2764,  3283,  3358,  1428,
    2410,   979,  1429,   958,  2411,  2412,   180,   959,  1393,  1502,
     979,  1171,  1171,  1171,  1430,   180,  1171,  1984,  1171,  1228,
    1229,  1230,  1231,  1232,  3319,  3320,  1353,  1354,  1355,  1356,
    3321,  2016,  2017,  1523,  1183,  1353,  1354,  1355,  1356,  1233,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1357,  1985,
    1242,  1184,  2842,  1374,  1630,   967,  1860,  1861,  1570,  1971,
    2351,  2371,  3091,  1363,  1364,  1365,  2765,  3092,  2347,  1228,
    1229,  1230,  1231,  1232,  2839,  3081,  1185,  2002,  3115,  3116,
     980,   980,  3117,  3118,  2150,  2797,  1276,  1998,  3359,  1233,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  2963,  2964,
    1242,  2476,  3158,   979,  1186,  3322,  1431,  3160,   180,  3161,
    3082,   980,  3163,  3024,  2464,   979,  3032,   958,  1917,  1195,
     180,   959,  3024,  3032,  3102,  1279,  1187,  1208,  1353,  1354,
    1355,  1356,  2662,  2550,  1228,  1229,  1230,  1231,  1232,  1432,
    1353,  1354,  1355,  1356,  3492,  1390,  2663,  1798,  1433,  1453,
    1533,  1799,  1454,  1280,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,   979,  1188,  1242,  1860,  1861,   180,  2021,
    2022,  2023,  2024,  2769,  3083,  1168,  1168,  1168,   286,  1210,
    1168,  1803,  1168,  2766,  1854,   980,  2712,  2767,  1353,  1354,
    1355,  1356,  1189,  2546,  3119,  3407,  3357,  3064,  2713,  2714,
    2783,   286,   286,   286,   286,   286,   286,   286,  1860,  1861,
    2799,  1190,  1744,  2840,  3084,  2954,  2002,  1444,  2346,  1191,
    3085,   286,  2883,  1283,  1969,  1192,  2784,  2785,  2883,  2477,
    1555,  1281,  1411,  1412,  2079,  3324,  1764,   286,  1590,  3086,
    1248,   286,   286,   286,   286,   286,   286,   286,   286,   286,
     286,   286,   286,   286,   286,   320,  3112,  1918,  2011,   315,
    2012,  1609,  1610,  1611,  1612,  1613,  1614,  1615,  1772,  1441,
    1442,  1981,  1443,  1371,  1862,  1175,  1300,  1282,  2885,  2351,
    3103,  1625,  1792,   969,  1797,  3009,  1212,  2347,  1193,  1211,
    2486,  2010,  2954,  3007,   980,  2478,  2946,  1636,  1194,  2008,
    1117,  1639,  1640,  1641,  1642,  1643,  1644,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,  1652,  2855,  2615,  2616,  2002,  2107,
     980,  2742,  2743,  2562,  2715,  2113,  2770,  1826,  1827,  1118,
    1119,  1196,  2947,  2629,  1120,   286,  1863,  2710,  1284,   965,
    2771,   320,  3189,  1301,  1805,   315,  1986,  1121,  2772,  3327,
    1266,  2745,  3328,  3358,  1267,  1846,  1122,  2707,  1197,   286,
    3474,  3357,   970,   971,   972,  2706,  3239,  1478,  1875,  3105,
    1224,  1878,  1213,  1214,  1214,   321,   322,   325,   326,  3554,
    1225,  1987,  2557,  2535,  2500,   357,  3350,  3351,  1178,   979,
     316,  1177,  1266,  1996,   180,  1766,  1267,  3352,  3313,  1226,
     323,  1175,  1176,  3515,  1853,  3516,  2780,    86,    87,  2397,
    2398,  2787,  2399,   980,  1353,  1354,  1355,  1356,  1534,  1778,
    1923,  2479,  2075,  2480,  1243,  2481,  2501,  2516,  2482,  1371,
    1371,  2517,  1250,  3106,  2091,  2948,  2949,  2066,  2217,  2068,
    1255,  2238,  1171,  3408,  1935,  3107,  1479,  1480,  1935,  1534,
    1481,  2603,  1935,  2549,  2609,  1864,  1865,  1866,  1867,  1263,
    2051,  2052,  2053,  2054,  2055,  2056,  1265,  1938,  2067,  1264,
    2069,  1939,  2070,  2071,  1212,  1272,   316,  1211,  1274,  1556,
     980,  1441,  1442,  2636,  1443,  1268,   980,  1962,  1948,  1276,
    1964,  2637,  2638,  2639,  2640,  2558,  2641,  2642,  2643,  1291,
    1967,  2644,  1007,  2645,  2646,  2807,  1557,  1008,  1009,  2647,
    2648,  2292,  2013,  1789,  2014,  1011,  1558,  2698,  3358,   980,
    2559,  1278,    99,   100,   101,   102,   103,   104,  1311,   105,
    1285,  1228,  1229,  1230,  1231,  1232,   359,  1930,   286,  1482,
     324,  1240,  1241,  1286,  1287,  1242,  2026,  -642,  -642,  2025,
    -642,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    2717,  1316,  1242,  1228,  1229,  1230,  1231,  1232,  2351,  2725,
    1320,  1012,  1483,  1753,  1013,  2435,  2347,  3108,  3109,  3110,
    1318,  1484,  2829,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  3151,  3152,  1242,   980,  1319,  1952,  1933,  1322,
    3154,  3155,  1348,  1176,   980,  2578,  1168,  3204,  3475,  2867,
    2868,  2869,  2574,  2575,  2576,  2577,  2569,  1800,  1801,  1802,
    1485,  2911,  2433,  2912,  1228,  1229,  1230,  1231,  1232,  2870,
    2871,  2872,   286,  2736,   286,  2737,  1228,  1229,  1230,  1231,
    1232,   180,  1210,  1210,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1458,  1459,  1242,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  3596,  2171,  1242,  2173,  1361,
    3205,  3206,  2664,  1953,  1757,  3642,  1954,  3207,  3208,  3209,
    3210,  2077,  1368,  2814,  1559,  1560,  1561,  1562,  1563,  1253,
    1254,  2825,  1990,  2346,  1991,  2087,  1377,   980,  1721,  1375,
    2085,  3567,  3568,  3569,  2092,  1382,  2126,  2141,  3649,   980,
    3640,  2018,  1383,  2096,  2873,  2874,  1722,  1384,  1930,  2033,
    2086,  1302,  1385,  2037,  3375,  3376,  1519,  1520,  2125,  2135,
    2140,  1394,  2636,  2039,  1395,  3390,  3391,  2665,  2143,  2144,
    2637,  2638,  2639,  2640,  1386,  2641,  2642,  2643,  3111,  1396,
    2644,  2155,  2645,  2646,  2968,  2159,  2160,   980,  2647,  2648,
    1315,  2165,  1317,  2167,  1198,  1199,  1200,  1201,  2916,  2917,
    1398,  1930,  1694,  1695,  2174,  2175,  1723,  1303,  1304,  1305,
    1306,  1307,  1308,  1399,  2114,  1402,  2178,  2179,  2088,  1403,
    2181,  2247,  2183,  2184,  1404,  2186,  2413,  1405,  2415,  1696,
    1697,  1408,   286,  1409,  2172,  3026,  3027,  3028,  3029,  2200,
    1758,  1525,  1978,  1979,  2390,  2391,  2439,  1171,  1410,  2293,
    1171,  1426,  2944,  2246,  2258,  2443,  2444,  2450,  2290,  2297,
    2311,  2544,  2545,  2260,  1724,  1759,  1955,  1425,  2261,  1427,
    2447,  3014,   344,  1434,  1956,  2734,  2735,  1725,  1726,  2670,
    2671,  2289,  2296,  2310,  1524,  1525,  2742,  2743,  3057,  1727,
    1435,  1760,  2093,  2675,  2676,  1178,  2864,  2865,  1177,  2326,
     345,  1526,  1450,  2294,  2941,  2942,  1527,  3018,  3019,  2355,
    1228,  1229,  1230,  1231,  1232,  1451,  2745,  1452,  1676,  1677,
    1678,  1456,  2401,  1528,   346,  2400,   347,  1455,   348,  1529,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  3058,
    1460,  1242,  3066,  1679,  1680,  3038,  3039,  1681,  1228,  1229,
    1230,  1231,  1232,  3379,  3380,  3381,  3382,  3383,  3043,  3044,
    1228,  1229,  1230,  1231,  1232,  2742,  2743,  2245,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1524,  1525,  1242,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  3059,
    1457,  1242,  3060,  3061,  1526,  1461,  2395,  2295,  3062,  1527,
    2396,  2345,  2523,  1463,   349,   350,   351,   352,  3077,  3078,
    1464,  1168,  1465,   980,  1168,  1466,  1532,  3384,  3385,  3386,
    3387,  3388,   286,   286,  1467,   286,   286,   286,   286,  1228,
    1229,  1230,  1231,  1232,  1468,   286,   286,   286,   286,  1854,
    1476,   286,  2419,  2420,  1477,   286,  3166,  3167,  1486,  1233,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1524,  1525,
    1242,  1007,  1487,  2429,  3196,  3197,  1008,  1009,  3520,  3521,
    1157,  3336,  3337,  2351,  1011,  1526,  2794,  2795,  1492,  2649,
    1527,  2347,  2365,  2366,  1488,  2367,  2368,  2369,  2370,  1228,
    1229,  1230,  1231,  1232,  1496,  2452,  1490,  1532,  1493,  1497,
    2488,  2382,  1494,  1495,  1498,  2383,  1501,  1506,  1504,  1233,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1509,  1510,
    1242,  1511,  1175,  1545,  1546,  1547,  1515,  2345,  1518,  1521,
    1012,  1522,  1534,  1013,  1536,  1537,  3537,  1538,  1539,  3540,
    3541,  1212,  1540,  1541,  1211,  1228,  1229,  1230,  1231,  1232,
    1542,  3542,  1543,  2579,   186,  1550,  1544,  2579,   188,   189,
    1551,  1552,  1566,  3169,  2666,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  2528,  1553,  1242,  3193,  3194,  3195,
    1554,  3174,   332,  1568,  1569,  1572,  1228,  1229,  1230,  1231,
    1232,  1571,  3175,  1574,  1580,  1581,  2667,  3176,  1578,  2551,
    1228,  1229,  1230,  1231,  1232,  2552,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1579,  1584,  1242,  1585,  1597,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,    86,
      87,  1242,  3393,  3394,  3395,  3396,  3397,  3398,  3399,  3400,
    2594,  1598,  1599,  1600,  1601,  2596,  1604,  1242,  1618,  1619,
    1228,  1229,  1230,  1231,  1232,  1629,  1637,  2896,  2518,  1638,
    2611,  1684,  1228,  1229,  1230,  1231,  1232,  2281,  1685,  2897,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1686,
     214,  1242,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1687,  1692,  1242,  1930,  1693,  2128,  1700,  1701,  2632,
    3617,  3618,  1728,  1741,  1745,  3619,  3620,  1746,  1747,  1748,
    1749,  3177,  1750,  3063,  3484,  1751,  1752,  1755,  1756,  2401,
    2742,  2743,  2400,  1762,  1007,   333,  1765,   334,  2656,  1008,
    1009,  1774,  1773,  2282,  1767,  1783,  1779,  1011,  1775,  1781,
    3292,  1782,  1806,  1822,    99,   100,   101,   102,   103,   104,
    2745,   105,  1825,  1831,  1841,  1823,   335,  1832,  1326,  1007,
    1839,  1840,  1842,   336,  1008,  1009,  1844,  1847,  2129,  3178,
    1524,  1525,  1011,  1848,   286,   286,  1849,   286,  1852,  1850,
    1856,   286,   286,  1874,  1876,  1877,  1879,  1526,  1882,  2697,
    1371,   286,  1527,  1012,  1885,  2522,  1013,  2686,  1892,   337,
    2689,   338,  1893,  1896,  1898,  1899,  1902,  1903,  1905,  1528,
    1904,   339,  1327,  1907,   286,  1529,   286,  1922,  1928,  2727,
    1929,   340,  1937,  1556,  3179,  3180,  1959,  1968,  1012,  1963,
    1972,  1013,  3181,  1973,  1636,  1636,  1974,  2618,  1988,  1975,
     341,  2619,  2620,  3182,  3183,  3184,  1980,  1989,  3517,  3518,
    3519,  1636,  1992,    86,    87,  1995,  3185,  1997,  3186,  2002,
    3187,  2003,  2004,  2005,  2019,  2038,  2034,  3529,  3530,  2345,
    3532,  3533,  2035,  2072,  2668,  2078,  2669,  2080,  2082,  2742,
    2743,  3293,  2090,  1328,  2094,  2098,  2299,  2099,  2109,  2111,
    2300,  2112,    86,    87,  2117,  2118,  2119,  1329,  1330,  1331,
    1332,  1333,  2145,  2801,  2802,  2130,  2131,  2146,  2805,  2745,
    2147,  2153,  2132,  3034,  2133,  2809,  1158,  2148,  2810,  2154,
    2156,  2164,  2157,  2158,  2163,  2168,  1159,  2207,  3294,  2886,
    2166,  2176,  2579,  3614,  3615,  2180,  2182,  2185,  2187,  2188,
    2190,  2191,  2192,  2827,  2828,  2193,  2194,  2830,  1007,  2832,
    2212,  3035,  2195,  1008,  1009,  2836,  2196,  2137,  2197,  2763,
    3623,  1011,  2201,  3054,  2202,   342,  2277,  2314,    99,   100,
     101,   102,   103,   104,  2203,   105,  2205,  2206,  2211,  2213,
    1334,  3295,  2847,  3296,  3297,  2280,  2316,  1007,  2041,  3598,
    2317,  3298,  1008,  1009,  2319,  2320,  2323,  2875,  2353,  2329,
    1011,  3299,  2356,  2875,  3300,  2360,  2042,    99,   100,   101,
     102,   103,   104,  2384,   105,  2361,  2362,  1012,  2381,  2385,
    1013,  2392,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2414,
    2416,  2417,  3198,  2418,  2430,  2957,  2432,  2431,  2438,  2442,
    2445,  1371,  1371,  3301,  2451,  2434,  2918,  2919,  2214,  2455,
    2446,   343,  2456,  2457,  2458,  2467,  1012,  2057,  2466,  1013,
    2841,  2468,  2471,  2472,  2474,  2473,  2475,  3302,  2345,   286,
    2485,   286,  2928,  2489,   286,  2058,  2490,  2491,  2301,  2283,
    2284,  2492,  2285,  2493,  2495,  2496,  2511,  2286,  2499,  2503,
    2287,  2497,  3609,  2504,  2505,  1371,  2945,  2506,  2927,  2507,
    2508,  2509,  2510,  1117,  2512,   286,   286,  2513,  2514,  2519,
    2520,  2521,  2524,  2525,  2526,   286,  2527,   286,  2059,  2138,
     286,  2529,   286,   286,  2530,   286,  2540,  2541,  2113,  2853,
    2547,  2854,  1118,  1119,  2857,  3303,  2302,  1120,  2553,  2554,
    2565,  2043,  2044,  2045,  2542,  2543,  2843,  3188,   286,  1335,
    1121,  1854,  1854,  2572,  2046,  2047,  2571,  2588,  3304,  1122,
    2589,  2590,  2595,  2599,  2597,  2894,  2895,  2600,  2598,  2602,
    2991,  2303,  2994,  2610,  1027,  3305,  1214,  2613,    86,    87,
    2614,  2617,  -969,  2622,  2623,  1636,  2627,  3010,  2628,  2288,
    2630,  2631,  2635,  2634,  2681,  2674,  2683,  2680,  2682,  1168,
    2684,  3011,  2304,  2060,  2305,  2685,  1027,  2687,  2921,  2690,
      86,    87,  2692,  3306,  3307,  3308,  3309,  2693,  3310,  2695,
    2696,  3311,  3017,  2694,  2134,  3003,  2718,  2724,  3025,  2726,
    2728,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,  2729,   945,   946,   947,   948,   949,   950,   951,  2240,
    2215,  3013,  2730,  1212,  1212,  2738,  1211,  1211,  2739,  2733,
    2740,  2741,  2760,  3164,  2782,  2788,  2789,  2796,  2798,  2804,
    2806,  2826,  2808,  1007,  2811,  2812,  2824,  2831,  1008,  1009,
    2048,  2299,  2049,  2838,  2861,  2851,  1011,  2345,  2862,  2863,
    2866,  2061,   286,    99,   100,   101,   102,   103,   104,  2880,
     105,  2898,  2904,  2922,  2902,  1007,  3312,  2915,  2929,  2931,
    1008,  1009,  2888,  2936,  1117,  2241,  2242,  3089,  1011,  2893,
    2920,  2937,  2969,  2943,  2971,    99,   100,   101,   102,   103,
     104,  2909,   105,  1007,  2935,  2932,  2050,  2940,  1008,  1009,
    2959,  2961,  1012,  1118,  1119,  1013,  1011,  2962,  1120,  2970,
    2974,  2790,  3005,  2979,  3004,  2987,   286,  2992,  1140,  2996,
    2998,  1121,  3147,  3015,  2999,  2875,  3016,  2875,  3000,  3033,
    1122,  2306,  3021,   953,  1012,  3036,  2307,  1013,  2308,  3037,
    3042,  3045,  3067,  3046,  3049,  3052,  3079,  2243,  3074,  3075,
    3076,  2062,  3125,  3131,  3132,  3133,  3153,   286,  3146,  3156,
    3157,  3159,  1012,  3162,  2957,  1013,  1371,  3170,  3168,  3172,
    3191,  1141,  3192,  2139,  3199,  3214,  3053, -1579, -1579, -1579,
    1371,  1371,  1371,  3247,  3254,  1086,  1087,  3257,  3259,  3203,
      86,    87,  3260,  1142,  3263,  3326,  3331, -1579, -1579, -1579,
   -1579, -1579,  1238,  1239,  1240,  1241,  3330,  3245,  1242,  3341,
    3338,  3248,  2309,  3252,  3253,  3343,  3256,  3080,  3339,  3340,
    3342,  3344,  3345,  3346,  3347,  2063,  3349,  2121,  3354,  3355,
    2122,  2123,  3364,  3365,  3366,  3371,  3372,  3374,  3377,  3402,
    3378,  3403,  3389,   286,  3413,  3417,  3427,  1117,   286,  3404,
     286,  3406,  2064,   286,  3420,  3332,  3426,  3333,  3334,  3335,
    1214,  1214,  3264,  3428,  3430,  3449,  1007,  3443,  3448,  3450,
    3451,  1008,  1009,  3452,  3454,  3456,  1118,  1119,  3435,  1011,
    3348,  1120,  2819,  3353,  2065,  1007,  3473,  1359,  3363,  3446,
    1008,  1009,  3457,  3463,  1121,  3467,  3483,  2579,  1011,  3486,
    3487,  3485,  3265,  1122,  3490,    99,   100,   101,   102,   103,
     104,  3491,   105,  3513,  3497,  3501,  3514,  3506,  3528,  3494,
    3511,  3531,  3495,  3401,  3538,  3539,  3543,  3496,  1168,  3562,
    1387,  3544,  3414,  3415,  3416,  1012,  2345,  3419,  1013,  3422,
    3502,  3425,  2742,  2743,  2744,  3546,   286,  2216,  3429,  3565,
    2262,  3503,  3566,  3573,  1012,  2263,  3577,  1013,  3582,  3578,
    3431,  3432,  3608,  1424,  3606,  3433,  3434,  3607,  3613,  3612,
    1088,  1437,  2745,  3266,  3641,  3625,  3643,  3645,  3646,  3637,
    3647,  2027,  2028,  2029,  2699,  1462,  3650,  3459,  2612,  2746,
    2604,  3648,  3459,  1473,  2956,  2747,  3149,  2657,  3468,  2658,
    2659,  3150,  2660,  1123,  2889,  3482,  3329,  3148,  2890,  2276,
    2891,  1606,  2852,  1500,  3493,  2691,  1503,  1027,  1505,  1999,
    3507,    86,    87,  1089,  1202,  2000,  3498,  3508,  1512,  1594,
    1143,  1144,  3504,  2001,  2910,  3012,  3008,  1098,  2449,  2388,
    2387,  3267,  3392,  3373,  1699,  2748,  3055,  3268,  2749,  2750,
    3269,  1371,  1371,  1371,  2751,  3056,  3171,  2924,  2462,  2938,
    2264,  3523,  3524,  3525,  3526,  3527,  1362,  1573,  2967,  1576,
    1371,  1371,  2177,  1371,  1371,  3534,  3535,  2982,  3093,  3461,
    1228,  1229,  1230,  1231,  1232,  3572,  3437,  1145,  1146,  1147,
    3584,  3464,  2833,  3586,  3465,  1957,  2837,     0,  1148,  2097,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,    86,
      87,  1242,  3550,  3551,  3552,  2084,  1007,  2073,     0,  1763,
       0,  1008,  1009,     0,     0,     0,  3556,  3557,     0,  1011,
    2244,     0,  3560,     0,   286,     0,    99,   100,   101,   102,
     103,   104,     0,   105,   286,  3571,   286,     0,  3574,  3575,
    3576,     0,     0,     0,     0,  3580,  3581,     0,  2124,     0,
       0,     0,     0,     0,  3589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,  1091,  1092,  1093,     0,  3592,
    3593,  3594,     0,     0,  2265,  1012,     0,     0,  1013,  3595,
       0,     0,  1371,  3599,  3512,     0,  3600,  3601,  1131,     0,
       0,     0,  1094,  1132,  1007,     0,     0,  1095,     0,  1008,
    1009,     0,  1096,  1010,  1228,  1229,  1230,  1011,     0,  3610,
    3611,     0,     0,     0,    99,   100,   101,   102,   103,   104,
       0,   105,  2266,     0,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,     0,     0,  1242,     0,     0,     0,  2267,
       0,  2268,     0,     0,     0,  2269,     0,     0,     0,  2270,
    2271,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3627,  3628,  1012,     0,     0,  1013,     0,     0,  3630,
       0,     0,     0,  3632,  2957,     0,     0,     0,  3634,     0,
       0,  1014,     0,  3635,     0,     0,     0,  3270,     0,  3271,
    3272,     0,     0,     0,  3273,  3274,     0,  3275,     0,     0,
       0,     0,     0,     0,  3276,  3277,  1811,  3638,  3639,  2251,
    1525,     0,     0,     0,     0,  3278,     0,     0,     0,  1007,
       0,  1124,     0,     0,  1008,  1009,     0,     0,  1133,     0,
       0,     0,  1011,  1828,  2252,     0,     0,     0,  1837,  1838,
    1097,     0,   180,     0,  1843,     0,     0,     0,     0,     0,
       0,  1654,     0,     0,     0,  1655,  1656,     0,     0,  2752,
       0,     0,  1873,     0,     0,     0,     0,     0,     0,  1880,
    1881,     0,  1883,  1884,     0,  1886,  1887,  1888,  1889,  1890,
    1891,     0,     0,  1894,  1895,     0,  1897,     0,  1012,  1900,
    1901,  1013,     0,     0,     0,  1906,  2272,  1908,     0,     0,
       0,  2345,     0,     0,     0,     0,   286,     0,  1916,  1919,
    1920,     0,     0,  1921,  3279,  2253,   174,     0,   175,   176,
     177,   178,   179,   180,  2846,     0,     0,   181,   182,     0,
       0,     0,     0,     0,     0,   183,   184,  1622,  1168,   286,
     185,     0,     0,     0,     0,     0,     0,     0,     0,  1940,
       0,     0,   186,   187,     0,     0,   188,   189,     0,     0,
     190,     0,  1946,     0,     0,     0,     0,     0,     0,     0,
    1657,  1658,  1659,  1660,  1661,  1662,     0,  1663,     0,     0,
    1960,  1961,     0,     0,     0,     0,     0,     0,     0,     0,
      86,    87,   935,   936,   937,   938,   939,   940,   941,   942,
     943,   944,     0,   945,   946,   947,   948,   949,   950,   951,
       0,     0,     0,     0,     0,   191,   192,  1198,  1199,  1200,
    1201,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,     0,   210,
       0,   211,     0,     0,     0,   212,   215,     0,     0,     0,
     213,  1664,  1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,
    1673,  1674,     0,     0,     0,     0,     0,   216,   217,   218,
     219,  1134,     0,     0,     0,     0,     0,     0,   214,     0,
       0,     0,     0,     0,     0,  1007,     0,     0,     0,     0,
    1008,  1009,     0,     0,     0,     0,     0,     0,  1011,  2254,
    2255,     0,     0,     0,     0,    99,   100,   101,   102,   103,
     104,     0,   105,     0,     0,     0,     0,     0,     0,     0,
    1106,     0,     0,     0,     0,     0,     0,   215,     0,     0,
       0,     0,     0,     0,   953,     0,     0,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,   216,   217,
     218,   219,     0,     0,  1012,     0,     0,  1013,     0,  1015,
       0,     0,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   986,     0,     0,     0,     0,     0,     0,
    1107,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   987,     0,     0,     0,     0,     0,     0,     0,
    1108,     0,     0,     0,     0,     0,     0,   233,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,   988,     0,     0,     0,     0,     0,     0,     0,
       0,  2149,  2151,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,  2161,  2162,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,  1228,  1229,  1230,  1231,  1232,
       0,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2256,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,     0,   989,  1242,     0,   233,     0,
       0,   990,     0,     0,  2198,   991,     0,     0,     0,     0,
       0,  2204,   234,     0,     0,  2208,  2209,  2210,     0,     0,
       0,     0,     0,     0,   992,   235,   236,     0,     0,     0,
       0,     0,     0,     0,   241,   242,   237,   238,   239,   240,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2279,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2844,  2327,  2328,     0,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   241,   242,  1109,  1110,  1111,
       0,     0,     0,     0,     0,     0,     0,     0,   282,   283,
       0,     0,     0,   243,   244,     0,     0,     0,     0,     0,
       0,   993,  2220,     0,   994,     0,     0,     0,     0,   995,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   174,     0,   175,
     176,   177,   178,   179,   180,     0,   996,     0,   181,   182,
     997,   998,     0,     0,     0,     0,   183,   184,     0,   282,
     283,   185,   284,  1117,     0,  2440,  2441,  2221,   285,     0,
       0,     0,     0,   186,   187,     0,     0,   188,   189,     0,
       0,   190,     0,     0,     0,   999,     0,     0,  2113,     0,
       0,     0,  2222,  2223,     0,     0,     0,  1120,     0,     0,
    1112,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1121,  3216,  1000,     0,     0,  2487,     0,     0,     0,  1122,
       0,     0,     0,     0,     0,     0,  2494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   191,   192,  1198,  1199,
    1200,  1201,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,     0,
     210,     0,   211,  2224,     0,  2225,   212,  2226,     0,     0,
       0,   213,  1001,     0,  2515,   935,   936,   937,   938,   939,
     940,   941,   942,   943,   944,     0,   945,   946,   947,   948,
     949,   950,   951,     0,  2533,  2534,  2536,  2537,     0,   214,
       0,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,     0,   945,   946,   947,   948,   949,   950,   951,     0,
       0,     0,     0,     0,     0,     0,  2560,     0,  2563,     0,
       0,     0,     0,  2570,  2742,  2743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,     0,
       0,     0,     0,     0,     0,  2593,  2227,     0,     0,     0,
       0,     0,  2228,     0,  2745,     0,     0,     0,     0,   216,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3217,  3218,  3219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2229,     0,     0,     0,     0,     0,
       0,     0,   952,     0,  2230,  2231,     0,     0,     0,     0,
       0,  2232,     0,     0,     0,     0,     0,   953,     0,     0,
    3220,     0,     0,  2233,     0,     4,     5,     6,     0,     0,
    2234,     0,     0,     0,     0,  2235,  3221,     0,  3222,  3223,
       0,   220,  2236,   953,     0,     0,  3224,     0,     0,  3225,
       0,     0,     0,     0,     0,     0,     0,     0,  3226,     0,
       0,     0,     0,  3227,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,     0,     0,  3228,     0,     0,  1227,
       0,     0,     0,     0,  1228,  1229,  1230,  1231,  1232,     7,
       0,     0,   231,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     8,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,     0,     0,  1242,     0,     0,     0,   233,
       0,     0,  3229,     0,     0,     0,     0,     0,  2723,     0,
       9,    10,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,     0,     0,     0,     0,     0,     0,    11,     0,    12,
       0,    13,     0,  2759,     0,    14,     0,     0,     0,     0,
       0,     0,    15,  2775,  2776,  2777,     0,  3230,  2781,     0,
    3231,  3232,  3233,     0,     0,     0,     0,     0,  3234,     0,
       0,     0,     0,  3235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3236,    16,     0,     0,     0,    17,  3237,
       0,  2803,     0,    18,    19,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   241,   242,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2237,     0,     0,
    2823,     0,     0,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,     0,     0,
    1027,     0,     0,     0,  1028,  1029,     0,     0,     0,  1702,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     282,   283,     0,   284,  1175,  1545,  1546,  1547,     0,   285,
       0,     0,     0,     0,     0,     0,     0,     0,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3238,     0,     0,     0,     0,   186,     0,     0,     0,
     188,   189,     0,     0,     0,     0,    20,     0,     0,     0,
       0,  1031,     0,     0,     0,     0,     0,     0,  2934,     0,
       0,     0,     0,     0,     0,     0,  1703,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2939,     0,     0,  1007,
       0,     0,     0,     0,  1008,  1009,     0,  1032,  1033,     0,
       0,     0,  1011,  1034,     0,     0,     0,  1704,     0,  1035,
    1036,  1037,  1038,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1039,  2972,     0,     0,  1040,     0,  1041,
    2973,     0,     0,     0,     0,  1705,  1525,     0,     0,     0,
    2977,     0,     0,     0,     0,     0,     0,     0,  1706,     0,
       0,     0,  1707,     0,     0,  1708,  1709,     0,  1012,     0,
    1710,  1013,     0,     0,     0,     0,     0,     0,     0,     0,
    1042,     0,   214,  2995,  1043,     0,  1044,     0,     0,     0,
    1045,  1711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1712,  1713,  1714,     0,  1715,  1716,
    1717,     0,     0,     0,     0,     0,  1046,     0,     0,     0,
    1047,  1048,     0,     0,     0,     0,    21,     0,     0,  1049,
      22,     0,     0,     0,     0,  1050,  1051,     0,  1052,     0,
       0,     0,  1053,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1054,     0,     0,
       0,  1055,  1056,  3069,  1057,  1058,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,  1061,     0,     0,     0,  1062,  1063,  1064,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,  1066,  3088,     0,  1067,  1068,  3090,  1069,     0,  1070,
       0,     0,  1071,  1072,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1073,
       0,  1074,     0,     0,     0,     0,     0,     0,     0,  1075,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3244,     0,  3246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3258,     0,     0,  3261,
    3262,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,     0,   175,   176,   177,   178,   179,   180,     0,     0,
       0,   181,   182,     0,     0,     0,     0,     0,     0,   183,
     184,  2374,     0,     0,   185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   186,   187,     0,     0,
     188,   189,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1076,     0,     0,     0,     0,     0,
       0,     0,     0,  3405,     0,     0,     0,     0,     0,   191,
     192,     0,  3418,     0,     0,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,     0,   210,     0,   211,     0,     0,     0,   212,
       0,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,  3447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,     0,     0,  3469,     0,  3472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3522,     0,     0,     0,
       0,     0,   216,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,  3536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3545,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3553,     0,     0,     0,  3555,
       0,     0,     0,     0,     0,  3558,  3559,     0,     0,  3561,
       0,     0,     0,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3579,     0,     0,     0,  3583,     0,  3585,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,     0,     0,     0,
       0,     0,  3590,  3591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,  3597,     0,     0,
       0,     0,     0,     0,  3602,     0,  3603,  3604,  3605,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,  3616,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,  3621,     0,
     237,   238,   239,   240,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3626,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   241,
     242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   174,     0,   175,   176,   177,   178,   179,   180,     0,
       0,     0,   181,   182,     0,     0,     0,     0,     0,     0,
     183,   184,  2378,   282,   283,   185,   284,     0,     0,     0,
       0,     0,   285,     0,     0,     0,     0,   186,   187,     0,
       0,   188,   189,     0,     0,   190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     191,   192,     0,     0,     0,     0,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,     0,   210,     0,   211,     0,     0,     0,
     212,     0,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     241,   242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   243,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   174,     0,   175,   176,   177,   178,   179,   180,
       0,     0,     0,   181,   182,     0,     0,     0,     0,     0,
       0,   183,   184,  2900,   282,   283,   185,   284,     0,     0,
       0,     0,     0,   285,     0,     0,     0,     0,   186,   187,
       0,     0,   188,   189,     0,     0,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,     0,     0,     0,     0,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,     0,   210,     0,   211,     0,     0,
       0,   212,     0,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   215,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   216,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   241,   242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   174,     0,   175,   176,   177,   178,   179,
     180,     0,     0,     0,   181,   182,     0,     0,     0,     0,
       0,     0,   183,   184,  2905,   282,   283,   185,   284,     0,
       0,     0,     0,     0,   285,     0,     0,     0,     0,   186,
     187,     0,     0,   188,   189,     0,     0,   190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   191,   192,     0,     0,     0,     0,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,     0,   210,     0,   211,     0,
       0,     0,   212,     0,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   241,   242,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     243,   244,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   174,     0,   175,   176,   177,   178,
     179,   180,     0,     0,     0,   181,   182,     0,     0,     0,
       0,     0,     0,   183,   184,  2907,   282,   283,   185,   284,
       0,     0,     0,     0,     0,   285,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,     0,     0,     0,     0,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,     0,   210,     0,   211,
       0,     0,     0,   212,     0,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   241,   242,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   174,     0,   175,   176,   177,
     178,   179,   180,     0,     0,     0,   181,   182,     0,     0,
       0,     0,     0,     0,   183,   184,     0,   282,   283,   185,
     284,     0,     0,     0,     0,     0,   285,     0,     0,     0,
       0,   186,   187,     0,     0,   188,   189,     0,     0,   190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   191,   192,     0,     0,     0,     0,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,     0,   210,     0,
     211,     0,     0,     0,   212,     0,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   235,   236,     0,     0,     0,     0,
     190,     0,     0,     0,     0,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,  2332,  2333,  2334,  2335,  2336,
    2337,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2338,
       0,     0,  2339,  2340,     0,     0,     0,     0,     0,     0,
       0,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   241,   242,  2341,     0,  2342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   282,   283,
       0,   284,     0,     0,     0,     0,     0,   285,   216,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,   190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
       0,     0,     0,     0,     0,     0,     0,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,   935,   936,   937,   938,   939,   940,
     941,   942,   943,   944,     0,   945,   946,   947,   948,   949,
     950,   951,  2338,     0,     0,  2339,  2340,     0,     0,     0,
       0,     0,     0,     0,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2341,
       0,  2342,     0,     0,     0,   241,   242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,     0,     0,     0,
     215,     0,     0,     0,     0,     0,   953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   282,
     283,   216,   217,   218,   219,  2343,  2344,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2330,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,     0,     0,     0,     0,     0,
       0,   190,     0,     0,     0,     0,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,     0,     0,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2338,     0,     0,  2339,  2340,     0,     0,     0,     0,     0,
       0,   233,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,  2342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   215,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   241,   242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   216,
     217,   218,   219,     0,     0,     0,   243,   244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   282,   283,     0,     0,     0,     0,  2343,     0,
       0,     0,     0,     0,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   231,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,   187,     0,     0,
       0,     0,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   241,   242,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,     0,     0,
       0,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     282,   283,   216,   217,   218,   219,  2343,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   241,
     242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,     0,     0,     0,     0,     0,     0,     0,   367,   368,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   282,   283,     0,  2705,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,     0,     0,
       0,     0,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   689,   690,   691,   692,   693,   694,   695,
     696,   697,   698,   699,   700,   701,   702,   703,   704,   705,
     706,   707,   708,   709,   710,   711,   712,   713,   714,   715,
     716,   717,   718,   719,   720,   721,   722,   723,   724,   725,
     726,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     746,   747,   748,   749,   750,   751,   752,   753,     0,     0,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   819,   820,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   835,   836,   837,   838,     0,   839,   840,   841,   842,
     843,   844,   845,   846,   847,   848,   849,   850,   851,   852,
     853,   854,   855,   856,   857,   858,   859,   860,   861,   862,
     863,   864,   865,   866,   867,   868,   869,   870,   871,   872,
     873,   874,   875,   876,   877,   878,   879,   880,   881,   882,
     883,   884,   885,   886,   887,   888,   889,   890,   891,   892,
     893,   894,   895,   896,   897,   898,   899,   900,   901,   902,
     903,   904,   905,   906,   907,   908,   909,   910,   911,   912,
     913,   914,   915,   916,   917,   918,   919,   920,   921,   922,
     923,   924,   925,   926,   927,   928,   367,   368,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,  1004,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,     0,     0,     0,     0,
       0,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   689,   690,   691,   692,   693,   694,   695,   696,   697,
     698,   699,   700,   701,   702,   703,   704,   705,   706,   707,
     708,   709,   710,   711,   712,   713,   714,   715,   716,   717,
     718,   719,   720,   721,   722,   723,   724,   725,   726,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   746,   747,
     748,   749,   750,   751,   752,   753,     0,     0,   754,   755,
     756,   757,   758,   759,   760,   761,   762,   763,   764,   765,
     766,   767,   768,   769,   770,   771,   772,   773,   774,   775,
     776,   777,   778,   779,   780,   781,   782,   783,   784,   785,
     786,   787,   788,   789,   790,   791,   792,   793,   794,   795,
     796,   797,   798,   799,   800,   801,   802,   803,   804,   805,
     806,   807,   808,   809,   810,   811,   812,   813,   814,   815,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     826,   827,   828,   829,   830,   831,   832,   833,   834,   835,
     836,   837,   838,     0,   839,   840,   841,   842,   843,   844,
     845,   846,   847,   848,   849,   850,   851,   852,   853,   854,
     855,   856,   857,   858,   859,   860,   861,   862,   863,   864,
     865,   866,   867,   868,   869,   870,   871,   872,   873,   874,
     875,   876,   877,   878,   879,   880,   881,   882,   883,   884,
     885,   886,   887,   888,   889,   890,   891,   892,   893,   894,
     895,   896,   897,   898,   899,   900,   901,   902,   903,   904,
     905,   906,   907,   908,   909,   910,   911,   912,   913,   914,
     915,   916,   917,   918,   919,   920,   921,   922,   923,   924,
     925,   926,   927,   928,   367,   368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,  1338,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,     0,     0,     0,     0,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   693,   694,   695,   696,   697,   698,   699,
     700,   701,   702,   703,   704,   705,   706,   707,   708,   709,
     710,   711,   712,   713,   714,   715,   716,   717,   718,   719,
     720,   721,   722,   723,   724,   725,   726,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   746,   747,   748,   749,
     750,   751,   752,   753,     0,     0,   754,   755,   756,   757,
     758,   759,   760,   761,   762,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   774,   775,   776,   777,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   789,   790,   791,   792,   793,   794,   795,   796,   797,
     798,   799,   800,   801,   802,   803,   804,   805,   806,   807,
     808,   809,   810,   811,   812,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,     0,   839,   840,   841,   842,   843,   844,   845,   846,
     847,   848,   849,   850,   851,   852,   853,   854,   855,   856,
     857,   858,   859,   860,   861,   862,   863,   864,   865,   866,
     867,   868,   869,   870,   871,   872,   873,   874,   875,   876,
     877,   878,   879,   880,   881,   882,   883,   884,   885,   886,
     887,   888,   889,   890,   891,   892,   893,   894,   895,   896,
     897,   898,   899,   900,   901,   902,   903,   904,   905,   906,
     907,   908,   909,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   919,   920,   921,   922,   923,   924,   925,   926,
     927,   928,  3006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,     0,     0,     0,     0,     0,     0,   190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2006,  2007,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,     0,   187,     0,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,   216,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,     0,     0,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   241,   242,   237,   238,   239,   240,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   241,   242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   282,   283,
       0,     0,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   282,
     283
};

static const yytype_int16 yycheck[] =
{
       7,   179,    91,   174,   179,   285,     3,   106,   112,   285,
    1090,   110,    84,   319,  1051,  1052,    88,    89,   152,   162,
     163,   154,   342,  1958,  1389,  1100,  1119,  1508,   162,   163,
    1444,   978,   322,   144,  1992,  1993,  1994,  1995,  2756,   150,
    1958,   152,     7,   154,  2542,  2543,  2544,  1186,  1187,     7,
    1273,   162,   163,  1448,     7,     7,     7,  1196,  1197,   170,
       7,     7,    11,    12,    28,    25,    66,   357,  1653,    48,
    1162,  1163,  1164,    16,    53,  1167,  1653,  1169,    21,    75,
     137,   156,   139,    90,   141,    88,   143,    50,   145,  2421,
     147,  1314,   149,     3,   151,    11,    12,    68,   155,     7,
     157,    16,   159,   234,   161,     6,    21,   285,    16,    28,
     285,   168,   169,    21,   187,    16,    17,    18,    19,    20,
      50,    18,    19,  2285,    21,    33,    16,    35,    18,   130,
      40,    21,  1131,  1273,     8,     9,    10,    11,    12,    19,
      50,    21,   499,    90,    54,    55,    16,    18,    19,  2084,
      21,    21,   277,   150,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    16,   223,    39,    64,   174,    21,    51,
      42,    81,     8,     9,    10,    11,    12,     3,   185,   330,
      33,  3002,    35,  2623,     8,     9,    10,    11,    12,    33,
      34,   136,    28,    29,    30,    31,    32,    33,    34,    35,
      36,     4,   130,    39,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   234,  3134,    39,    16,    17,    18,    19,
      20,    21,    18,    19,   328,    21,   299,    18,    19,   139,
      21,   141,   142,  2940,   134,   145,    37,   147,   185,   149,
      50,   151,   152,   153,    34,   155,   345,   346,   347,   348,
     349,   350,   351,   352,   270,    52,   387,   614,   351,   169,
     170,   171,   172,   173,   174,    50,   176,    16,    17,    18,
      19,    20,    21,    28,  1273,   161,  1705,   284,   285,     8,
       9,    10,   195,    48,   156,   612,    16,    16,    53,    36,
     617,    21,    21,  2791,    16,    17,    18,    19,    20,    28,
      29,    30,    16,   237,    51,    51,  1386,    21,   190,    25,
     281,   221,    16,    17,    18,    19,    20,   227,     8,     9,
      10,    11,    12,   233,   234,    80,    18,    19,    42,  1758,
       8,     9,    10,    11,    12,   486,  3002,   284,    28,    29,
      30,    31,    32,    33,    34,    35,    36,  3434,   138,    39,
      28,    29,    30,    31,    32,    33,    34,    35,    36,  3002,
     273,    39,    16,    16,    16,    18,   387,    21,    21,    21,
     304,  1408,    42,  1958,    42,   385,   501,    16,    16,  2711,
     473,  1958,    21,    21,   113,   114,  1720,     0,   161,    41,
      42,    43,    44,     8,     9,    10,    11,    12,    51,  1538,
     298,   161,    41,    42,    43,    44,    25,  3125,  3328,   412,
    1357,  1776,  1551,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   385,   323,    39,     8,     9,    10,    11,    12,
    1911,    18,    19,   521,    21,   321,   446,     8,     9,    10,
      11,    12,   268,   240,   190,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   182,   385,    39,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    16,    16,    39,   384,
     415,    21,    21,    16,    17,    18,    19,    20,    21,    21,
     210,   157,  3223,    25,  3571,  3192,   156,  3574,   156,   614,
       3,  2426,    41,    42,    43,    44,   297,    16,  2660,  2084,
     501,  1593,    21,   591,  3002,  3326,  3327,  2084,     8,     9,
      10,    11,    12,    16,    17,    18,    19,    20,    21,  1556,
     236,  1558,     8,     9,    10,    11,    12,   300,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   537,   613,    39,
     300,   614,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   267,   166,    39,  1949,   614,  3297,     3,     8,     9,
      10,    11,    12,  1703,   492,  3005,  1513,  1514,  3008,   161,
      21,    16,   210,   501,    25,   385,    21,     3,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   229,   230,    39,
     242,   461,   462,  3091,    21,   234,    41,    42,    43,    44,
     385,     8,     9,    10,    11,    12,    21,   199,   222,   228,
      25,    26,   492,     8,     9,    10,    11,    12,   614,     3,
    1759,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     609,    21,    39,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    52,   614,    39,   609,   611,   612,     8,     9,
      10,    11,    12,   613,   612,   961,   962,   963,   611,   611,
     611,  3327,    53,   612,   175,   611,   609,   610,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   612,   588,    39,
      16,   454,   617,    21,  3327,    21,   596,   597,    26,   129,
    2625,   610,  1915,    48,   454,   610,   612,   373,    53,   609,
    2034,  2035,   610,  1009,  1703,   235,    16,     3,   616,   610,
     618,    21,    51,   614,  2672,    34,  2674,   614,   291,  2677,
     610,  2679,  2680,     8,     9,    10,    11,    12,   143,   381,
      21,    41,    42,    43,    44,     3,   612,    52,   614,   613,
     610,   613,   613,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    21,    21,    39,   277,    25,   610,     8,     9,
      10,    11,    12,   616,   610,   618,   156,   340,    21,   613,
       8,     9,    10,    11,    12,   611,   612,   610,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   611,   612,    39,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    16,
     458,    39,  1882,    48,    21,   143,   464,   150,    53,   339,
     610,     8,     9,    10,    11,    12,   403,   617,   614,   138,
      68,    69,  2251,   614,    41,    42,    43,    44,    36,  3327,
     240,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     155,  2426,    39,   164,   609,    48,   291,   292,   952,  2426,
      53,   190,   279,   280,   609,  2269,   611,   161,   182,   931,
     964,   610,   454,    21,   501,   156,    16,    25,   617,   506,
    2455,    21,    16,   977,   978,   974,  1968,    21,  2455,  1971,
     610,   610,   954,   599,   600,   601,   613,   156,   610,   165,
    1166,    41,    42,    43,    44,   199,   610,    41,    42,    43,
      44,    18,    19,   156,    21,    16,   610,   298,    25,  2844,
      21,   983,  1011,  1012,   268,   610,   326,   193,   194,   329,
     238,   616,   612,   238,   239,   240,  2844,  3645,   243,   613,
      41,    42,    43,    44,   612,   211,   528,    18,    19,   156,
      21,  1040,   967,   613,   395,   613,  1050,    36,   955,   956,
     500,   342,   343,   431,   432,   609,   610,   610,   610,  1279,
    1280,  1281,  1282,  1283,  1284,   138,  1286,  1287,  1072,  1289,
    1290,   610,   610,   980,   613,   329,    92,   614,   226,   331,
    2060,    16,   334,    21,  2064,  2065,    21,    25,  1013,  1093,
      16,  1162,  1163,  1164,   231,    21,  1167,   612,  1169,     8,
       9,    10,    11,    12,   533,   534,    41,    42,    43,    44,
     539,   279,   280,  1117,    16,    41,    42,    43,    44,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   178,   612,
      39,   613,  2617,   980,   612,   193,   391,   392,  1142,   617,
    2625,   612,   612,   585,   586,   587,   162,   617,  2625,     8,
       9,    10,    11,    12,   609,    51,   613,   612,   498,   499,
     610,   610,   502,   503,   613,  2546,    21,   610,   316,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   388,   389,
      39,    92,  3040,    16,   610,   614,   323,  3045,    21,  3047,
      86,   610,  3050,  2881,  2131,    16,  2884,    21,   242,    16,
      21,    25,  2890,  2891,   458,   167,   610,   610,    41,    42,
      43,    44,   612,  2252,     8,     9,    10,    11,    12,   356,
      41,    42,    43,    44,   460,   163,   612,   609,   365,   330,
    2223,   613,   333,   195,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    16,   610,    39,   391,   392,    21,    18,
      19,    20,    21,   184,   150,  1162,  1163,  1164,  1165,  1166,
    1167,   611,  1169,   279,  1444,   610,   157,   283,    41,    42,
      43,    44,   610,  2248,   614,    68,    69,  2925,   169,   170,
     337,  1188,  1189,  1190,  1191,  1192,  1193,  1194,   391,   392,
    2555,   610,  1291,   609,   190,   610,   612,   278,  3133,   610,
     196,  1208,  2653,   158,   611,   610,   363,   364,  2659,   220,
      87,   273,   342,   343,   609,  3133,  1320,  1224,  1165,   215,
       3,  1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,    21,  2984,   381,   612,    25,
     614,  1188,  1189,  1190,  1191,  1192,  1193,  1194,  1337,    18,
      19,   611,    21,  1357,   609,    18,    88,   319,    21,  2844,
     614,  1208,  1366,   152,  1368,  2850,  1444,  2844,   610,  1444,
     381,  2856,   610,  2850,   610,   286,   161,  1224,   610,  2856,
     130,  1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,   609,  2331,  2332,   612,   614,
     610,   187,   188,   329,   295,   155,   337,  1411,  1412,   159,
     160,   610,   197,  2348,   164,  1322,   286,  2456,   273,   595,
     351,    21,  3070,   155,  1381,    25,   611,   177,   359,   612,
      21,   217,   615,   226,    25,  1434,   186,  2922,   610,  1346,
      68,    69,   231,   232,   233,  2922,  3094,   151,  1452,   235,
     610,  1455,  1632,  1629,  1630,     9,    10,    11,    12,   292,
      52,   611,   329,   398,   609,    19,   313,   314,  1546,    16,
     156,  1546,    21,   611,    21,  1322,    25,   324,  3126,    52,
      80,    18,    19,  3341,    21,  3343,  2525,    54,    55,    18,
      19,  2530,    21,   610,    41,    42,    43,    44,    21,  1346,
    1504,   412,    25,   414,    39,   416,   609,   278,   419,  1513,
    1514,   282,    25,   299,   611,   300,   301,  1737,  1909,  1739,
       3,  1912,  1593,   316,  1528,   311,   230,   231,  1532,    21,
     234,  2305,  1536,    25,  2308,   405,   406,   407,   408,     3,
    1730,  1731,  1732,  1733,  1734,  1735,   284,  1532,  1738,     3,
    1740,  1536,  1742,  1743,  1632,     3,   156,  1632,     3,   336,
     610,    18,    19,    48,    21,   156,   610,  1571,    25,    21,
    1574,    56,    57,    58,    59,   442,    61,    62,    63,   156,
    1584,    66,   149,    68,    69,  2565,   363,   154,   155,    74,
      75,   158,   612,   610,   614,   162,   373,  2444,   226,   610,
     467,   307,   169,   170,   171,   172,   173,   174,    16,   176,
     465,     8,     9,    10,    11,    12,    25,  1524,  1525,   323,
     220,    35,    36,   478,   479,    39,  1704,    18,    19,  1704,
      21,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    2460,     3,    39,     8,     9,    10,    11,    12,  3133,  2469,
     521,   218,   356,   612,   221,   614,  3133,   443,   444,   445,
       3,   365,  2599,    28,    29,    30,    31,    32,    33,    34,
      35,    36,  3023,  3024,    39,   610,     3,    50,  1525,    28,
    3031,  3032,   609,    19,   610,    21,  1593,  3084,   316,     8,
       9,    10,   180,   181,   182,   183,   469,    45,    46,    47,
     404,   609,   611,   611,     8,     9,    10,    11,    12,    28,
      29,    30,  1619,   612,  1621,   614,     8,     9,    10,    11,
      12,    21,  1629,  1630,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   354,   355,    39,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   292,  1855,    39,  1857,   609,
     197,   198,   611,   126,     3,  3613,   129,   204,   205,   206,
     207,  1760,   235,  2583,   541,   542,   543,   544,   545,   323,
     324,  2591,  1619,  3608,  1621,  1774,   613,   610,     3,   609,
    1769,   509,   510,   511,  1783,   518,  1819,  1821,  3646,   610,
    3608,  1698,    21,  1792,   113,   114,    21,    51,  1705,  1706,
    1772,   533,   613,  1710,  3201,  3202,   159,   160,  1819,  1820,
    1821,   237,    48,  1720,   609,  3212,  3213,   611,  1822,  1823,
      56,    57,    58,    59,   150,    61,    62,    63,   614,   613,
      66,  1835,    68,    69,  2771,  1839,  1840,   610,    74,    75,
     360,  1845,   362,  1847,   115,   116,   117,   118,  2695,  2696,
     609,  1758,    46,    47,  1858,  1859,    81,   589,   590,   591,
     592,   593,   594,   609,   614,   613,  1870,  1871,  1775,   613,
    1874,  1914,  1876,  1877,   613,  1879,  2066,   613,  2068,    46,
      47,   351,  1789,   609,  1856,    70,    71,    72,    73,  1893,
     139,   140,   611,   612,    18,    19,  2102,  1968,    25,   466,
    1971,   182,  2749,  1914,  1915,   244,   245,  2113,  1942,  1943,
    1944,   426,   427,  1917,   139,   164,   289,   386,  1922,   237,
    2110,  2858,   139,   394,   297,   420,   421,   152,   153,   611,
     612,  1942,  1943,  1944,   139,   140,   187,   188,   189,   164,
     330,   190,  1789,   611,   612,  2023,    64,    65,  2023,  1953,
     167,   156,   303,   520,   291,   292,   161,    11,    12,  1963,
       8,     9,    10,    11,    12,   331,   217,   242,   166,   167,
     168,   331,  2050,   178,   191,  2050,   193,   242,   195,   184,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   240,
     354,    39,  2929,   191,   192,   611,   612,   195,     8,     9,
      10,    11,    12,   199,   200,   201,   202,   203,   611,   612,
       8,     9,    10,    11,    12,   187,   188,  1914,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   139,   140,    39,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   290,
     309,    39,   293,   294,   156,   151,  2045,   614,   299,   161,
    2049,  1958,   164,   360,   271,   272,   273,   274,   199,   200,
     368,  1968,   309,   610,  1971,   309,   178,   199,   200,   201,
     202,   203,  1979,  1980,   376,  1982,  1983,  1984,  1985,     8,
       9,    10,    11,    12,   374,  1992,  1993,  1994,  1995,  2269,
     400,  1998,  2081,  2082,   303,  2002,   291,   292,   609,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   139,   140,
      39,   149,   609,  2085,   199,   200,   154,   155,   169,   170,
     158,  3154,  3155,  3608,   162,   156,  2543,  2544,   609,   614,
     161,  3608,  1979,  1980,   613,  1982,  1983,  1984,  1985,     8,
       9,    10,    11,    12,   477,  2117,   613,   178,   613,   182,
    2154,  1998,   613,   613,   392,  2002,   149,   385,   150,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   609,   613,
      39,   613,    18,    19,    20,    21,    16,  2084,    16,   609,
     218,   609,    21,   221,   178,   219,  3374,   164,   609,  3377,
    3378,  2269,   609,   613,  2269,     8,     9,    10,    11,    12,
     613,  3389,   613,  2281,    50,   237,   613,  2285,    54,    55,
     164,   609,   613,  3060,   611,    28,    29,    30,    31,    32,
      33,    34,    35,    36,  2228,   609,    39,  3074,  3075,  3076,
     609,    48,    50,   182,   380,   291,     8,     9,    10,    11,
      12,   164,    59,   242,   613,   613,   611,    64,   609,  2253,
       8,     9,    10,    11,    12,  2254,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   609,   242,    39,   609,    15,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    54,
      55,    39,   446,   447,   448,   449,   450,   451,   452,   453,
    2294,    16,    16,    36,    33,  2299,    34,    39,    16,   612,
       8,     9,    10,    11,    12,     7,    16,   611,  2215,    16,
    2314,     3,     8,     9,    10,    11,    12,    92,     3,   611,
      28,    29,    30,    31,    32,    33,    34,    35,    36,     3,
     176,    39,    28,    29,    30,    31,    32,    33,    34,    35,
      36,     3,     3,    39,  2251,    25,    86,     3,     3,  2353,
    3538,  3539,     3,     3,     3,  3543,  3544,     3,     3,     3,
       3,   178,     3,   614,  3301,     3,     3,     3,     3,  2447,
     187,   188,  2447,     3,   149,   193,     3,   195,   614,   154,
     155,   612,   609,   158,   610,   394,   609,   162,   612,   609,
      48,   609,    21,   242,   169,   170,   171,   172,   173,   174,
     217,   176,   609,   609,   366,   242,   224,   609,   122,   149,
     242,   242,   222,   231,   154,   155,   231,   242,   158,   236,
     139,   140,   162,   609,  2331,  2332,   609,  2334,   609,   613,
      37,  2338,  2339,   242,   242,   242,   242,   156,   150,  2443,
    2444,  2348,   161,   218,   609,   164,   221,  2419,   393,   267,
    2422,   269,    53,   609,   609,    53,   386,   366,   222,   178,
     182,   279,   176,   231,  2371,   184,  2373,   178,    16,  2473,
      16,   289,   185,   336,   291,   292,   609,    16,   218,   315,
      51,   221,   299,    16,  2331,  2332,   138,  2334,   611,    34,
     308,  2338,  2339,   310,   311,   312,   612,   611,  3345,  3346,
    3347,  2348,   612,    54,    55,   612,   323,    16,   325,   612,
     327,   611,    53,    53,     3,    21,   164,  3364,  3365,  2426,
    3367,  3368,   164,     3,  2371,     3,  2373,   611,    13,   187,
     188,   189,   609,   247,    48,   609,    48,   609,    34,   612,
      52,   609,    54,    55,   278,   609,   613,   261,   262,   263,
     264,   265,   609,  2557,  2558,   295,   296,   609,  2562,   217,
     609,   182,   302,   611,   304,  2569,   604,   609,  2572,   242,
     609,   366,   609,   609,   609,     5,   614,   234,   236,  2654,
     609,   609,  2660,  3520,  3521,   609,   609,   609,   609,   609,
     609,   609,   609,  2597,  2598,   609,   609,  2601,   149,  2603,
     366,   611,   609,   154,   155,  2609,   609,   158,   609,  2516,
    3547,   162,   609,   611,   609,   433,   179,    50,   169,   170,
     171,   172,   173,   174,   609,   176,   609,   609,   609,   609,
     344,   289,  2621,   291,   292,   609,   609,   149,     3,  3486,
     609,   299,   154,   155,    50,    16,    16,  2651,   178,    25,
     162,   309,   613,  2657,   312,    19,    21,   169,   170,   171,
     172,   173,   174,    16,   176,    34,    34,   218,   612,    16,
     221,    21,     3,     3,     3,     3,     3,     3,    16,     3,
       3,     3,   611,     3,   609,  2756,   612,   611,   241,   241,
     609,  2695,  2696,   351,   609,    16,  2700,  2701,    75,    41,
      25,   519,   164,   288,   609,   305,   218,     3,   303,   221,
    2617,   609,   149,   609,   609,   612,   609,   375,  2625,  2626,
     609,  2628,  2721,   609,  2631,    21,   609,   609,   240,   504,
     505,   609,   507,   609,   609,   609,   182,   512,   609,   609,
     515,   614,   611,   609,   609,  2749,  2750,   609,  2720,   609,
     609,   609,   609,   130,   609,  2662,  2663,   609,   609,   609,
     317,   380,   386,   164,   182,  2672,    59,  2674,    64,   320,
    2677,   362,  2679,  2680,   164,  2682,   609,    20,   155,  2626,
     609,  2628,   159,   160,  2631,   443,   298,   164,   134,   609,
     237,   156,   157,   158,   426,   426,   609,   614,  2705,   513,
     177,  2981,  2982,   471,   169,   170,   609,   167,   466,   186,
     516,   609,   609,   351,   523,  2662,  2663,   184,   523,    52,
    2824,   333,  2826,   609,    50,   483,  3002,   612,    54,    55,
      36,   610,    39,   610,   610,  2682,   609,   609,    28,   614,
      39,    28,    34,    36,    16,   612,    19,   612,   610,  2756,
       3,   609,   364,   149,   366,     3,    50,    99,  2705,   614,
      54,    55,   609,   521,   522,   523,   524,    16,   526,   242,
     242,   529,  2876,   609,   614,  2847,   613,   306,  2882,   150,
     178,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,   422,   100,   101,   102,   103,   104,   105,   106,    93,
     277,   609,   418,  2981,  2982,   609,  2981,  2982,   609,   417,
     609,   609,   609,   609,   317,   380,    59,    20,   338,   613,
     613,   178,   613,   149,   613,   613,    64,    68,   154,   155,
     295,    48,   297,    16,    16,   614,   162,  2844,    34,    60,
      67,   237,  2849,   169,   170,   171,   172,   173,   174,    38,
     176,    35,     7,   612,    35,   149,   614,   611,   298,   291,
     154,   155,   609,   413,   130,   159,   160,  2971,   162,   609,
     609,   271,   411,   292,   242,   169,   170,   171,   172,   173,
     174,   614,   176,   149,   609,   613,   351,   613,   154,   155,
     613,   609,   218,   159,   160,   221,   162,   609,   164,   182,
     317,   610,  2849,   613,    80,   613,  2913,   613,   234,   613,
     613,   177,  3016,   609,   611,  3019,     7,  3021,   611,    76,
     186,   533,   612,   231,   218,   611,   538,   221,   540,   611,
     611,   610,   295,   611,   611,   611,   197,   231,   293,   293,
     293,   337,   517,   609,   609,   109,    36,  2954,   609,    16,
      35,    35,   218,     7,  3125,   221,  3060,  3061,   292,   609,
     614,   287,   609,   614,    25,   614,  2913,     8,     9,    10,
    3074,  3075,  3076,   609,   330,    49,    50,   609,   501,  3083,
      54,    55,   501,   309,   609,     7,   612,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   611,  3101,    39,   612,
     611,  3105,   614,  3107,  3108,   610,  3110,  2954,   611,   611,
     611,   611,   293,   293,   293,   411,   317,   283,   237,   315,
     286,   287,   293,   293,    59,   328,   609,   609,   609,   237,
     609,   474,   609,  3040,   448,   376,   446,   130,  3045,   613,
    3047,   315,   438,  3050,   330,  3149,   126,  3151,  3152,  3153,
    3326,  3327,    52,   609,   609,   242,   149,   493,   491,   496,
     317,   154,   155,   298,   298,   516,   159,   160,   486,   162,
    3174,   164,    25,  3177,   470,   149,   315,   965,  3182,   486,
     154,   155,   609,   609,   177,   609,   242,  3265,   162,   242,
     126,   376,    92,   186,   242,   169,   170,   171,   172,   173,
     174,   242,   176,    36,   609,   609,    36,   609,   322,   525,
     609,   317,   527,  3217,   609,   609,   609,   530,  3125,   508,
    1008,   609,  3226,  3227,  3228,   218,  3133,  3231,   221,  3233,
     536,  3235,   187,   188,   189,   475,  3143,   614,  3242,   293,
     158,   535,   242,   242,   218,   163,   293,   221,   178,   488,
    3254,  3255,   112,  1041,   188,  3259,  3260,   188,   612,   611,
     234,  1049,   217,   163,   609,   460,   455,   517,   612,   460,
     609,  1704,  1704,  1704,  2447,  1063,   611,  3281,  2319,   234,
    2306,  3645,  3286,  1071,  2756,   240,  3020,  2364,  3292,  2364,
    2364,  3021,  2364,   286,  2657,  3299,  3143,  3019,  2658,  1932,
    2659,  1185,  2625,  1091,  3308,  2426,  1094,    50,  1096,  1629,
    3326,    54,    55,   287,   284,  1630,  3315,  3327,  1106,  1166,
     546,   547,  3321,  1632,  2682,  2856,  2850,   150,  2111,  2013,
    2011,   231,  3214,  3192,  1268,   290,  2922,   237,   293,   294,
     240,  3345,  3346,  3347,   299,  2924,  3062,  2717,  2130,  2736,
     268,  3355,  3356,  3357,  3358,  3359,   973,  1145,  2770,  1147,
    3364,  3365,  1869,  3367,  3368,  3369,  3370,  2806,  2978,  3282,
       8,     9,    10,    11,    12,  3440,  3265,   603,   604,   605,
    3453,  3285,  2605,  3455,  3286,  1565,  2613,    -1,   614,  1795,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    54,
      55,    39,  3406,  3407,  3408,   613,   149,  1753,    -1,  1317,
      -1,   154,   155,    -1,    -1,    -1,  3420,  3421,    -1,   162,
     614,    -1,  3426,    -1,  3331,    -1,   169,   170,   171,   172,
     173,   174,    -1,   176,  3341,  3439,  3343,    -1,  3442,  3443,
    3444,    -1,    -1,    -1,    -1,  3449,  3450,    -1,   614,    -1,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   438,   439,   440,   441,    -1,  3473,
    3474,  3475,    -1,    -1,   392,   218,    -1,    -1,   221,  3483,
      -1,    -1,  3486,  3487,  3331,    -1,  3490,  3491,   231,    -1,
      -1,    -1,   466,   236,   149,    -1,    -1,   471,    -1,   154,
     155,    -1,   476,   158,     8,     9,    10,   162,    -1,  3513,
    3514,    -1,    -1,    -1,   169,   170,   171,   172,   173,   174,
      -1,   176,   440,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,   457,
      -1,   459,    -1,    -1,    -1,   463,    -1,    -1,    -1,   467,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3565,  3566,   218,    -1,    -1,   221,    -1,    -1,  3573,
      -1,    -1,    -1,  3577,  3645,    -1,    -1,    -1,  3582,    -1,
      -1,   236,    -1,  3587,    -1,    -1,    -1,   487,    -1,   489,
     490,    -1,    -1,    -1,   494,   495,    -1,   497,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,  1394,  3606,  3607,   139,
     140,    -1,    -1,    -1,    -1,   515,    -1,    -1,    -1,   149,
      -1,   614,    -1,    -1,   154,   155,    -1,    -1,   371,    -1,
      -1,    -1,   162,  1421,   164,    -1,    -1,    -1,  1426,  1427,
     614,    -1,    21,    -1,  1432,    -1,    -1,    -1,    -1,    -1,
      -1,    50,    -1,    -1,    -1,    54,    55,    -1,    -1,   614,
      -1,    -1,  1450,    -1,    -1,    -1,    -1,    -1,    -1,  1457,
    1458,    -1,  1460,  1461,    -1,  1463,  1464,  1465,  1466,  1467,
    1468,    -1,    -1,  1471,  1472,    -1,  1474,    -1,   218,  1477,
    1478,   221,    -1,    -1,    -1,  1483,   614,  1485,    -1,    -1,
      -1,  3608,    -1,    -1,    -1,    -1,  3613,    -1,  1496,  1497,
    1498,    -1,    -1,  1501,   614,   245,    14,    -1,    16,    17,
      18,    19,    20,    21,    21,    -1,    -1,    25,    26,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    35,  3645,  3646,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1537,
      -1,    -1,    50,    51,    -1,    -1,    54,    55,    -1,    -1,
      58,    -1,  1550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     169,   170,   171,   172,   173,   174,    -1,   176,    -1,    -1,
    1568,  1569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,    55,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
      -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,    -1,   137,
      -1,   139,    -1,    -1,    -1,   143,   225,    -1,    -1,    -1,
     148,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
     249,   614,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,
     154,   155,    -1,    -1,    -1,    -1,    -1,    -1,   162,   429,
     430,    -1,    -1,    -1,    -1,   169,   170,   171,   172,   173,
     174,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,
     248,   249,    -1,    -1,   218,    -1,    -1,   221,    -1,   614,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     274,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,   216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1829,  1830,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1841,  1842,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,     8,     9,    10,    11,    12,
      -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   614,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,   279,    39,    -1,   396,    -1,
      -1,   285,    -1,    -1,  1892,   289,    -1,    -1,    -1,    -1,
      -1,  1899,   410,    -1,    -1,  1903,  1904,  1905,    -1,    -1,
      -1,    -1,    -1,    -1,   308,   423,   424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,   514,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,
      -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,  1954,  1955,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,   514,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608,
      -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,   425,    59,    -1,   428,    -1,    -1,    -1,    -1,   433,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,    14,    -1,    16,
      17,    18,    19,    20,    21,    -1,   480,    -1,    25,    26,
     484,   485,    -1,    -1,    -1,    -1,    33,    34,    -1,   607,
     608,    38,   610,   130,    -1,  2103,  2104,   134,   616,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    54,    55,    -1,
      -1,    58,    -1,    -1,    -1,   519,    -1,    -1,   155,    -1,
      -1,    -1,   159,   160,    -1,    -1,    -1,   164,    -1,    -1,
     614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,    64,   546,    -1,    -1,  2153,    -1,    -1,    -1,   186,
      -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,    -1,   139,   230,    -1,   232,   143,   234,    -1,    -1,
      -1,   148,   606,    -1,  2212,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,    -1,  2232,  2233,  2234,  2235,    -1,   176,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2264,    -1,  2266,    -1,
      -1,    -1,    -1,  2271,   187,   188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,    -1,  2293,   323,    -1,    -1,    -1,
      -1,    -1,   329,    -1,   217,    -1,    -1,    -1,    -1,   246,
     247,   248,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   235,   236,   237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   216,    -1,   371,   372,    -1,    -1,    -1,    -1,
      -1,   378,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     273,    -1,    -1,   390,    -1,    77,    78,    79,    -1,    -1,
     397,    -1,    -1,    -1,    -1,   402,   289,    -1,   291,   292,
      -1,   318,   409,   231,    -1,    -1,   299,    -1,    -1,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,
      -1,    -1,    -1,   316,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,    -1,    -1,   329,    -1,    -1,     3,
      -1,    -1,    -1,    -1,     8,     9,    10,    11,    12,   141,
      -1,    -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   155,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,   396,
      -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,  2466,    -1,
     182,   183,    -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,   424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,   221,
      -1,   223,    -1,  2511,    -1,   227,    -1,    -1,    -1,    -1,
      -1,    -1,   234,  2521,  2522,  2523,    -1,   440,  2526,    -1,
     443,   444,   445,    -1,    -1,    -1,    -1,    -1,   451,    -1,
      -1,    -1,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,   266,    -1,    -1,    -1,   270,   472,
      -1,  2559,    -1,   275,   276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   614,    -1,    -1,
    2588,    -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,    -1,    -1,
      50,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     607,   608,    -1,   610,    18,    19,    20,    21,    -1,   616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   614,    -1,    -1,    -1,    -1,    50,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    -1,   428,    -1,    -1,    -1,
      -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,  2726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,   149,
      -1,    -1,    -1,    -1,   154,   155,    -1,   157,   158,    -1,
      -1,    -1,   162,   163,    -1,    -1,    -1,   111,    -1,   169,
     170,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   183,  2782,    -1,    -1,   187,    -1,   189,
    2788,    -1,    -1,    -1,    -1,   139,   140,    -1,    -1,    -1,
    2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,   156,    -1,    -1,   159,   160,    -1,   218,    -1,
     164,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     230,    -1,   176,  2831,   234,    -1,   236,    -1,    -1,    -1,
     240,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,
     280,   281,    -1,    -1,    -1,    -1,   598,    -1,    -1,   289,
     602,    -1,    -1,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,
      -1,   331,   332,  2931,   334,   335,    -1,    -1,   338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   352,   353,    -1,    -1,    -1,   357,   358,   359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,    -1,
      -1,   371,  2970,    -1,   374,   375,  2974,   377,    -1,   379,
      -1,    -1,   382,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,
      -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3100,    -1,  3102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3114,    -1,    -1,  3117,
    3118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    -1,    16,    17,    18,    19,    20,    21,    -1,    -1,
      -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      54,    55,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   614,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,  3230,    -1,    -1,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,    -1,   137,    -1,   139,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,  3293,    -1,  3295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3354,    -1,    -1,    -1,
      -1,    -1,   246,   247,   248,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3413,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,    -1,  3423,  3424,    -1,    -1,  3427,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3448,    -1,    -1,    -1,  3452,    -1,  3454,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,    -1,    -1,    -1,
      -1,    -1,  3470,  3471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   369,   370,  3485,    -1,    -1,
      -1,    -1,    -1,    -1,  3492,    -1,  3494,  3495,  3496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,
      -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,   423,
     424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,    14,    -1,    16,    17,    18,    19,    20,    21,    -1,
      -1,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    35,   607,   608,    38,   610,    -1,    -1,    -1,
      -1,    -1,   616,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    54,    55,    -1,    -1,    58,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,    -1,    -1,    -1,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,    -1,   139,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,   247,   248,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   369,   370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,    14,    -1,    16,    17,    18,    19,    20,    21,
      -1,    -1,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    35,   607,   608,    38,   610,    -1,    -1,
      -1,    -1,    -1,   616,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,    -1,    -1,    -1,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,    -1,   137,    -1,   139,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,   247,   248,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,    14,    -1,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    25,    26,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    35,   607,   608,    38,   610,    -1,
      -1,    -1,    -1,    -1,   616,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,    -1,    -1,    -1,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,    -1,   139,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,   514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,    14,    -1,    16,    17,    18,    19,
      20,    21,    -1,    -1,    -1,    25,    26,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    35,   607,   608,    38,   610,
      -1,    -1,    -1,    -1,    -1,   616,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,    -1,    -1,    -1,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,    -1,   137,    -1,   139,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   423,   424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,    14,    -1,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,    25,    26,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,   607,   608,    38,
     610,    -1,    -1,    -1,    -1,    -1,   616,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    54,    55,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,    -1,    -1,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,    -1,   137,    -1,
     139,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,   423,   424,    -1,    -1,    -1,    -1,
      58,    -1,    -1,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    82,    83,    84,    85,    86,    87,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,   514,   144,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608,
      -1,   610,    -1,    -1,    -1,    -1,    -1,   616,   246,   247,
     248,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,    -1,    -1,   110,   111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,   146,    -1,    -1,    -1,   513,   514,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,
     608,   246,   247,   248,   249,   613,   614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,
      -1,    58,    -1,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    82,    83,    84,    85,    86,
      87,    88,    -1,    -1,   369,   370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,    -1,    -1,    -1,    -1,
      -1,   396,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,    -1,   410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
     247,   248,   249,    -1,    -1,    -1,   531,   532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   607,   608,    -1,    -1,    -1,    -1,   613,    -1,
      -1,    -1,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   410,    -1,    -1,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     607,   608,   246,   247,   248,   249,   613,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   369,   370,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   607,   608,    -1,   610,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,    -1,
      -1,    -1,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,    -1,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,    21,    22,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,    -1,    -1,    -1,
      -1,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,    -1,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,    21,    22,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,    -1,    -1,    -1,    -1,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,    -1,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,
     248,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,   514,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,   514,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608,
      -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,
     608
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   622,   623,    77,    78,    79,   141,   155,   182,
     183,   219,   221,   223,   227,   234,   266,   270,   275,   276,
     428,   598,   602,   685,   686,   687,   688,   817,   818,   819,
     820,   822,   823,   824,   831,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   846,   847,   848,   849,
     850,   851,   852,   854,   855,   856,   881,   911,   923,   924,
     925,   926,   957,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1057,  1058,  1090,  1109,  1110,  1111,  1112,  1113,  1114,
    1115,  1116,     0,     3,    40,    50,    54,    55,    81,   139,
     141,   142,   145,   147,   149,   151,   152,   153,   155,   169,
     170,   171,   172,   173,   174,   176,   221,   227,   233,   234,
     588,   596,   597,   609,   624,   625,   689,   691,   692,   693,
     694,   705,   757,   759,   760,   761,   762,   763,   764,   769,
     783,   784,   796,   797,   798,   860,   861,   882,   886,   889,
     892,   913,   916,   927,   934,   948,   951,   953,   956,   960,
     961,  1004,  1005,  1007,  1009,  1010,  1015,  1046,  1049,  1059,
    1060,  1076,  1077,  1091,  1094,  1103,  1104,  1108,  1119,  1124,
    1125,     3,     3,     3,    14,    16,    17,    18,    19,    20,
      21,    25,    26,    33,    34,    38,    50,    51,    54,    55,
      58,   113,   114,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     137,   139,   143,   148,   176,   225,   246,   247,   248,   249,
     318,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   369,   370,   396,   410,   423,   424,   434,   435,   436,
     437,   513,   514,   531,   532,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   607,   608,   610,   616,   629,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     682,   683,   684,   714,   732,   734,   735,   738,   739,   740,
     741,   745,   746,   859,    21,    25,   156,   830,   853,   857,
      21,   857,   857,    80,   220,   857,   857,     3,    25,   228,
     786,   182,    50,   193,   195,   224,   231,   267,   269,   279,
     289,   308,   433,   519,   139,   167,   191,   193,   195,   271,
     272,   273,   274,    42,   156,   613,   844,   857,   270,    25,
     236,   267,   599,   600,   601,  1117,     3,    21,    22,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   620,
     628,   277,   628,   628,   745,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,   100,   101,   102,   103,   104,
     105,   106,   216,   231,   695,   610,   610,   150,    21,    25,
     655,   165,   193,   194,   211,   595,   175,   193,   655,   152,
     231,   232,   233,   785,  1093,   182,   655,   521,   591,    16,
     610,   626,   629,   164,   238,   765,   157,   186,   216,   279,
     285,   289,   308,   425,   428,   433,   480,   484,   485,   519,
     546,   606,   959,  1045,    51,   628,   770,   149,   154,   155,
     158,   162,   218,   221,   236,   614,   761,   771,   772,   778,
     800,   613,   864,   770,   770,   770,   770,    50,    54,    55,
      88,   121,   157,   158,   163,   169,   170,   171,   172,   183,
     187,   189,   230,   234,   236,   240,   276,   280,   281,   289,
     295,   296,   298,   302,   327,   331,   332,   334,   335,   338,
     352,   353,   357,   358,   359,   367,   371,   374,   375,   377,
     379,   382,   383,   399,   401,   409,   614,   771,   872,   873,
     937,   938,   945,   770,   770,   770,    49,    50,   234,   287,
     438,   439,   440,   441,   466,   471,   476,   614,   762,   771,
     963,   964,   965,   966,   967,   770,   184,   244,   274,   481,
     482,   483,   614,   771,   778,  1006,   613,   130,   159,   160,
     164,   177,   186,   286,   614,   771,   773,   770,   770,   770,
     770,   231,   236,   371,   614,   771,   778,   872,  1081,  1083,
     234,   287,   309,   546,   547,   603,   604,   605,   614,   771,
     778,   872,  1092,  1122,  1123,   770,   770,   158,   604,   614,
     771,  1126,    16,    33,    35,   610,   616,   618,   629,   731,
     733,   739,    36,   633,    36,    18,    19,   634,   635,   138,
      34,   138,   745,    16,   613,   613,   610,   610,   610,   610,
     610,   610,   610,   610,   610,    16,   610,   610,   115,   116,
     117,   118,   720,   745,    16,    17,    19,    20,   610,   617,
     629,   634,   635,   643,   714,   715,   716,   719,   721,   722,
     723,   726,   728,   729,   610,    52,    52,     3,     8,     9,
      10,    11,    12,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    39,    39,    42,   156,   613,   801,     3,   801,
      25,   656,   656,   857,   857,     3,    42,   156,   613,   804,
     626,   229,   230,     3,     3,   284,    21,    25,   156,   858,
       3,   268,     3,   825,     3,   832,    21,   821,   307,   167,
     195,   273,   319,   158,   273,   465,   478,   479,   821,   195,
     273,   156,   655,   655,   655,   655,   655,   655,   655,   655,
      88,   155,   533,   589,   590,   591,   592,   593,   594,  1101,
    1102,    16,   845,   656,   958,  1117,     3,  1117,     3,     3,
     521,  1118,    28,   628,   706,   690,   122,   176,   247,   261,
     262,   263,   264,   265,   344,   513,   621,   626,    99,   628,
     629,   629,    16,    18,    21,    51,   610,   758,   609,   801,
     801,   801,   626,    41,    42,    43,    44,   178,   626,   630,
     804,   609,   786,   585,   586,   587,   655,  1097,   235,  1105,
    1106,   626,   627,   627,   745,   609,   628,   613,   768,   431,
     432,  1008,   518,    21,    51,   613,   150,   630,   801,   799,
     163,   655,   655,   804,   237,   609,   613,   776,   609,   609,
     863,   865,   613,   613,   613,   613,   235,   339,   351,   609,
      25,   342,   343,    50,   385,    50,   385,    50,   385,    50,
     385,   291,   340,   655,   630,   386,   182,   237,   331,   334,
     231,   323,   356,   365,   394,   330,   234,   630,   935,   609,
     626,    18,    19,    21,   278,   631,   929,   403,   631,   928,
     303,   331,   242,   330,   333,   242,   331,   309,   354,   355,
     354,   151,   630,   360,   368,   309,   309,   376,   374,    53,
     298,   342,   343,   630,   384,   626,   400,   303,   151,   230,
     231,   234,   323,   356,   365,   404,   609,   609,   613,   877,
     613,   943,   609,   613,   613,   613,   477,   182,   392,   758,
     630,   149,   626,   630,   150,   630,   385,   962,   776,   609,
     613,   613,   630,    52,   240,    16,    51,   190,    16,   159,
     160,   609,   609,   626,   139,   140,   156,   161,   178,   184,
     703,   780,   178,   780,    21,   779,   178,   219,   164,   609,
     609,   613,   613,   613,   613,    19,    20,    21,   646,   650,
     237,   164,   609,   609,   609,    87,   336,   363,   373,   541,
     542,   543,   544,   545,  1078,  1079,   613,  1089,   182,   380,
     626,   164,   291,   630,   242,   156,   630,  1120,   609,   609,
     613,   613,  1127,  1131,   242,   609,     7,   733,   733,   733,
     745,    18,    19,   617,   726,   733,   733,    15,    16,    16,
      36,    33,    34,   138,    34,   679,   679,   779,   779,   745,
     745,   745,   745,   745,   745,   745,   779,   779,    16,   612,
     611,   612,    35,   718,   720,   745,    33,    34,   613,     7,
     612,   617,   612,   617,   736,   737,   745,    16,    16,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   742,    50,    54,    55,   169,   170,   171,
     172,   173,   174,   176,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   829,   166,   167,   168,   191,
     192,   195,   802,   803,     3,     3,     3,     3,   166,   222,
     805,   806,     3,    25,    46,    47,    46,    47,   880,   858,
       3,     3,     3,    80,   111,   139,   152,   156,   159,   160,
     164,   185,   208,   209,   210,   212,   213,   214,   650,   703,
     828,     3,    21,    81,   139,   152,   153,   164,     3,   912,
     821,   821,   821,   821,   821,   821,  1003,   156,   821,   156,
     821,     3,   821,   821,   655,     3,     3,     3,     3,     3,
       3,     3,     3,   612,   614,     3,     3,     3,   139,   164,
     190,   703,     3,  1118,   626,     3,   745,   610,   697,   698,
     700,   704,   695,   609,   612,   612,   793,   794,   745,   609,
     627,   609,   609,   394,  1095,    18,    19,    21,    25,   610,
     657,  1098,   626,  1096,   156,   613,  1100,   626,   609,   613,
      45,    46,    47,   611,   767,   770,    21,   758,   787,   790,
     791,   630,   775,   777,    75,   614,   862,   866,   867,   885,
     891,   915,   242,   242,   631,   609,   626,   626,   630,    88,
     412,   609,   609,   234,   387,   242,   381,   630,   630,   242,
     242,   366,   222,   630,   231,   395,   655,   242,   609,   609,
     613,   816,   609,    21,   643,   649,    37,   632,    48,    53,
     391,   392,   609,   286,   405,   406,   407,   408,   933,   632,
      48,    53,   609,   630,   242,   626,   242,   242,   626,   242,
     630,   630,   150,   630,   630,   609,   630,   630,   630,   630,
     630,   630,   393,    53,   630,   630,   609,   630,   609,    53,
     630,   630,   386,   366,   182,   222,   630,   231,   630,   876,
     878,   879,   942,   944,   950,   955,   630,   242,   381,   630,
     630,   630,   178,   626,   777,   968,   627,   627,    16,    16,
     629,   701,   702,   745,    42,   626,   782,   185,   782,   782,
     630,   779,  1014,  1048,  1061,  1082,   630,   779,    25,   631,
     631,  1084,    50,   126,   129,   289,   297,  1078,  1088,   609,
     630,   630,   626,   315,   626,   791,   792,   626,    16,   611,
     733,   617,    51,    16,   138,    34,   680,   681,   611,   612,
     612,   611,   612,   612,   612,   612,   611,   611,   611,   611,
     745,   745,   612,     7,   612,   612,   611,    16,   610,   716,
     723,   728,   612,   611,    53,    53,    23,    24,   740,   743,
     859,   612,   614,   612,   614,     3,   279,   280,   629,     3,
     650,    18,    19,    20,    21,   634,   635,   636,   637,   638,
     826,   827,   701,   629,   164,   164,   156,   629,    21,   629,
     830,     3,    21,   156,   157,   158,   169,   170,   295,   297,
     351,   656,   656,   656,   656,   656,   656,     3,    21,    64,
     149,   237,   337,   411,   438,   470,   821,   656,   821,   656,
     656,   656,     3,  1102,   701,    25,   779,   655,     3,   609,
     611,   696,    13,   699,   613,   695,   628,   655,   629,   791,
     609,   611,   655,   745,    48,  1099,   655,  1101,   609,   609,
    1107,    52,   155,   238,   239,   240,   243,   614,   766,    34,
     789,   612,   609,   155,   614,   773,   774,   278,   609,   613,
     870,   283,   286,   287,   614,   771,   773,   883,    86,   158,
     295,   296,   302,   304,   614,   771,   890,   158,   320,   614,
     771,   778,   914,   626,   626,   609,   609,   609,   609,   630,
     613,   630,   930,   182,   242,   626,   609,   609,   609,   626,
     626,   630,   630,   609,   366,   626,   609,   626,     5,   909,
     936,   929,   628,   929,   626,   626,   609,   928,   626,   626,
     609,   626,   609,   626,   626,   609,   626,   609,   609,   758,
     609,   609,   609,   609,   609,   609,   609,   609,   630,   609,
     626,   609,   609,   609,   630,   609,   609,   234,   630,   630,
     630,   609,   366,   609,    75,   277,   614,   774,   875,   777,
      59,   134,   159,   160,   230,   232,   234,   323,   329,   361,
     371,   372,   378,   390,   397,   402,   409,   614,   774,   941,
      93,   159,   160,   231,   614,   761,   771,   872,   946,   947,
     949,   139,   164,   245,   429,   430,   614,   703,   771,   954,
     626,   626,   158,   163,   268,   392,   440,   457,   459,   463,
     467,   468,   614,   969,   976,   979,   700,   179,   781,   630,
     609,    92,   158,   504,   505,   507,   512,   515,   614,   771,
     778,  1011,   158,   466,   520,   614,   771,   778,  1047,    48,
      52,   240,   298,   333,   364,   366,   533,   538,   540,   614,
     771,   778,  1062,  1064,    50,  1080,   609,   609,   632,    50,
      16,  1085,  1086,    16,   652,   653,   626,   630,   630,    25,
      21,    82,    83,    84,    85,    86,    87,    88,   107,   110,
     111,   144,   146,   613,   614,   629,   738,   740,   747,   750,
     756,   859,  1087,   178,  1121,   626,   613,  1130,   733,   733,
      19,    34,    34,   677,   678,   745,   745,   745,   745,   745,
     745,   612,   611,   612,    35,   718,   745,   718,    35,   718,
     718,   612,   745,   745,    16,    16,   744,   803,   806,    51,
      18,    19,    21,   830,   830,   655,   655,    18,    19,    21,
     634,   635,   651,     3,     3,     3,     3,     3,     3,    16,
     758,   758,   758,   656,     3,   656,     3,     3,     3,   695,
     695,   707,   695,   708,   711,   712,   713,   748,   750,   628,
     609,   611,   612,   611,    16,   614,   223,   614,   241,   801,
     630,   630,   241,   244,   245,   609,    25,   656,   788,   790,
     801,   609,   628,   869,   871,    41,   164,   288,   609,   894,
     895,   901,   895,   902,   631,   906,   303,   305,   609,   917,
     922,   149,   609,   612,   609,   609,    92,   220,   286,   412,
     414,   416,   419,   931,   932,   609,   381,   630,   626,   609,
     609,   609,   609,   609,   630,   609,   609,   614,   908,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   182,   609,   609,   609,   630,   278,   282,   629,   609,
     317,   380,   164,   164,   386,   164,   182,    59,   626,   362,
     164,   157,   373,   630,   630,   398,   630,   630,   134,   323,
     609,    20,   426,   426,   426,   427,   776,   609,   701,    25,
     779,   626,   655,   134,   609,   988,   994,   329,   442,   467,
     630,   971,   329,   630,   970,   237,   649,   972,   973,   469,
     630,   609,   471,   989,   180,   181,   182,   183,    21,   635,
     648,  1025,  1030,  1016,  1024,  1012,  1013,   648,   167,   516,
     609,  1050,  1056,   630,   626,   609,   626,   523,   523,   351,
     184,  1063,    52,  1063,   657,  1065,    66,   537,  1066,  1063,
     609,   626,   653,   612,    36,   736,   736,   610,   745,   745,
     745,   751,   610,   610,   709,   710,    28,   609,    28,   736,
      39,    28,   626,  1129,    36,    34,    48,    56,    57,    58,
      59,    61,    62,    63,    66,    68,    69,    74,    75,   614,
     663,   664,   665,   666,   667,   675,   614,   664,   665,   666,
     667,   676,   612,   612,   611,   611,   611,   611,   745,   745,
     611,   612,     7,   611,   612,   611,   612,     7,   611,   612,
     612,    16,   610,    19,     3,     3,   628,    99,   704,   628,
     614,   712,   609,    16,   609,   242,   242,   626,   627,   651,
      68,   281,   614,   868,    21,   610,   740,   859,   887,   888,
     779,   884,   157,   169,   170,   295,   893,   792,   613,   900,
      37,   297,   903,   630,   306,   792,   150,   626,   178,   422,
     418,   136,   415,   417,   420,   421,   612,   614,   609,   609,
     609,   609,   187,   188,   189,   217,   234,   240,   290,   293,
     294,   299,   614,   807,   808,   810,   811,   812,   907,   630,
     609,   279,   280,   629,    92,   162,   279,   283,   874,   184,
     337,   351,   359,   291,   292,   630,   630,   630,   234,   387,
     779,   630,   317,   337,   363,   364,   940,   779,   380,    59,
     610,   616,   721,   952,   952,   952,    20,   777,   338,   791,
     990,   626,   626,   630,   613,   626,   613,   758,   613,   626,
     626,   613,   613,  1029,   792,   613,   631,  1031,  1036,    25,
     613,  1037,  1042,   630,    64,   792,   178,   626,   626,   631,
     626,    68,   626,  1064,  1067,  1072,   626,  1085,    16,   609,
     609,   629,   859,   609,   108,   613,    21,   695,   749,   755,
     755,   614,   708,   745,   745,   609,   754,   745,   499,   614,
    1128,    16,    34,    60,    64,    65,    67,     8,     9,    10,
      28,    29,    30,   113,   114,   626,   661,   668,   669,   670,
      38,   671,   672,   672,   674,    21,   634,   647,   609,   668,
     671,   674,   648,   609,   745,   745,   611,   611,    35,   718,
      35,   718,    35,   718,     7,    35,   718,    35,   718,   614,
     737,   609,   611,    28,   609,   611,   627,   627,   626,   626,
     609,   745,   612,   704,   900,   899,   896,   628,   655,   298,
     904,   291,   613,   921,   630,   609,   413,   271,   932,   630,
     613,   291,   292,   292,   627,   626,   161,   197,   300,   301,
     898,   910,    25,    26,   610,   659,   660,   739,   746,   613,
     815,   609,   609,   388,   389,   630,   939,   939,   631,   411,
     182,   242,   630,   630,   317,   721,   725,   630,   991,   613,
     993,   981,   981,   974,   977,  1028,  1027,   613,  1023,  1032,
    1038,   626,   613,  1055,   626,   630,   613,  1068,   613,   611,
     611,   750,   730,   628,    80,   745,    21,   740,   756,   859,
     609,   609,   743,   609,   631,   609,     7,   626,    11,    12,
     662,   612,    12,   612,   662,   626,    70,    71,    72,    73,
     673,   612,   662,    76,   611,   611,   611,   611,   611,   612,
       7,   611,   611,   611,   612,   610,   611,     7,   611,   611,
       7,   611,   611,   745,   611,   888,   896,   189,   240,   290,
     293,   294,   299,   614,   807,   897,   631,   295,   905,   630,
     920,   918,   809,   810,   293,   293,   293,   199,   200,   197,
     745,    51,    86,   150,   190,   196,   215,   813,   630,   626,
     630,   612,   617,   989,   992,   614,   649,   982,   983,   614,
     268,   329,   458,   614,   975,   235,   299,   311,   443,   444,
     445,   614,   807,   978,   129,   498,   499,   502,   503,   614,
    1026,  1022,  1021,  1035,  1041,   517,  1054,  1051,  1069,  1071,
    1073,   609,   609,   109,     6,   614,   715,   717,   719,   721,
     722,   724,   727,   752,   755,   755,   609,   626,   670,   661,
     669,   672,   672,    36,   672,   672,    16,    35,   718,    35,
     718,   718,     7,   718,   609,   630,   291,   292,   292,   627,
     626,   898,   609,   630,    48,    59,    64,   178,   236,   291,
     292,   299,   310,   311,   312,   323,   325,   327,   614,   807,
     919,   614,   609,   627,   627,   627,   199,   200,   611,    25,
     654,    51,   190,   626,   654,   197,   198,   204,   205,   206,
     207,   814,    51,   190,   614,   721,    64,   235,   236,   237,
     273,   289,   291,   292,   299,   302,   311,   316,   329,   375,
     440,   443,   444,   445,   451,   456,   466,   472,   614,   807,
     980,   458,   464,   984,   630,   626,   630,   609,   626,   161,
     300,   454,   626,   626,   330,   210,   626,   609,   630,   501,
     501,   630,   630,   609,    52,    92,   163,   231,   237,   240,
     487,   489,   490,   494,   495,   497,   504,   505,   515,   614,
    1017,   501,   506,   614,  1033,   277,   501,   614,  1039,    26,
     658,   660,    48,   189,   236,   289,   291,   292,   299,   309,
     312,   351,   375,   443,   466,   483,   521,   522,   523,   524,
     526,   529,   614,   807,  1052,   187,   299,   614,  1070,   533,
     534,   539,   614,  1074,   750,   709,     7,   612,   615,   745,
     611,   612,   626,   626,   626,   626,   673,   673,   611,   611,
     611,   612,   611,   610,   611,   293,   293,   293,   626,   317,
     313,   314,   324,   626,   237,   315,    68,    69,   226,   316,
     795,   161,   321,   626,   293,   293,    59,    52,   240,   326,
     329,   328,   609,   809,   609,   654,   654,   609,   609,   199,
     200,   201,   202,   203,   199,   200,   201,   202,   203,   609,
     654,   654,   815,   446,   447,   448,   449,   450,   451,   452,
     453,   626,   237,   474,   613,   630,   315,    68,   316,   795,
     161,   300,   454,   448,   626,   626,   626,   376,   630,   626,
     330,   210,   626,   351,   473,   626,   126,   446,   609,   626,
     609,   626,   626,   626,   626,   486,   492,  1030,   130,   501,
     130,   492,   501,   493,   330,   486,   486,   630,   491,   242,
     496,   317,   298,  1018,   298,  1019,   516,   609,   500,   626,
    1043,  1031,  1034,   609,  1037,  1043,  1040,   609,   626,   630,
     237,   304,   630,   315,    68,   316,   795,   161,   199,   454,
     528,  1053,   626,   242,   631,   376,   242,   126,   385,   446,
     242,   242,   460,   626,   525,   527,   530,   609,   655,   161,
     199,   609,   536,   535,   655,  1075,   609,   717,   724,   709,
     753,   609,   745,    36,    36,   718,   718,   627,   627,   627,
     169,   170,   630,   626,   626,   626,   626,   626,   322,   627,
     627,   317,   627,   627,   626,   626,   630,   813,   609,   609,
     813,   813,   813,   609,   609,   630,   475,   985,   461,   462,
     626,   626,   626,   630,   292,   630,   626,   626,   630,   630,
     626,   630,   508,  1044,  1044,   293,   242,   509,   510,   511,
    1020,   626,  1020,   242,   626,   626,   626,   293,   488,   630,
     626,   626,   178,   630,  1036,   630,  1042,    64,   298,   626,
     630,   630,   626,   626,   626,   626,   292,   630,   627,   626,
     626,   626,   630,   630,   630,   630,   188,   188,   112,   611,
     626,   626,   611,   612,   631,   631,   630,   813,   813,   813,
     813,   630,   614,   631,   987,   460,   630,   626,   626,  1044,
     626,  1044,   626,   630,   626,   626,   630,   460,   655,   655,
     750,   609,   718,   455,   986,   517,   612,   609,   658,   718,
     611
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   619,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   621,   621,   621,   621,   621,   621,   621,   621,
     621,   621,   622,   622,   623,   623,   624,   624,   625,   626,
     626,   626,   627,   627,   627,   628,   628,   628,   629,   630,
     630,   630,   630,   630,   630,   631,   631,   631,   632,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   643,   644,   644,   645,   645,   646,   646,   646,   646,
     646,   646,   646,   647,   647,   648,   648,   649,   649,   650,
     650,   651,   651,   651,   651,   651,   652,   653,   653,   654,
     655,   655,   656,   656,   657,   657,   657,   657,   657,   658,
     658,   659,   659,   659,   660,   660,   660,   661,   661,   661,
     661,   661,   661,   661,   661,   662,   662,   663,   663,   663,
     663,   663,   663,   663,   663,   663,   663,   664,   665,   666,
     667,   667,   668,   668,   668,   668,   669,   669,   670,   670,
     671,   671,   671,   672,   672,   673,   673,   673,   673,   674,
     674,   674,   675,   675,   675,   675,   676,   676,   676,   676,
     676,   677,   677,   678,   678,   679,   680,   681,   682,   683,
     684,   684,   685,   686,   685,   687,   685,   688,   624,   690,
     689,   624,   691,   624,   692,   624,   693,   624,   694,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   696,   696,
     697,   697,   698,   698,   699,   699,   700,   701,   702,   701,
     703,   704,   624,   706,   707,   705,   708,   708,   710,   709,
     711,   711,   712,   713,   713,   714,   714,   715,   715,   715,
     715,   715,   716,   716,   717,   718,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   720,   720,   720,   720,
     721,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   723,   723,   723,   723,   723,   724,   724,   724,   724,
     724,   725,   725,   726,   726,   727,   727,   728,   728,   728,
     728,   729,   729,   730,   730,   730,   731,   731,   732,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   736,   736,   736,   737,   738,   739,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   740,   742,   741,   743,   744,   743,   743,
     743,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   746,   747,
     747,   747,   748,   748,   749,   749,   750,   750,   750,   751,
     752,   753,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   754,   750,   750,   750,   755,   756,
     756,   756,   624,   757,   757,   758,   758,   758,   758,   624,
     759,   624,   760,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   762,   762,   624,   763,   764,   765,   765,
     766,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   624,   769,   769,   770,   770,   770,   770,   771,   771,
     771,   771,   771,   771,   771,   771,   772,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   778,   779,   780,   780,   780,   780,   781,
     781,   781,   781,   781,   782,   782,   624,   783,   783,   783,
     783,   624,   784,   785,   785,   785,   785,   786,   786,   786,
     786,   786,   786,   786,   786,   787,   788,   788,   789,   789,
     790,   791,   791,   792,   793,   794,   795,   795,   796,   797,
     798,   798,   798,   798,   798,   799,   800,   801,   801,   801,
     802,   802,   803,   803,   803,   803,   803,   803,   804,   804,
     804,   805,   805,   806,   806,   807,   808,   808,   809,   809,
     810,   810,   811,   811,   812,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   814,   814,   815,   816,
     685,   817,   685,   818,   685,   819,   685,   820,   821,   821,
     685,   822,   685,   823,   685,   824,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   826,   826,   826,   826,   826,   826,
     826,   826,   827,   827,   827,   827,   828,   828,   828,   828,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   830,   685,   831,   832,   832,   832,   832,   832,   832,
     832,   685,   833,   685,   834,   685,   835,   685,   836,   685,
     837,   685,   838,   685,   839,   685,   840,   685,   841,   685,
     842,   685,   843,   844,   844,   844,   845,   845,   685,   846,
     685,   847,   685,   848,   685,   849,   685,   850,   685,   851,
     685,   852,   853,   853,   685,   854,   685,   855,   685,   856,
     857,   857,   857,   858,   858,   858,   859,   859,   859,   859,
     859,   624,   860,   861,   862,   863,   863,   864,   864,   865,
     866,   867,   868,   868,   869,   869,   870,   870,   871,   872,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   876,   876,   877,   877,   879,   878,   880,   880,   880,
     880,   685,   881,   796,   882,   883,   883,   883,   883,   884,
     883,   885,   885,   886,   887,   887,   888,   888,   888,   888,
     796,   889,   890,   890,   890,   890,   890,   890,   890,   891,
     891,   892,   893,   893,   893,   893,   894,   894,   895,   896,
     897,   897,   897,   897,   897,   897,   897,   897,   898,   898,
     898,   898,   898,   898,   899,   899,   900,   900,   901,   902,
     903,   903,   903,   904,   904,   905,   905,   906,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   908,   908,   909,
     910,   816,   685,   911,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   796,   913,   914,   914,   914,   914,
     915,   915,   916,   917,   918,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   920,   920,   921,   921,   922,   859,   685,   923,   685,
     924,   685,   925,   685,   926,   796,   927,   928,   928,   928,
     929,   929,   929,   929,   929,   930,   930,   931,   931,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   933,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   935,   936,
     934,   934,   934,   934,   934,   937,   937,   937,   937,   937,
     937,   937,   937,   937,   937,   937,   937,   938,   939,   939,
     939,   940,   940,   940,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   942,   942,   943,   943,   944,   945,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   692,   745,   745,   796,   946,   947,   948,   949,   949,
     949,   949,   949,   949,   949,   949,   950,   950,   951,   952,
     952,   796,   953,   954,   954,   954,   954,   954,   954,   954,
     954,   955,   955,   956,   685,   957,   958,   958,   958,   958,
     958,   958,   796,   959,   959,   959,   960,   961,   961,   962,
     962,   963,   964,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   966,   967,
     968,   968,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   970,   969,   971,   969,   969,   969,   969,   972,   972,
     973,   974,   974,   975,   975,   975,   976,   976,   977,   977,
     978,   978,   978,   978,   978,   978,   978,   978,   978,   978,
     978,   979,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   981,   981,   982,   983,   984,   984,   984,   985,   985,
     986,   986,   987,   988,   989,   989,   991,   990,   992,   992,
     993,   993,   994,   859,   859,   859,   859,   685,   995,   685,
     996,   685,   997,   685,   998,   685,   999,   685,  1000,   685,
    1001,   685,  1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,   796,  1004,  1005,  1005,  1005,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,   796,  1008,  1007,
    1009,  1009,  1009,  1009,   796,  1010,  1011,  1011,  1011,  1011,
    1012,  1011,  1013,  1011,  1011,  1011,  1011,  1014,  1014,  1015,
    1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1018,  1017,
    1019,  1017,  1017,  1017,  1017,  1017,  1020,  1020,  1020,  1021,
    1022,  1022,  1023,  1023,  1024,  1025,  1026,  1026,  1026,  1026,
    1026,  1027,  1028,  1028,  1029,  1029,  1030,  1031,  1032,  1033,
    1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,  1038,  1039,
    1039,  1039,  1040,  1041,  1041,  1042,  1042,  1043,  1043,  1044,
    1044,   859,   859,   796,  1045,  1045,  1046,  1047,  1047,  1047,
    1047,  1047,  1047,  1048,  1048,  1049,  1050,  1051,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1053,  1053,  1053,  1053,  1054,
    1054,  1055,  1055,  1056,   859,   859,   685,  1057,   685,  1058,
     796,  1059,  1060,  1061,  1061,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1063,  1063,
    1064,  1065,  1066,  1066,  1067,  1068,  1068,  1069,  1069,  1070,
    1070,  1070,  1071,  1072,  1073,  1073,  1074,  1074,  1074,  1075,
     796,  1076,  1077,  1077,  1077,  1077,  1077,  1077,  1077,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1079,  1079,  1080,  1080,
    1082,  1081,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,
    1083,  1084,  1083,  1083,  1085,  1086,  1086,  1087,  1088,  1088,
    1089,  1089,   685,  1090,  1091,  1092,  1092,  1092,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   624,   624,  1093,  1094,  1095,
    1095,  1096,  1096,  1097,  1097,  1097,  1097,  1098,  1099,  1099,
    1100,  1100,  1101,  1101,  1102,  1102,  1102,  1102,  1102,  1102,
    1102,  1102,  1102,   624,  1103,  1103,   624,  1104,  1105,  1105,
    1106,  1107,  1107,   624,  1108,  1108,  1108,  1108,   685,  1109,
     685,  1110,   685,  1111,   685,  1112,   685,  1113,   685,  1114,
     685,  1115,   685,  1116,  1117,  1117,  1118,  1118,  1118,   796,
    1119,  1091,  1091,  1120,  1120,  1121,  1121,  1122,  1122,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,   796,  1124,  1125,  1125,
    1126,  1126,  1126,  1127,  1128,  1129,  1129,  1130,  1130,  1131,
     859,   859
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     0,     2,
       2,     2,     3,     7,     2,     2,     5,     5,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     4,     1,     3,     1,     3,     1,     3,
       4,     6,     6,     0,     1,     1,     1,     1,     1,     2,
       4,     4,     2,     2,     2,     2,     2,     4,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     2,     1,     2,     1,     2,     1,     0,
       4,     1,     2,     1,     4,     1,     6,     1,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     4,
       2,     5,     0,     4,     0,     2,     1,     1,     0,     2,
       2,     4,     1,     0,     0,     7,     0,     1,     0,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     2,     2,
       6,     1,     3,     0,     4,     3,     1,     3,     3,     2,
       4,     3,     4,     2,     2,     2,     2,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     1,
       5,     7,     7,     1,     0,     1,     3,     1,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     4,     1,     0,     5,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     5,     7,     6,     6,
       6,     6,     4,     8,     8,     4,     1,     1,     4,     1,
       1,     1,     5,     3,     2,     1,     3,     4,     6,     0,
       0,     0,     9,     4,     3,     4,     4,     5,     5,     3,
       3,     3,     2,     5,     0,     5,     7,     9,     0,     1,
       1,     1,     1,     4,     5,     1,     3,     1,     1,     1,
       3,     1,     5,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     0,     1,
       2,     2,     2,     4,     4,     3,     3,     0,     3,     0,
       3,     1,     1,     1,     0,     1,     2,     3,     0,     2,
       2,     2,     3,     2,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     3,     1,     2,     0,     3,
       0,     3,     0,     3,     1,     2,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     1,     1,     3,     3,     3,
       3,     1,     4,     1,     1,     1,     1,     1,     3,     2,
       3,     3,     2,     3,     3,     0,     1,     2,     0,     1,
       3,     1,     3,     1,     0,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     5,     0,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     0,     3,
       5,     2,     1,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     5,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     3,     2,     2,     1,     4,     1,     2,     1,     3,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     1,     0,     3,     0,     3,     0,
       3,     3,     2,     2,     0,     3,     0,     3,     0,     3,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     0,     3,     0,     3,     0,     2,     0,     2,     2,
       2,     1,     5,     1,     2,     1,     1,     3,     3,     0,
       4,     0,     3,     5,     1,     3,     3,     1,     1,     1,
       1,     2,     1,     2,     2,     2,     2,     3,     5,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     2,     4,
       4,     4,     2,     2,     1,     2,     1,     0,     3,     0,
       0,     5,     1,     5,     0,     2,     3,     3,     3,     2,
       2,     2,     2,     2,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     3,     4,
       4,     4,     2,     2,     3,     3,     3,     3,     3,     3,
       1,     0,     3,     0,     3,     4,     1,     1,     6,     1,
       6,     1,     6,     1,     6,     2,     2,     0,     3,     3,
       0,     3,     3,     2,     2,     1,     3,     1,     3,     1,
       3,     2,     2,     2,     2,     2,     2,     3,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       6,     3,     3,     4,     5,     6,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     6,     6,     6,     5,
       6,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     6,     7,     5,     6,     5,     6,     8,     4,     4,
       4,     4,     5,     5,     6,     5,     5,     6,     5,     5,
       6,     7,     7,     7,     5,     5,     4,     4,     0,     0,
       6,     6,     5,     5,     5,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     4,     2,
       3,     2,     2,     2,     2,     3,     5,     5,     4,     5,
       3,     3,     3,     4,     3,     3,     2,     2,     2,     3,
       3,     0,     3,     0,     3,     0,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     1,     1,     3,     2,     1,     1,
       1,     2,     3,     3,     3,     3,     0,     3,     5,     1,
       3,     1,     2,     1,     2,     2,     2,     1,     2,     2,
       4,     0,     3,     5,     1,     4,     0,     3,     3,     3,
       2,     3,     2,     1,     2,     2,     2,     3,     3,     0,
       1,     2,     3,     1,     1,     2,     2,     3,     3,     3,
       3,     4,     2,     4,     3,     2,     3,     1,     2,     4,
       0,     3,     2,     1,     2,     3,     3,     3,     3,     2,
       3,     0,     5,     0,     5,     2,     2,     1,     4,     1,
       1,     0,     3,     2,     2,     2,     5,     2,     0,     3,
       0,     2,     2,     3,     2,     2,     3,     2,     2,     2,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     2,     3,     2,     3,     3,     4,     4,     2,     2,
       2,     3,     3,     3,     2,     3,     3,     3,     4,     2,
       1,     0,     2,     3,     1,     0,     1,     2,     0,     2,
       0,     1,     3,     0,     0,     2,     0,     3,     0,     3,
       0,     3,     3,     1,     1,     1,     1,     1,     4,     1,
       6,     1,     6,     1,     6,     1,     7,     1,     6,     1,
       7,     1,     5,     0,     2,     3,     2,     3,     3,     2,
       3,     2,     2,     2,     3,     3,     3,     1,     3,     3,
       2,     3,     3,     2,     2,     2,     2,     2,     0,     4,
       2,     3,     3,     5,     1,     2,     1,     1,     2,     2,
       0,     3,     0,     3,     6,     2,     3,     0,     3,     5,
       0,     4,     4,     3,     4,     2,     3,     3,     3,     3,
       4,     4,     4,     3,     3,     4,     4,     2,     0,     3,
       0,     3,     6,     3,     3,     4,     1,     1,     1,     0,
       0,     3,     0,     3,     4,     1,     2,     2,     2,     4,
       4,     0,     0,     3,     0,     3,     3,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     2,     0,
       2,     1,     1,     1,     1,     2,     2,     1,     1,     2,
       4,     2,     2,     0,     3,     5,     0,     0,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     3,     3,
       4,     3,     2,     2,     1,     1,     1,     1,     1,     0,
       3,     0,     3,     4,     1,     1,     1,     6,     1,     6,
       1,     2,     5,     0,     3,     1,     1,     2,     3,     1,
       3,     2,     3,     3,     3,     4,     3,     3,     0,     1,
       2,     1,     4,     6,     0,     0,     3,     0,     3,     2,
       2,     2,     0,     0,     0,     3,     4,     4,     2,     0,
       2,     2,     3,     3,     3,     3,     5,     5,     4,     3,
       2,     3,     3,     3,     3,     3,     1,     2,     0,     2,
       0,     4,     2,     3,     5,     1,     2,     2,     2,     2,
       2,     0,     4,     2,     1,     1,     3,     1,     0,     2,
       0,     3,     1,     4,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     5,     2,
       0,     0,     2,     2,     2,     1,     3,     1,     0,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     1,     3,     5,     2,
       0,     0,     2,     1,     3,     4,     3,     3,     1,     4,
       1,     5,     1,     3,     1,     3,     1,     3,     1,     4,
       1,     2,     1,     3,     0,     1,     0,     1,     2,     2,
       2,     3,     3,     1,     1,     0,     2,     1,     1,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 562:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_NET_TYPE; }
#line 7756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RTS; }
#line 7762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_SCOPE; }
#line 7768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RTD; }
#line 7774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_ROA; }
#line 7780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_ASPA; }
#line 7786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_AF; }
#line 7792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_MPLS_POLICY; }
#line 7798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_BGP_ORIGIN; }
#line 7804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RA_PREFERENCE; }
#line 7810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 149 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 150 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 166 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 7832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 175 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 7838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 176 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 7846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 182 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 7852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 183 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 7858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 184 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 7864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 193 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 7870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 194 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 195 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 196 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 197 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 198 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 205 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 206 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 207 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 7921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 214 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 7927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 215 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 7933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 222 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 7942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 229 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 7955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 239 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 7971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 252 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 7993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 271 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 8002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 277 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 8011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 283 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 291 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 299 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 305 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_aspa));
  net_fill_aspa((yyval.net_ptr), (yyvsp[0].i));
}
#line 8051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 315 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 329 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 338 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 347 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 356 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 366 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 367 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 368 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 379 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 387 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 396 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 405 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 413 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 8168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 417 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 418 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 419 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 420 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 427 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 436 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 440 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 441 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 653:
#line 442 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 452 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 8242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 8248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 8254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 8260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 8266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 8272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 8278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 8284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 8290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 8296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 8302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 8463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 8469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 8475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 8481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 8487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 8493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 8563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 8569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 402 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 406 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 417 "filter/config.Y" /* yacc.c:1646  */
    { cf_eval_int((yyvsp[0].x)); }
#line 8615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 421 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 427 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8637 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 440 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 454 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 8659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 455 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 8665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 456 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 8671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 457 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 8677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 458 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 8683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 459 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 8689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 460 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 461 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 8701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 462 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 8707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 463 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 8713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 464 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BYTESTRING; }
#line 8719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 465 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 8725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 466 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 8731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 467 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 8737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 468 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 8743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 469 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 8749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 470 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ROUTE; }
#line 8755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 471 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_ENUM:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 8781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 492 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 496 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 497 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 506 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 507 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 515 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 516 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 8835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 523 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_VOID; }
#line 8841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 524 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 530 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 8856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 534 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 8865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 537 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 8877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 547 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 8886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 554 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 8895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 563 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 8905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 567 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 8927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 583 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 8939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 594 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 595 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 8951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 598 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_soft_scope(new_config); }
#line 8957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 598 "filter/config.Y" /* yacc.c:1646  */
    { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 8963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 602 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 8974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 611 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 8990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 628 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 629 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 9002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 642 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 643 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 9014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 644 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.rd = (yyvsp[0].rd); }
#line 9020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 645 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 646 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type))
       cf_error("Set-incompatible type (%s)", f_type_name((yyval.v).type));
   }
#line 9036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 655 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s))))
       cf_error("%s: Set-incompatible type (%s)", (yyvsp[0].s)->name, f_type_name(SYM_TYPE((yyvsp[0].s))));
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 671 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 672 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 673 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 674 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 675 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 677 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 678 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 679 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 681 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 685 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 9119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 686 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 9125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 687 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 9131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 688 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 9137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 692 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 700 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 701 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 702 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 703 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 706 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 713 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 714 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 721 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 727 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 732 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 741 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 742 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 743 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 744 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 752 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 753 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 756 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 9291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 757 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 764 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 774 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 775 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 783 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 784 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 785 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 786 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 790 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 791 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 792 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 799 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9420 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 803 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 804 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.rd = (yyvsp[0].rd), }); }
#line 9432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 805 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 806 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 807 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 813 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 817 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 818 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 819 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 820 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 826 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 828 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 832 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 848 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 857 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 875 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 877 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 878 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 879 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 880 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 882 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 883 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 884 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 885 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 886 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 887 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 9634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 888 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_start((yyvsp[-1].x)); }
#line 9646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 893 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_args();
   }
#line 9668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 898 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 906 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 917 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 918 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 919 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 921 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 925 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 929 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 9792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 930 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 9798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 933 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 934 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 936 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 9822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 938 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 9828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 942 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 9834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 943 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 9840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 9846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 945 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 9852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 948 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 949 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 950 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 952 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 9882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 953 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 954 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ASPA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 956 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 9900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 963 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 9906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 967 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 9912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 968 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 9918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 969 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 9924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 973 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 9933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 977 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 9942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 984 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 9948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 985 "filter/config.Y" /* yacc.c:1646  */
    { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 9954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 989 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 9962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 992 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 9970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 995 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 9978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 998 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 9988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 1004 "filter/config.Y" /* yacc.c:1646  */
    { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 9994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 1006 "filter/config.Y" /* yacc.c:1646  */
    { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 10000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 1007 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 1011 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 1023 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 1039 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 1042 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 1047 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 1050 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 1062 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 1065 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 1068 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 1069 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 1072 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 1074 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 1078 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 1079 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 1083 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 10162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 1088 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 1101 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 1102 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 170 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 171 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 10204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 175 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 10210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 176 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 177 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10222 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 178 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 190 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 10241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 194 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 10247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 200 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 10253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 201 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 10259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 202 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 10265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 203 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 10271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 204 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 10277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 205 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 10283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 206 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 10289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 207 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 10295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 208 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 10301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ASPA; }
#line 10307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 214 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 10313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 224 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 10327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 235 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 10333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 236 "nest/config.Y" /* yacc.c:1646  */
    { this_table->debug = (yyvsp[0].i); }
#line 10339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 237 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 242 "nest/config.Y" /* yacc.c:1646  */
    { this_table->min_settle_time = (yyvsp[0].time); }
#line 10355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 243 "nest/config.Y" /* yacc.c:1646  */
    { this_table->max_settle_time = (yyvsp[0].time); }
#line 10361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 244 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 10367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 245 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 261 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 10379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 264 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 10385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 265 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 10391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 269 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 275 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 279 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 289 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 301 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 302 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 303 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 304 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 306 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 307 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 312 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 317 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 322 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 323 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 324 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 325 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 10523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 326 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 10529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 327 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 328 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 329 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 335 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 10553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 349 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 359 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 362 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 10576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 364 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 10582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 365 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 10588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 369 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 370 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 10600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 371 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 10606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 372 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 10612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 373 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 377 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 378 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 10630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 386 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 387 "nest/config.Y" /* yacc.c:1646  */
    { new_config->table_default_debug = (yyvsp[0].i); }
#line 10648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 388 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 10654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 396 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tfp) = (yyvsp[-1].tf); }
#line 10660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 400 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_route; }
#line 10666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_proto; }
#line 10672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 402 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_base; }
#line 10678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 403 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_log; }
#line 10684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 407 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 408 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 409 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_S; }
#line 10702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 410 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_MS; }
#line 10708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 411 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_US; }
#line 10714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 412 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_S; }
#line 10720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 413 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_MS; }
#line 10726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 414 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_US; }
#line 10732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 421 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 429 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 430 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 434 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 10760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 435 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 10766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 449 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 10772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 451 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 463 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 10788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 464 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 10794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 471 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 10803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 482 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 10809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 486 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 10819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 500 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 501 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 507 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 10849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 512 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 10855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 513 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 10861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 514 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 10867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 515 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 10873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 516 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 10879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 522 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 523 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 524 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 529 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 533 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 10909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 534 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 10915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 561 "nest/config.Y" /* yacc.c:1646  */
    {
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 10928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 10934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 572 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 10940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 573 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 10946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 10952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 10958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 10964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 577 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 10970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 578 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 10976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 579 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 10982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 583 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 10988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 584 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 10994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 585 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 11000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 586 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 11006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 587 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 11012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 588 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 11018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 589 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 11024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 11030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 11036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 592 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 11042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 593 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 11048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 594 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 11054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 595 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 11060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 596 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 11066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 600 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 11074 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 613 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 11080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 616 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 11086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 619 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 622 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 625 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 626 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 11110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 630 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 11116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 633 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 11122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 637 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 11128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 657 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 663 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 669 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 675 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 682 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11184 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 688 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 695 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11206 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 700 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 705 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 710 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 715 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 719 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 723 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 727 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 737 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 744 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 753 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 757 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 764 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 771 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 11340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 775 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 11349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 779 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 783 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 799 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 800 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 803 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 11392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 804 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 11398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 805 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 11404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 806 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 11410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 811 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 11416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 812 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 11422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 813 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 11428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 814 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 11434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 815 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 11440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 816 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 11446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 817 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 11452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 818 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 11458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 819 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 11464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 820 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 11470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 821 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 11476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 822 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 11482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 823 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 11488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 824 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 11494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 825 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 11500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 826 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 11506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 827 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 11512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 828 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 11518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 829 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "aspa"; }
#line 11524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 830 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 11530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 831 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 11536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 835 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 846 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 11554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 855 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 858 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 859 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 860 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 861 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 862 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 863 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 868 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "resources", resource_dump); }
#line 11604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 870 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "sockets", sk_dump_all); }
#line 11610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 872 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "event log", io_log_dump); }
#line 11616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 874 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "interfaces", if_dump_all); }
#line 11622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 876 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "neighbor cache", neigh_dump_all); }
#line 11628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 878 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "attribute cache", rta_dump_all); }
#line 11634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 880 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "routing tables", rt_dump_all); }
#line 11640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 882 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "protocols", protos_dump_all); }
#line 11646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 884 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "filter bytecode", filters_dump_all); }
#line 11652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 887 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 890 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 896 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 11673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 897 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 898 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 11685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 902 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 11691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 903 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 910 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 912 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 914 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 916 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 918 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 920 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 924 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 11742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 936 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 11748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 937 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 11754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 942 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 11760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 945 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 11766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 949 "nest/config.Y" /* yacc.c:1646  */
    { cli_set_timeformat(this_cli, (yyvsp[-1].tf)); }
#line 11772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 958 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 959 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 960 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 964 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 965 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 966 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 969 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 11814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 971 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_ASPA_PROVIDERS); }
#line 11820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 973 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 11826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 974 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 11832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 975 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 11838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 35 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 11844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 51 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 11850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 57 "nest/mpls.Y" /* yacc.c:1646  */
    {
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 11863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 67 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 11869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 68 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 11875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 82 "nest/mpls.Y" /* yacc.c:1646  */
    {
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 11891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 98 "nest/mpls.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 11913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 117 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_STATIC; }
#line 11919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 118 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 11925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 119 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 11931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 120 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_VRF; }
#line 11937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 125 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 11943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 126 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 11949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 127 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 11955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 128 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 11961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 129 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 11967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 142 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_channel_postconfig(this_channel); }
#line 11973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 147 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 11984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 154 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 177 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 185 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 195 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 32 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 43 "proto/aggregator/config.Y" /* yacc.c:1646  */
    { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 44 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 74 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 77 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 90 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 101 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 106 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 120 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 125 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 39 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 53 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 54 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->zero_udp6_checksum_rx = (yyvsp[0].i); }
#line 12199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 67 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 68 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 69 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 70 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 74 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 82 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 96 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 116 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 118 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 119 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 120 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 121 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 122 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 123 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 12320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 127 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 12326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 129 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 130 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 131 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 132 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 150 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 12362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 154 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 12368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 155 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 156 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 160 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 12386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 161 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 12392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 165 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 166 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 170 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 190 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 191 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 12436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 192 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 193 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 12448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 194 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 12454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 195 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 12460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 196 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 12466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 197 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->auth_type = (yyvsp[0].i); }
#line 12472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 198 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 12478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 207 "proto/bfd/config.Y" /* yacc.c:1646  */
    { reset_passwords(); }
#line 12484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 210 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }
}
#line 12507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 237 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 12513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 249 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 12519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 250 "proto/bfd/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 12525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 251 "proto/bfd/config.Y" /* yacc.c:1646  */
    { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 12531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 252 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 253 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 254 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->verbose = 1; }
#line 12549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 255 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 256 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 257 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 258 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 36 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 12583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 46 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 12589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 59 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 80 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 146 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 149 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 150 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 151 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 152 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 153 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 154 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 155 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 156 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 157 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 158 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 159 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 160 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 161 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 162 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 163 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 164 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 165 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 167 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 168 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 169 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 187 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 192 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 195 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 198 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 12848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 201 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 12854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 50 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 12891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 86 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 87 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 12903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 92 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 93 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 12915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 94 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 12921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 95 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 12927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 100 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 12933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 101 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 12945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 12951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 12957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 112 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 12963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 113 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 12969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 12975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 12981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 116 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 12987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 117 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 12993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 118 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 12999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 122 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PEER; }
#line 13005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 123 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 13011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 13017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 125 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 13023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 126 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 13029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 135 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13038 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 140 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 13061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 13067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 13073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 13079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 13085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 13091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 13097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 13103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 13109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 13115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 13121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 13127 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 13133 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 13143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 13149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 13155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 13245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 13305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 13311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 13317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 13323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 13329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 13335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 13341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 13353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 13377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 215 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 13419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 216 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 13437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 219 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 220 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 221 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 222 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 13467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 13473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 225 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 13497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 13503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 13509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 233 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 13515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 13521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 13527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 13533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 237 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 13539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 238 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 13545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 239 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 13551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 13557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 241 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 13563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 242 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 13569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 246 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 13597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 271 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 13603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 272 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 13609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 273 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 13615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 279 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 13621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 280 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 13627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 281 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 13633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 282 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 13639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 13645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 284 "proto/bgp/config.Y" /* yacc.c:1646  */
    { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 13651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 285 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 13657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 286 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 287 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 13669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 288 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 293 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 294 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 295 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 13697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 296 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 297 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 13709 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 298 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 299 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 300 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 301 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 13733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 302 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 13739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 303 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 13745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 304 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 305 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 306 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 307 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 318 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 341 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 352 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 354 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 356 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 358 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 360 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 362 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 13841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 364 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 366 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 368 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 370 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 372 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 374 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 376 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 378 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 380 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 13907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 397 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }),
      (yyvsp[-1].r)
  );
}
#line 13922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 408 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }),
      (yyvsp[-1].r)
  );
}
#line 13937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 53 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 13953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 68 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 13961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 77 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 13967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 78 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 13973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 79 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 13979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 80 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 81 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 94 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 13997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 95 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 14003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 14011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 14029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 14035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 14041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 14047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 14059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 14065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 63 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 64 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 65 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 66 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 67 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 212 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 14107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 217 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 221 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 14143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 242 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 247 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 14167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 14179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 14185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 14191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 14197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 14203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 14209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 14215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 14221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 14233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 14239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 271 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 275 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 290 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 14269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 14281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 14287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 14293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 14317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 14323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 14329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 309 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 14335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 321 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 14352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 14358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 337 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 14364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 342 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14394 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 359 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 364 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 14546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 14552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 14558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 14570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 14576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 14582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 14588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 406 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 14600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 14606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 14624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 14630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 14636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 14642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 14648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 14654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 14660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 14666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 419 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 431 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 14682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 14688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 441 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 14694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 451 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 455 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 464 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 488 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 492 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 506 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 512 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 516 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 519 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 522 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 527 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 530 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 535 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 538 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 542 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 561 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 562 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 563 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 564 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 565 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 566 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 14881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 567 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 14887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 568 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 14893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 14909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 14921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 14927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 14933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 14939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 14945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 14951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 14957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 54 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 14963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 55 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 14969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 14975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 14983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 14996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 15002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 56 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 15017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 71 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 15023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 15035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 15047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 74 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 15059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 76 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 15065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 89 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 15092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 113 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 15098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 114 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 15104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 115 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 15110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 15116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 15122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 15128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 15134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 15140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 15146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 15152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 15177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 15183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 15189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 135 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 15195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 136 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 15201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 15213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 15225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 139 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 140 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 15237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 141 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 15243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 142 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 15249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 146 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 15255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 147 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 15261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 148 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 15267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 151 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15322 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 216 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 217 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 218 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 222 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 229 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 253 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 262 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 269 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 273 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 297 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 309 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 316 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 320 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 344 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 345 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 349 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 15477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 350 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 15483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 353 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 15489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 354 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 15495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 51 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 55 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 15523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 15529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 15535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 72 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 15541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 86 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 15569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 111 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 15602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 15608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 15614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 15620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 15626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 15632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 15638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 147 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 15647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 15653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 15659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 15665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 15671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 15677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 15683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 15689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 15695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 15743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 15767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 15773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 177 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 194 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 200 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 203 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 45 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
  RPKI_CFG->min_version = 0;
  RPKI_CFG->max_version = RPKI_MAX_VERSION;
}
#line 15828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 54 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 15834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 67 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 15840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 69 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 75 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 81 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 87 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 88 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, min version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->min_version = (yyvsp[0].i);
   }
#line 15888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 92 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, max version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->max_version = (yyvsp[0].i);
   }
#line 15897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 99 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 100 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 103 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 15915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 106 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 15935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 128 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 15945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 145 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_NONE; }
#line 15951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 146 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_MD5; }
#line 15957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 147 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->password = (yyvsp[0].t); }
#line 15963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 151 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (!RPKI_TR_TCP_CFG->auth_type != !RPKI_TR_TCP_CFG->password)
    cf_error("Authentication and password options should be used together");
}
#line 15972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 157 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 15986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 173 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 15992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 174 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 15998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 175 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 16004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 179 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 16013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 59 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 16022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 16028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 69 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 16034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 70 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 16047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 78 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 16053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 82 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 16063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 87 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 16089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 98 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16099 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 103 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 16108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 107 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 121 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 16124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 124 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 16139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 138 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 16148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 142 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 16158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 147 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 16164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 148 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 16170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 149 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 16176 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 150 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 16182 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 151 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 16188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 152 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 16194 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 153 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if (this_srt->net->type != NET_ASPA) cf_error("Provider settings available only for ASPA");
    this_srt->aspa = cfg_alloc(sizeof (adata) + (this_srt_aspa_max = 8) * sizeof (u32));
    this_srt->aspa->length = 0;
   }
#line 16204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 158 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if (this_srt->net->type != NET_ASPA) cf_error("Transit settings available only for ASPA");
    /* Allocate an explicit zero */
    this_srt->aspa = cfg_alloc(sizeof (adata) + sizeof (u32));
    this_srt->aspa->length = sizeof(u32);
    ((u32 *) this_srt->aspa->data)[0] = 0;
   }
#line 16216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 167 "proto/static/config.Y" /* yacc.c:1646  */
    {
  if (this_srt->aspa->length == this_srt_aspa_max * sizeof(u32))
  {
    adata *new = cfg_alloc(sizeof (adata) + (this_srt_aspa_max * 2) * sizeof (u32));
    memcpy(new, this_srt->aspa, this_srt->aspa->length + sizeof(adata));
    this_srt->aspa = new;
    this_srt_aspa_max *= 2;
  }

  ((u32 *) this_srt->aspa->data)[this_srt->aspa->length / sizeof(u32)] = (yyvsp[0].i);
  this_srt->aspa->length += sizeof(u32);
}
#line 16233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 183 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 16245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 204 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 16251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 16257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 16263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 16269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 16275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 16281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 16287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 16293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 16299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 16305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 16311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 16317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 48 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 16324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 16330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 16336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 16342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 16348 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 16354 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 16360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 16378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 16384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 63 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 64 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 65 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 66 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 67 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 68 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 16421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 70 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 71 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 72 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 73 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 74 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 16451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 76 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 77 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 16463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 78 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 16469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 79 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 16475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 80 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 16481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 82 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 83 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 16493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 36 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 16499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 38 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 16508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 45 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 16514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 46 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 16520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 16526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 55 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 16541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 16547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 66 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 16553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 67 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 16564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 16576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 85 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->port = 514; }
#line 16582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 86 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 16588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 90 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 16594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 91 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 16600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 95 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 16606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 96 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 16612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 100 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 16618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 16624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 16630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 16636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 16642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 105 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 16648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 106 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 16654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 107 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 16660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 108 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 16666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 115 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 16672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 16685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 128 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  this_cli_config->name = (yyvsp[-1].t);
  cli_config_add_tail(&new_config->cli, this_cli_config);
  this_cli_config = NULL;
}
#line 16695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 136 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  this_cli_config = cfg_alloc(sizeof *this_cli_config);
  *this_cli_config = (typeof (*this_cli_config)) {
    .config = new_config,
    .mode = 0660,
  };
}
#line 16707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 146 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_cli_config->restricted = 1; }
#line 16713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 152 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 16719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 153 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 16725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 154 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 16731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 155 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 16737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 164 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 16743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 167 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 16749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 174 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 16755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 177 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 16761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 180 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 16767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 183 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 16773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 186 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 16779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 191 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 16785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 195 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 16791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 200 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 16797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 201 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 16803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 202 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 16809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 45 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 16817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 54 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 16823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 55 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_LEARN_ALL; }
#line 16829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 16835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 16841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 16847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 16853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 73 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 16862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 77 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 16874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 84 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 16880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 16892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 98 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 16898 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 107 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 16907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 114 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 16917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 121 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 16923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 138 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 139 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 16939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 61 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 456 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 978 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 262 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 419 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 184 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 206 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 205 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

